# -*- coding: utf-8 -*-
"""
The MIT License (MIT)

Copyright 2015 Umbrella Tech.

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
"""
from __future__ import unicode_literals

__author__ = 'Kelson da Costa Medeiros <kelsoncm@gmail.com>'

UNIDADE_FEDERATIVA_ROWS = [
    ('RO', 'Rondônia', '11', 'N', ),
    ('AC', 'Acre', '12', 'N', ),
    ('AM', 'Amazonas', '13', 'N', ),
    ('RR', 'Roraima', '14', 'N', ),
    ('PA', 'Pará', '15', 'N', ),
    ('AP', 'Amapá', '16', 'N', ),
    ('TO', 'Tocantins', '17', 'N', ),
    ('MA', 'Maranhão', '21', 'NE', ),
    ('PI', 'Piauí', '22', 'NE', ),
    ('CE', 'Ceará', '23', 'NE', ),
    ('RN', 'Rio Grande do Norte', '24', 'NE', ),
    ('PB', 'Paraíba', '25', 'NE', ),
    ('PE', 'Pernambuco', '26', 'NE', ),
    ('AL', 'Alagoas', '27', 'NE', ),
    ('SE', 'Sergipe', '28', 'NE', ),
    ('BA', 'Bahia', '29', 'NE', ),
    ('MG', 'Minas Gerais', '31', 'SE', ),
    ('ES', 'Espírito Santo', '32', 'SE', ),
    ('RJ', 'Rio de Janeiro', '33', 'SE', ),
    ('SP', 'São Paulo', '35', 'SE', ),
    ('PR', 'Paraná', '41', 'S', ),
    ('SC', 'Santa Catarina', '42', 'S', ),
    ('RS', 'Rio Grande do Sul', '43', 'S', ),
    ('MS', 'Mato Grosso do Sul', '50', 'CO', ),
    ('MT', 'Mato Grosso', '51', 'CO', ),
    ('GO', 'Goiás', '52', 'CO', ),
    ('DF', 'Distrito Federal', '53', 'CO', ),
]


MUNICIPIO_ROWS = [
    ("110001", "ALTA FLORESTA D'OESTE", "RO", ) ,
    ("110002", "ARIQUEMES", "RO", ) ,
    ("110003", "CABIXI", "RO", ) ,
    ("110004", "CACOAL", "RO", ) ,
    ("110005", "CEREJEIRAS", "RO", ) ,
    ("110006", "COLORADO DO OESTE", "RO", ) ,
    ("110007", "CORUMBIARA", "RO", ) ,
    ("110008", "COSTA MARQUES", "RO", ) ,
    ("110009", "ESPIGÃO D'OESTE", "RO", ) ,
    ("110010", "GUAJARÁ-MIRIM", "RO", ) ,
    ("110011", "JARU", "RO", ) ,
    ("110012", "JI-PARANÁ", "RO", ) ,
    ("110013", "MACHADINHO D'OESTE", "RO", ) ,
    ("110014", "NOVA BRASILÂNDIA D'OESTE", "RO", ) ,
    ("110015", "OURO PRETO DO OESTE", "RO", ) ,
    ("110018", "PIMENTA BUENO", "RO", ) ,
    ("110020", "PORTO VELHO", "RO", ) ,
    ("110025", "PRESIDENTE MÉDICI", "RO", ) ,
    ("110026", "RIO CRESPO", "RO", ) ,
    ("110028", "ROLIM DE MOURA", "RO", ) ,
    ("110029", "SANTA LUZIA D'OESTE", "RO", ) ,
    ("110030", "VILHENA", "RO", ) ,
    ("110032", "SÃO MIGUEL DO GUAPORÉ", "RO", ) ,
    ("110033", "NOVA MAMORÉ", "RO", ) ,
    ("110034", "ALVORADA D'OESTE", "RO", ) ,
    ("110037", "ALTO ALEGRE DOS PARECIS", "RO", ) ,
    ("110040", "ALTO PARAÍSO", "RO", ) ,
    ("110045", "BURITIS", "RO", ) ,
    ("110050", "NOVO HORIZONTE DO OESTE", "RO", ) ,
    ("110060", "CACAULÂNDIA", "RO", ) ,
    ("110070", "CAMPO NOVO DE RONDÔNIA", "RO", ) ,
    ("110080", "CANDEIAS DO JAMARI", "RO", ) ,
    ("110090", "CASTANHEIRAS", "RO", ) ,
    ("110092", "CHUPINGUAIA", "RO", ) ,
    ("110094", "CUJUBIM", "RO", ) ,
    ("110100", "GOVERNADOR JORGE TEIXEIRA", "RO", ) ,
    ("110110", "ITAPUÃ DO OESTE", "RO", ) ,
    ("110120", "MINISTRO ANDREAZZA", "RO", ) ,
    ("110130", "MIRANTE DA SERRA", "RO", ) ,
    ("110140", "MONTE NEGRO", "RO", ) ,
    ("110143", "NOVA UNIÃO", "RO", ) ,
    ("110145", "PARECIS", "RO", ) ,
    ("110146", "PIMENTEIRAS DO OESTE", "RO", ) ,
    ("110147", "PRIMAVERA DE RONDÔNIA", "RO", ) ,
    ("110148", "SÃO FELIPE D'OESTE", "RO", ) ,
    ("110149", "SÃO FRANCISCO DO GUAPORÉ", "RO", ) ,
    ("110150", "SERINGUEIRAS", "RO", ) ,
    ("110155", "TEIXEIRÓPOLIS", "RO", ) ,
    ("110160", "THEOBROMA", "RO", ) ,
    ("110170", "URUPÁ", "RO", ) ,
    ("110175", "VALE DO ANARI", "RO", ) ,
    ("110180", "VALE DO PARAÍSO", "RO", ) ,
    ("120001", "ACRELÂNDIA", "AC", ) ,
    ("120005", "ASSIS BRASIL", "AC", ) ,
    ("120010", "BRASILÉIA", "AC", ) ,
    ("120013", "BUJARI", "AC", ) ,
    ("120017", "CAPIXABA", "AC", ) ,
    ("120020", "CRUZEIRO DO SUL", "AC", ) ,
    ("120025", "EPITACIOLÂNDIA", "AC", ) ,
    ("120030", "FEIJÓ", "AC", ) ,
    ("120032", "JORDÃO", "AC", ) ,
    ("120033", "MÂNCIO LIMA", "AC", ) ,
    ("120034", "MANOEL URBANO", "AC", ) ,
    ("120035", "MARECHAL THAUMATURGO", "AC", ) ,
    ("120038", "PLÁCIDO DE CASTRO", "AC", ) ,
    ("120039", "PORTO WALTER", "AC", ) ,
    ("120040", "RIO BRANCO", "AC", ) ,
    ("120042", "RODRIGUES ALVES", "AC", ) ,
    ("120043", "SANTA ROSA DO PURUS", "AC", ) ,
    ("120045", "SENADOR GUIOMARD", "AC", ) ,
    ("120050", "SENA MADUREIRA", "AC", ) ,
    ("120060", "TARAUACÁ", "AC", ) ,
    ("120070", "XAPURI", "AC", ) ,
    ("120080", "PORTO ACRE", "AC", ) ,
    ("130002", "ALVARÃES", "AM", ) ,
    ("130006", "AMATURÁ", "AM", ) ,
    ("130008", "ANAMÃ", "AM", ) ,
    ("130010", "ANORI", "AM", ) ,
    ("130014", "APUÍ", "AM", ) ,
    ("130020", "ATALAIA DO NORTE", "AM", ) ,
    ("130030", "AUTAZES", "AM", ) ,
    ("130040", "BARCELOS", "AM", ) ,
    ("130050", "BARREIRINHA", "AM", ) ,
    ("130060", "BENJAMIN CONSTANT", "AM", ) ,
    ("130063", "BERURI", "AM", ) ,
    ("130068", "BOA VISTA DO RAMOS", "AM", ) ,
    ("130070", "BOCA DO ACRE", "AM", ) ,
    ("130080", "BORBA", "AM", ) ,
    ("130083", "CAAPIRANGA", "AM", ) ,
    ("130090", "CANUTAMA", "AM", ) ,
    ("130100", "CARAUARI", "AM", ) ,
    ("130110", "CAREIRO", "AM", ) ,
    ("130115", "CAREIRO DA VÁRZEA", "AM", ) ,
    ("130120", "COARI", "AM", ) ,
    ("130130", "CODAJÁS", "AM", ) ,
    ("130140", "EIRUNEPÉ", "AM", ) ,
    ("130150", "ENVIRA", "AM", ) ,
    ("130160", "FONTE BOA", "AM", ) ,
    ("130165", "GUAJARÁ", "AM", ) ,
    ("130170", "HUMAITÁ", "AM", ) ,
    ("130180", "IPIXUNA", "AM", ) ,
    ("130185", "IRANDUBA", "AM", ) ,
    ("130190", "ITACOATIARA", "AM", ) ,
    ("130195", "ITAMARATI", "AM", ) ,
    ("130200", "ITAPIRANGA", "AM", ) ,
    ("130210", "JAPURÁ", "AM", ) ,
    ("130220", "JURUÁ", "AM", ) ,
    ("130230", "JUTAÍ", "AM", ) ,
    ("130240", "LÁBREA", "AM", ) ,
    ("130250", "MANACAPURU", "AM", ) ,
    ("130255", "MANAQUIRI", "AM", ) ,
    ("130260", "MANAUS", "AM", ) ,
    ("130270", "MANICORÉ", "AM", ) ,
    ("130280", "MARAÃ", "AM", ) ,
    ("130290", "MAUÉS", "AM", ) ,
    ("130300", "NHAMUNDÁ", "AM", ) ,
    ("130310", "NOVA OLINDA DO NORTE", "AM", ) ,
    ("130320", "NOVO AIRÃO", "AM", ) ,
    ("130330", "NOVO ARIPUANÃ", "AM", ) ,
    ("130340", "PARINTINS", "AM", ) ,
    ("130350", "PAUINI", "AM", ) ,
    ("130353", "PRESIDENTE FIGUEIREDO", "AM", ) ,
    ("130356", "RIO PRETO DA EVA", "AM", ) ,
    ("130360", "SANTA ISABEL DO RIO NEGRO", "AM", ) ,
    ("130370", "SANTO ANTÔNIO DO IÇÁ", "AM", ) ,
    ("130380", "SÃO GABRIEL DA CACHOEIRA", "AM", ) ,
    ("130390", "SÃO PAULO DE OLIVENÇA", "AM", ) ,
    ("130395", "SÃO SEBASTIÃO DO UATUMÃ", "AM", ) ,
    ("130400", "SILVES", "AM", ) ,
    ("130406", "TABATINGA", "AM", ) ,
    ("130410", "TAPAUÁ", "AM", ) ,
    ("130420", "TEFÉ", "AM", ) ,
    ("130423", "TONANTINS", "AM", ) ,
    ("130426", "UARINI", "AM", ) ,
    ("130430", "URUCARÁ", "AM", ) ,
    ("130440", "URUCURITUBA", "AM", ) ,
    ("140002", "AMAJARI", "RR", ) ,
    ("140005", "ALTO ALEGRE", "RR", ) ,
    ("140010", "BOA VISTA", "RR", ) ,
    ("140015", "BONFIM", "RR", ) ,
    ("140017", "CANTÁ", "RR", ) ,
    ("140020", "CARACARAÍ", "RR", ) ,
    ("140023", "CAROEBE", "RR", ) ,
    ("140028", "IRACEMA", "RR", ) ,
    ("140030", "MUCAJAÍ", "RR", ) ,
    ("140040", "NORMANDIA", "RR", ) ,
    ("140045", "PACARAIMA", "RR", ) ,
    ("140047", "RORAINÓPOLIS", "RR", ) ,
    ("140050", "SÃO JOÃO DA BALIZA", "RR", ) ,
    ("140060", "SÃO LUIZ", "RR", ) ,
    ("140070", "UIRAMUTÃ", "RR", ) ,
    ("150010", "ABAETETUBA", "PA", ) ,
    ("150013", "ABEL FIGUEIREDO", "PA", ) ,
    ("150020", "ACARÁ", "PA", ) ,
    ("150030", "AFUÁ", "PA", ) ,
    ("150034", "ÁGUA AZUL DO NORTE", "PA", ) ,
    ("150040", "ALENQUER", "PA", ) ,
    ("150050", "ALMEIRIM", "PA", ) ,
    ("150060", "ALTAMIRA", "PA", ) ,
    ("150070", "ANAJÁS", "PA", ) ,
    ("150080", "ANANINDEUA", "PA", ) ,
    ("150085", "ANAPU", "PA", ) ,
    ("150090", "AUGUSTO CORRÊA", "PA", ) ,
    ("150095", "AURORA DO PARÁ", "PA", ) ,
    ("150100", "AVEIRO", "PA", ) ,
    ("150110", "BAGRE", "PA", ) ,
    ("150120", "BAIÃO", "PA", ) ,
    ("150125", "BANNACH", "PA", ) ,
    ("150130", "BARCARENA", "PA", ) ,
    ("150140", "BELÉM", "PA", ) ,
    ("150145", "BELTERRA", "PA", ) ,
    ("150150", "BENEVIDES", "PA", ) ,
    ("150157", "BOM JESUS DO TOCANTINS", "PA", ) ,
    ("150160", "BONITO", "PA", ) ,
    ("150170", "BRAGANÇA", "PA", ) ,
    ("150172", "BRASIL NOVO", "PA", ) ,
    ("150175", "BREJO GRANDE DO ARAGUAIA", "PA", ) ,
    ("150178", "BREU BRANCO", "PA", ) ,
    ("150180", "BREVES", "PA", ) ,
    ("150190", "BUJARU", "PA", ) ,
    ("150195", "CACHOEIRA DO PIRIÁ", "PA", ) ,
    ("150200", "CACHOEIRA DO ARARI", "PA", ) ,
    ("150210", "CAMETÁ", "PA", ) ,
    ("150215", "CANAÃ DOS CARAJÁS", "PA", ) ,
    ("150220", "CAPANEMA", "PA", ) ,
    ("150230", "CAPITÃO POÇO", "PA", ) ,
    ("150240", "CASTANHAL", "PA", ) ,
    ("150250", "CHAVES", "PA", ) ,
    ("150260", "COLARES", "PA", ) ,
    ("150270", "CONCEIÇÃO DO ARAGUAIA", "PA", ) ,
    ("150275", "CONCÓRDIA DO PARÁ", "PA", ) ,
    ("150276", "CUMARU DO NORTE", "PA", ) ,
    ("150277", "CURIONÓPOLIS", "PA", ) ,
    ("150280", "CURRALINHO", "PA", ) ,
    ("150285", "CURUÁ", "PA", ) ,
    ("150290", "CURUÇÁ", "PA", ) ,
    ("150293", "DOM ELISEU", "PA", ) ,
    ("150295", "ELDORADO DOS CARAJÁS", "PA", ) ,
    ("150300", "FARO", "PA", ) ,
    ("150304", "FLORESTA DO ARAGUAIA", "PA", ) ,
    ("150307", "GARRAFÃO DO NORTE", "PA", ) ,
    ("150309", "GOIANÉSIA DO PARÁ", "PA", ) ,
    ("150310", "GURUPÁ", "PA", ) ,
    ("150320", "IGARAPÉ-AÇU", "PA", ) ,
    ("150330", "IGARAPÉ-MIRI", "PA", ) ,
    ("150340", "INHANGAPI", "PA", ) ,
    ("150345", "IPIXUNA DO PARÁ", "PA", ) ,
    ("150350", "IRITUIA", "PA", ) ,
    ("150360", "ITAITUBA", "PA", ) ,
    ("150370", "ITUPIRANGA", "PA", ) ,
    ("150375", "JACAREACANGA", "PA", ) ,
    ("150380", "JACUNDÁ", "PA", ) ,
    ("150390", "JURUTI", "PA", ) ,
    ("150400", "LIMOEIRO DO AJURU", "PA", ) ,
    ("150405", "MÃE DO RIO", "PA", ) ,
    ("150410", "MAGALHÃES BARATA", "PA", ) ,
    ("150420", "MARABÁ", "PA", ) ,
    ("150430", "MARACANÃ", "PA", ) ,
    ("150440", "MARAPANIM", "PA", ) ,
    ("150442", "MARITUBA", "PA", ) ,
    ("150445", "MEDICILÂNDIA", "PA", ) ,
    ("150450", "MELGAÇO", "PA", ) ,
    ("150460", "MOCAJUBA", "PA", ) ,
    ("150470", "MOJU", "PA", ) ,
    ("150480", "MONTE ALEGRE", "PA", ) ,
    ("150490", "MUANÁ", "PA", ) ,
    ("150495", "NOVA ESPERANÇA DO PIRIÁ", "PA", ) ,
    ("150497", "NOVA IPIXUNA", "PA", ) ,
    ("150500", "NOVA TIMBOTEUA", "PA", ) ,
    ("150503", "NOVO PROGRESSO", "PA", ) ,
    ("150506", "NOVO REPARTIMENTO", "PA", ) ,
    ("150510", "ÓBIDOS", "PA", ) ,
    ("150520", "OEIRAS DO PARÁ", "PA", ) ,
    ("150530", "ORIXIMINÁ", "PA", ) ,
    ("150540", "OURÉM", "PA", ) ,
    ("150543", "OURILÂNDIA DO NORTE", "PA", ) ,
    ("150548", "PACAJÁ", "PA", ) ,
    ("150549", "PALESTINA DO PARÁ", "PA", ) ,
    ("150550", "PARAGOMINAS", "PA", ) ,
    ("150553", "PARAUAPEBAS", "PA", ) ,
    ("150555", "PAU D'ARCO", "PA", ) ,
    ("150560", "PEIXE-BOI", "PA", ) ,
    ("150563", "PIÇARRA", "PA", ) ,
    ("150565", "PLACAS", "PA", ) ,
    ("150570", "PONTA DE PEDRAS", "PA", ) ,
    ("150580", "PORTEL", "PA", ) ,
    ("150590", "PORTO DE MOZ", "PA", ) ,
    ("150600", "PRAINHA", "PA", ) ,
    ("150610", "PRIMAVERA", "PA", ) ,
    ("150611", "QUATIPURU", "PA", ) ,
    ("150613", "REDENÇÃO", "PA", ) ,
    ("150616", "RIO MARIA", "PA", ) ,
    ("150618", "RONDON DO PARÁ", "PA", ) ,
    ("150619", "RURÓPOLIS", "PA", ) ,
    ("150620", "SALINÓPOLIS", "PA", ) ,
    ("150630", "SALVATERRA", "PA", ) ,
    ("150635", "SANTA BÁRBARA DO PARÁ", "PA", ) ,
    ("150640", "SANTA CRUZ DO ARARI", "PA", ) ,
    ("150650", "SANTA ISABEL DO PARÁ", "PA", ) ,
    ("150655", "SANTA LUZIA DO PARÁ", "PA", ) ,
    ("150658", "SANTA MARIA DAS BARREIRAS", "PA", ) ,
    ("150660", "SANTA MARIA DO PARÁ", "PA", ) ,
    ("150670", "SANTANA DO ARAGUAIA", "PA", ) ,
    ("150680", "SANTARÉM", "PA", ) ,
    ("150690", "SANTARÉM NOVO", "PA", ) ,
    ("150700", "SANTO ANTÔNIO DO TAUÁ", "PA", ) ,
    ("150710", "SÃO CAETANO DE ODIVELAS", "PA", ) ,
    ("150715", "SÃO DOMINGOS DO ARAGUAIA", "PA", ) ,
    ("150720", "SÃO DOMINGOS DO CAPIM", "PA", ) ,
    ("150730", "SÃO FÉLIX DO XINGU", "PA", ) ,
    ("150740", "SÃO FRANCISCO DO PARÁ", "PA", ) ,
    ("150745", "SÃO GERALDO DO ARAGUAIA", "PA", ) ,
    ("150746", "SÃO JOÃO DA PONTA", "PA", ) ,
    ("150747", "SÃO JOÃO DE PIRABAS", "PA", ) ,
    ("150750", "SÃO JOÃO DO ARAGUAIA", "PA", ) ,
    ("150760", "SÃO MIGUEL DO GUAMÁ", "PA", ) ,
    ("150770", "SÃO SEBASTIÃO DA BOA VISTA", "PA", ) ,
    ("150775", "SAPUCAIA", "PA", ) ,
    ("150780", "SENADOR JOSÉ PORFÍRIO", "PA", ) ,
    ("150790", "SOURE", "PA", ) ,
    ("150795", "TAILÂNDIA", "PA", ) ,
    ("150796", "TERRA ALTA", "PA", ) ,
    ("150797", "TERRA SANTA", "PA", ) ,
    ("150800", "TOMÉ-AÇU", "PA", ) ,
    ("150803", "TRACUATEUA", "PA", ) ,
    ("150805", "TRAIRÃO", "PA", ) ,
    ("150808", "TUCUMÃ", "PA", ) ,
    ("150810", "TUCURUÍ", "PA", ) ,
    ("150812", "ULIANÓPOLIS", "PA", ) ,
    ("150815", "URUARÁ", "PA", ) ,
    ("150820", "VIGIA", "PA", ) ,
    ("150830", "VISEU", "PA", ) ,
    ("150835", "VITÓRIA DO XINGU", "PA", ) ,
    ("150840", "XINGUARA", "PA", ) ,
    ("160005", "SERRA DO NAVIO", "AP", ) ,
    ("160010", "AMAPÁ", "AP", ) ,
    ("160015", "PEDRA BRANCA DO AMAPARI", "AP", ) ,
    ("160020", "CALÇOENE", "AP", ) ,
    ("160021", "CUTIAS", "AP", ) ,
    ("160023", "FERREIRA GOMES", "AP", ) ,
    ("160025", "ITAUBAL", "AP", ) ,
    ("160027", "LARANJAL DO JARI", "AP", ) ,
    ("160030", "MACAPÁ", "AP", ) ,
    ("160040", "MAZAGÃO", "AP", ) ,
    ("160050", "OIAPOQUE", "AP", ) ,
    ("160053", "PORTO GRANDE", "AP", ) ,
    ("160055", "PRACUÚBA", "AP", ) ,
    ("160060", "SANTANA", "AP", ) ,
    ("160070", "TARTARUGALZINHO", "AP", ) ,
    ("160080", "VITÓRIA DO JARI", "AP", ) ,
    ("170025", "ABREULÂNDIA", "TO", ) ,
    ("170030", "AGUIARNÓPOLIS", "TO", ) ,
    ("170035", "ALIANÇA DO TOCANTINS", "TO", ) ,
    ("170040", "ALMAS", "TO", ) ,
    ("170070", "ALVORADA", "TO", ) ,
    ("170100", "ANANÁS", "TO", ) ,
    ("170105", "ANGICO", "TO", ) ,
    ("170110", "APARECIDA DO RIO NEGRO", "TO", ) ,
    ("170130", "ARAGOMINAS", "TO", ) ,
    ("170190", "ARAGUACEMA", "TO", ) ,
    ("170200", "ARAGUAÇU", "TO", ) ,
    ("170210", "ARAGUAÍNA", "TO", ) ,
    ("170215", "ARAGUANÃ", "TO", ) ,
    ("170220", "ARAGUATINS", "TO", ) ,
    ("170230", "ARAPOEMA", "TO", ) ,
    ("170240", "ARRAIAS", "TO", ) ,
    ("170255", "AUGUSTINÓPOLIS", "TO", ) ,
    ("170270", "AURORA DO TOCANTINS", "TO", ) ,
    ("170290", "AXIXÁ DO TOCANTINS", "TO", ) ,
    ("170300", "BABAÇULÂNDIA", "TO", ) ,
    ("170305", "BANDEIRANTES DO TOCANTINS", "TO", ) ,
    ("170307", "BARRA DO OURO", "TO", ) ,
    ("170310", "BARROLÂNDIA", "TO", ) ,
    ("170320", "BERNARDO SAYÃO", "TO", ) ,
    ("170330", "BOM JESUS DO TOCANTINS", "TO", ) ,
    ("170360", "BRASILÂNDIA DO TOCANTINS", "TO", ) ,
    ("170370", "BREJINHO DE NAZARÉ", "TO", ) ,
    ("170380", "BURITI DO TOCANTINS", "TO", ) ,
    ("170382", "CACHOEIRINHA", "TO", ) ,
    ("170384", "CAMPOS LINDOS", "TO", ) ,
    ("170386", "CARIRI DO TOCANTINS", "TO", ) ,
    ("170388", "CARMOLÂNDIA", "TO", ) ,
    ("170389", "CARRASCO BONITO", "TO", ) ,
    ("170390", "CASEARA", "TO", ) ,
    ("170410", "CENTENÁRIO", "TO", ) ,
    ("170460", "CHAPADA DE AREIA", "TO", ) ,
    ("170510", "CHAPADA DA NATIVIDADE", "TO", ) ,
    ("170550", "COLINAS DO TOCANTINS", "TO", ) ,
    ("170555", "COMBINADO", "TO", ) ,
    ("170560", "CONCEIÇÃO DO TOCANTINS", "TO", ) ,
    ("170600", "COUTO MAGALHÃES", "TO", ) ,
    ("170610", "CRISTALÂNDIA", "TO", ) ,
    ("170625", "CRIXÁS DO TOCANTINS", "TO", ) ,
    ("170650", "DARCINÓPOLIS", "TO", ) ,
    ("170700", "DIANÓPOLIS", "TO", ) ,
    ("170710", "DIVINÓPOLIS DO TOCANTINS", "TO", ) ,
    ("170720", "DOIS IRMÃOS DO TOCANTINS", "TO", ) ,
    ("170730", "DUERÉ", "TO", ) ,
    ("170740", "ESPERANTINA", "TO", ) ,
    ("170755", "FÁTIMA", "TO", ) ,
    ("170765", "FIGUEIRÓPOLIS", "TO", ) ,
    ("170770", "FILADÉLFIA", "TO", ) ,
    ("170820", "FORMOSO DO ARAGUAIA", "TO", ) ,
    ("170825", "FORTALEZA DO TABOCÃO", "TO", ) ,
    ("170830", "GOIANORTE", "TO", ) ,
    ("170900", "GOIATINS", "TO", ) ,
    ("170930", "GUARAÍ", "TO", ) ,
    ("170950", "GURUPI", "TO", ) ,
    ("170980", "IPUEIRAS", "TO", ) ,
    ("171050", "ITACAJÁ", "TO", ) ,
    ("171070", "ITAGUATINS", "TO", ) ,
    ("171090", "ITAPIRATINS", "TO", ) ,
    ("171110", "ITAPORÃ DO TOCANTINS", "TO", ) ,
    ("171150", "JAÚ DO TOCANTINS", "TO", ) ,
    ("171180", "JUARINA", "TO", ) ,
    ("171190", "LAGOA DA CONFUSÃO", "TO", ) ,
    ("171195", "LAGOA DO TOCANTINS", "TO", ) ,
    ("171200", "LAJEADO", "TO", ) ,
    ("171215", "LAVANDEIRA", "TO", ) ,
    ("171240", "LIZARDA", "TO", ) ,
    ("171245", "LUZINÓPOLIS", "TO", ) ,
    ("171250", "MARIANÓPOLIS DO TOCANTINS", "TO", ) ,
    ("171270", "MATEIROS", "TO", ) ,
    ("171280", "MAURILÂNDIA DO TOCANTINS", "TO", ) ,
    ("171320", "MIRACEMA DO TOCANTINS", "TO", ) ,
    ("171330", "MIRANORTE", "TO", ) ,
    ("171360", "MONTE DO CARMO", "TO", ) ,
    ("171370", "MONTE SANTO DO TOCANTINS", "TO", ) ,
    ("171380", "PALMEIRAS DO TOCANTINS", "TO", ) ,
    ("171395", "MURICILÂNDIA", "TO", ) ,
    ("171420", "NATIVIDADE", "TO", ) ,
    ("171430", "NAZARÉ", "TO", ) ,
    ("171488", "NOVA OLINDA", "TO", ) ,
    ("171500", "NOVA ROSALÂNDIA", "TO", ) ,
    ("171510", "NOVO ACORDO", "TO", ) ,
    ("171515", "NOVO ALEGRE", "TO", ) ,
    ("171525", "NOVO JARDIM", "TO", ) ,
    ("171550", "OLIVEIRA DE FÁTIMA", "TO", ) ,
    ("171570", "PALMEIRANTE", "TO", ) ,
    ("171575", "PALMEIRÓPOLIS", "TO", ) ,
    ("171610", "PARAÍSO DO TOCANTINS", "TO", ) ,
    ("171620", "PARANÃ", "TO", ) ,
    ("171630", "PAU D'ARCO", "TO", ) ,
    ("171650", "PEDRO AFONSO", "TO", ) ,
    ("171660", "PEIXE", "TO", ) ,
    ("171665", "PEQUIZEIRO", "TO", ) ,
    ("171670", "COLMÉIA", "TO", ) ,
    ("171700", "PINDORAMA DO TOCANTINS", "TO", ) ,
    ("171720", "PIRAQUÊ", "TO", ) ,
    ("171750", "PIUM", "TO", ) ,
    ("171780", "PONTE ALTA DO BOM JESUS", "TO", ) ,
    ("171790", "PONTE ALTA DO TOCANTINS", "TO", ) ,
    ("171800", "PORTO ALEGRE DO TOCANTINS", "TO", ) ,
    ("171820", "PORTO NACIONAL", "TO", ) ,
    ("171830", "PRAIA NORTE", "TO", ) ,
    ("171840", "PRESIDENTE KENNEDY", "TO", ) ,
    ("171845", "PUGMIL", "TO", ) ,
    ("171850", "RECURSOLÂNDIA", "TO", ) ,
    ("171855", "RIACHINHO", "TO", ) ,
    ("171865", "RIO DA CONCEIÇÃO", "TO", ) ,
    ("171870", "RIO DOS BOIS", "TO", ) ,
    ("171875", "RIO SONO", "TO", ) ,
    ("171880", "SAMPAIO", "TO", ) ,
    ("171884", "SANDOLÂNDIA", "TO", ) ,
    ("171886", "SANTA FÉ DO ARAGUAIA", "TO", ) ,
    ("171888", "SANTA MARIA DO TOCANTINS", "TO", ) ,
    ("171889", "SANTA RITA DO TOCANTINS", "TO", ) ,
    ("171890", "SANTA ROSA DO TOCANTINS", "TO", ) ,
    ("171900", "SANTA TEREZA DO TOCANTINS", "TO", ) ,
    ("172000", "SANTA TEREZINHA DO TOCANTINS", "TO", ) ,
    ("172010", "SÃO BENTO DO TOCANTINS", "TO", ) ,
    ("172015", "SÃO FÉLIX DO TOCANTINS", "TO", ) ,
    ("172020", "SÃO MIGUEL DO TOCANTINS", "TO", ) ,
    ("172025", "SÃO SALVADOR DO TOCANTINS", "TO", ) ,
    ("172030", "SÃO SEBASTIÃO DO TOCANTINS", "TO", ) ,
    ("172049", "SÃO VALÉRIO", "TO", ) ,
    ("172065", "SILVANÓPOLIS", "TO", ) ,
    ("172080", "SÍTIO NOVO DO TOCANTINS", "TO", ) ,
    ("172085", "SUCUPIRA", "TO", ) ,
    ("172090", "TAGUATINGA", "TO", ) ,
    ("172093", "TAIPAS DO TOCANTINS", "TO", ) ,
    ("172097", "TALISMÃ", "TO", ) ,
    ("172100", "PALMAS", "TO", ) ,
    ("172110", "TOCANTÍNIA", "TO", ) ,
    ("172120", "TOCANTINÓPOLIS", "TO", ) ,
    ("172125", "TUPIRAMA", "TO", ) ,
    ("172130", "TUPIRATINS", "TO", ) ,
    ("172208", "WANDERLÂNDIA", "TO", ) ,
    ("172210", "XAMBIOÁ", "TO", ) ,
    ("210005", "AÇAILÂNDIA", "MA", ) ,
    ("210010", "AFONSO CUNHA", "MA", ) ,
    ("210015", "ÁGUA DOCE DO MARANHÃO", "MA", ) ,
    ("210020", "ALCÂNTARA", "MA", ) ,
    ("210030", "ALDEIAS ALTAS", "MA", ) ,
    ("210040", "ALTAMIRA DO MARANHÃO", "MA", ) ,
    ("210043", "ALTO ALEGRE DO MARANHÃO", "MA", ) ,
    ("210047", "ALTO ALEGRE DO PINDARÉ", "MA", ) ,
    ("210050", "ALTO PARNAÍBA", "MA", ) ,
    ("210055", "AMAPÁ DO MARANHÃO", "MA", ) ,
    ("210060", "AMARANTE DO MARANHÃO", "MA", ) ,
    ("210070", "ANAJATUBA", "MA", ) ,
    ("210080", "ANAPURUS", "MA", ) ,
    ("210083", "APICUM-AÇU", "MA", ) ,
    ("210087", "ARAGUANÃ", "MA", ) ,
    ("210090", "ARAIOSES", "MA", ) ,
    ("210095", "ARAME", "MA", ) ,
    ("210100", "ARARI", "MA", ) ,
    ("210110", "AXIXÁ", "MA", ) ,
    ("210120", "BACABAL", "MA", ) ,
    ("210125", "BACABEIRA", "MA", ) ,
    ("210130", "BACURI", "MA", ) ,
    ("210135", "BACURITUBA", "MA", ) ,
    ("210140", "BALSAS", "MA", ) ,
    ("210150", "BARÃO DE GRAJAÚ", "MA", ) ,
    ("210160", "BARRA DO CORDA", "MA", ) ,
    ("210170", "BARREIRINHAS", "MA", ) ,
    ("210173", "BELÁGUA", "MA", ) ,
    ("210177", "BELA VISTA DO MARANHÃO", "MA", ) ,
    ("210180", "BENEDITO LEITE", "MA", ) ,
    ("210190", "BEQUIMÃO", "MA", ) ,
    ("210193", "BERNARDO DO MEARIM", "MA", ) ,
    ("210197", "BOA VISTA DO GURUPI", "MA", ) ,
    ("210200", "BOM JARDIM", "MA", ) ,
    ("210203", "BOM JESUS DAS SELVAS", "MA", ) ,
    ("210207", "BOM LUGAR", "MA", ) ,
    ("210210", "BREJO", "MA", ) ,
    ("210215", "BREJO DE AREIA", "MA", ) ,
    ("210220", "BURITI", "MA", ) ,
    ("210230", "BURITI BRAVO", "MA", ) ,
    ("210232", "BURITICUPU", "MA", ) ,
    ("210235", "BURITIRANA", "MA", ) ,
    ("210237", "CACHOEIRA GRANDE", "MA", ) ,
    ("210240", "CAJAPIÓ", "MA", ) ,
    ("210250", "CAJARI", "MA", ) ,
    ("210255", "CAMPESTRE DO MARANHÃO", "MA", ) ,
    ("210260", "CÂNDIDO MENDES", "MA", ) ,
    ("210270", "CANTANHEDE", "MA", ) ,
    ("210275", "CAPINZAL DO NORTE", "MA", ) ,
    ("210280", "CAROLINA", "MA", ) ,
    ("210290", "CARUTAPERA", "MA", ) ,
    ("210300", "CAXIAS", "MA", ) ,
    ("210310", "CEDRAL", "MA", ) ,
    ("210312", "CENTRAL DO MARANHÃO", "MA", ) ,
    ("210315", "CENTRO DO GUILHERME", "MA", ) ,
    ("210317", "CENTRO NOVO DO MARANHÃO", "MA", ) ,
    ("210320", "CHAPADINHA", "MA", ) ,
    ("210325", "CIDELÂNDIA", "MA", ) ,
    ("210330", "CODÓ", "MA", ) ,
    ("210340", "COELHO NETO", "MA", ) ,
    ("210350", "COLINAS", "MA", ) ,
    ("210355", "CONCEIÇÃO DO LAGO-AÇU", "MA", ) ,
    ("210360", "COROATÁ", "MA", ) ,
    ("210370", "CURURUPU", "MA", ) ,
    ("210375", "DAVINÓPOLIS", "MA", ) ,
    ("210380", "DOM PEDRO", "MA", ) ,
    ("210390", "DUQUE BACELAR", "MA", ) ,
    ("210400", "ESPERANTINÓPOLIS", "MA", ) ,
    ("210405", "ESTREITO", "MA", ) ,
    ("210407", "FEIRA NOVA DO MARANHÃO", "MA", ) ,
    ("210408", "FERNANDO FALCÃO", "MA", ) ,
    ("210409", "FORMOSA DA SERRA NEGRA", "MA", ) ,
    ("210410", "FORTALEZA DOS NOGUEIRAS", "MA", ) ,
    ("210420", "FORTUNA", "MA", ) ,
    ("210430", "GODOFREDO VIANA", "MA", ) ,
    ("210440", "GONÇALVES DIAS", "MA", ) ,
    ("210450", "GOVERNADOR ARCHER", "MA", ) ,
    ("210455", "GOVERNADOR EDISON LOBÃO", "MA", ) ,
    ("210460", "GOVERNADOR EUGÊNIO BARROS", "MA", ) ,
    ("210462", "GOVERNADOR LUIZ ROCHA", "MA", ) ,
    ("210465", "GOVERNADOR NEWTON BELLO", "MA", ) ,
    ("210467", "GOVERNADOR NUNES FREIRE", "MA", ) ,
    ("210470", "GRAÇA ARANHA", "MA", ) ,
    ("210480", "GRAJAÚ", "MA", ) ,
    ("210490", "GUIMARÃES", "MA", ) ,
    ("210500", "HUMBERTO DE CAMPOS", "MA", ) ,
    ("210510", "ICATU", "MA", ) ,
    ("210515", "IGARAPÉ DO MEIO", "MA", ) ,
    ("210520", "IGARAPÉ GRANDE", "MA", ) ,
    ("210530", "IMPERATRIZ", "MA", ) ,
    ("210535", "ITAIPAVA DO GRAJAÚ", "MA", ) ,
    ("210540", "ITAPECURU MIRIM", "MA", ) ,
    ("210542", "ITINGA DO MARANHÃO", "MA", ) ,
    ("210545", "JATOBÁ", "MA", ) ,
    ("210547", "JENIPAPO DOS VIEIRAS", "MA", ) ,
    ("210550", "JOÃO LISBOA", "MA", ) ,
    ("210560", "JOSELÂNDIA", "MA", ) ,
    ("210565", "JUNCO DO MARANHÃO", "MA", ) ,
    ("210570", "LAGO DA PEDRA", "MA", ) ,
    ("210580", "LAGO DO JUNCO", "MA", ) ,
    ("210590", "LAGO VERDE", "MA", ) ,
    ("210592", "LAGOA DO MATO", "MA", ) ,
    ("210594", "LAGO DOS RODRIGUES", "MA", ) ,
    ("210596", "LAGOA GRANDE DO MARANHÃO", "MA", ) ,
    ("210598", "LAJEADO NOVO", "MA", ) ,
    ("210600", "LIMA CAMPOS", "MA", ) ,
    ("210610", "LORETO", "MA", ) ,
    ("210620", "LUÍS DOMINGUES", "MA", ) ,
    ("210630", "MAGALHÃES DE ALMEIDA", "MA", ) ,
    ("210632", "MARACAÇUMÉ", "MA", ) ,
    ("210635", "MARAJÁ DO SENA", "MA", ) ,
    ("210637", "MARANHÃOZINHO", "MA", ) ,
    ("210640", "MATA ROMA", "MA", ) ,
    ("210650", "MATINHA", "MA", ) ,
    ("210660", "MATÕES", "MA", ) ,
    ("210663", "MATÕES DO NORTE", "MA", ) ,
    ("210667", "MILAGRES DO MARANHÃO", "MA", ) ,
    ("210670", "MIRADOR", "MA", ) ,
    ("210675", "MIRANDA DO NORTE", "MA", ) ,
    ("210680", "MIRINZAL", "MA", ) ,
    ("210690", "MONÇÃO", "MA", ) ,
    ("210700", "MONTES ALTOS", "MA", ) ,
    ("210710", "MORROS", "MA", ) ,
    ("210720", "NINA RODRIGUES", "MA", ) ,
    ("210725", "NOVA COLINAS", "MA", ) ,
    ("210730", "NOVA IORQUE", "MA", ) ,
    ("210735", "NOVA OLINDA DO MARANHÃO", "MA", ) ,
    ("210740", "OLHO D'ÁGUA DAS CUNHÃS", "MA", ) ,
    ("210745", "OLINDA NOVA DO MARANHÃO", "MA", ) ,
    ("210750", "PAÇO DO LUMIAR", "MA", ) ,
    ("210760", "PALMEIRÂNDIA", "MA", ) ,
    ("210770", "PARAIBANO", "MA", ) ,
    ("210780", "PARNARAMA", "MA", ) ,
    ("210790", "PASSAGEM FRANCA", "MA", ) ,
    ("210800", "PASTOS BONS", "MA", ) ,
    ("210805", "PAULINO NEVES", "MA", ) ,
    ("210810", "PAULO RAMOS", "MA", ) ,
    ("210820", "PEDREIRAS", "MA", ) ,
    ("210825", "PEDRO DO ROSÁRIO", "MA", ) ,
    ("210830", "PENALVA", "MA", ) ,
    ("210840", "PERI MIRIM", "MA", ) ,
    ("210845", "PERITORÓ", "MA", ) ,
    ("210850", "PINDARÉ-MIRIM", "MA", ) ,
    ("210860", "PINHEIRO", "MA", ) ,
    ("210870", "PIO XII", "MA", ) ,
    ("210880", "PIRAPEMAS", "MA", ) ,
    ("210890", "POÇÃO DE PEDRAS", "MA", ) ,
    ("210900", "PORTO FRANCO", "MA", ) ,
    ("210905", "PORTO RICO DO MARANHÃO", "MA", ) ,
    ("210910", "PRESIDENTE DUTRA", "MA", ) ,
    ("210920", "PRESIDENTE JUSCELINO", "MA", ) ,
    ("210923", "PRESIDENTE MÉDICI", "MA", ) ,
    ("210927", "PRESIDENTE SARNEY", "MA", ) ,
    ("210930", "PRESIDENTE VARGAS", "MA", ) ,
    ("210940", "PRIMEIRA CRUZ", "MA", ) ,
    ("210945", "RAPOSA", "MA", ) ,
    ("210950", "RIACHÃO", "MA", ) ,
    ("210955", "RIBAMAR FIQUENE", "MA", ) ,
    ("210960", "ROSÁRIO", "MA", ) ,
    ("210970", "SAMBAÍBA", "MA", ) ,
    ("210975", "SANTA FILOMENA DO MARANHÃO", "MA", ) ,
    ("210980", "SANTA HELENA", "MA", ) ,
    ("210990", "SANTA INÊS", "MA", ) ,
    ("211000", "SANTA LUZIA", "MA", ) ,
    ("211003", "SANTA LUZIA DO PARUÁ", "MA", ) ,
    ("211010", "SANTA QUITÉRIA DO MARANHÃO", "MA", ) ,
    ("211020", "SANTA RITA", "MA", ) ,
    ("211023", "SANTANA DO MARANHÃO", "MA", ) ,
    ("211027", "SANTO AMARO DO MARANHÃO", "MA", ) ,
    ("211030", "SANTO ANTÔNIO DOS LOPES", "MA", ) ,
    ("211040", "SÃO BENEDITO DO RIO PRETO", "MA", ) ,
    ("211050", "SÃO BENTO", "MA", ) ,
    ("211060", "SÃO BERNARDO", "MA", ) ,
    ("211065", "SÃO DOMINGOS DO AZEITÃO", "MA", ) ,
    ("211070", "SÃO DOMINGOS DO MARANHÃO", "MA", ) ,
    ("211080", "SÃO FÉLIX DE BALSAS", "MA", ) ,
    ("211085", "SÃO FRANCISCO DO BREJÃO", "MA", ) ,
    ("211090", "SÃO FRANCISCO DO MARANHÃO", "MA", ) ,
    ("211100", "SÃO JOÃO BATISTA", "MA", ) ,
    ("211102", "SÃO JOÃO DO CARÚ", "MA", ) ,
    ("211105", "SÃO JOÃO DO PARAÍSO", "MA", ) ,
    ("211107", "SÃO JOÃO DO SOTER", "MA", ) ,
    ("211110", "SÃO JOÃO DOS PATOS", "MA", ) ,
    ("211120", "SÃO JOSÉ DE RIBAMAR", "MA", ) ,
    ("211125", "SÃO JOSÉ DOS BASÍLIOS", "MA", ) ,
    ("211130", "SÃO LUÍS", "MA", ) ,
    ("211140", "SÃO LUÍS GONZAGA DO MARANHÃO", "MA", ) ,
    ("211150", "SÃO MATEUS DO MARANHÃO", "MA", ) ,
    ("211153", "SÃO PEDRO DA ÁGUA BRANCA", "MA", ) ,
    ("211157", "SÃO PEDRO DOS CRENTES", "MA", ) ,
    ("211160", "SÃO RAIMUNDO DAS MANGABEIRAS", "MA", ) ,
    ("211163", "SÃO RAIMUNDO DO DOCA BEZERRA", "MA", ) ,
    ("211167", "SÃO ROBERTO", "MA", ) ,
    ("211170", "SÃO VICENTE FERRER", "MA", ) ,
    ("211172", "SATUBINHA", "MA", ) ,
    ("211174", "SENADOR ALEXANDRE COSTA", "MA", ) ,
    ("211176", "SENADOR LA ROCQUE", "MA", ) ,
    ("211178", "SERRANO DO MARANHÃO", "MA", ) ,
    ("211180", "SÍTIO NOVO", "MA", ) ,
    ("211190", "SUCUPIRA DO NORTE", "MA", ) ,
    ("211195", "SUCUPIRA DO RIACHÃO", "MA", ) ,
    ("211200", "TASSO FRAGOSO", "MA", ) ,
    ("211210", "TIMBIRAS", "MA", ) ,
    ("211220", "TIMON", "MA", ) ,
    ("211223", "TRIZIDELA DO VALE", "MA", ) ,
    ("211227", "TUFILÂNDIA", "MA", ) ,
    ("211230", "TUNTUM", "MA", ) ,
    ("211240", "TURIAÇU", "MA", ) ,
    ("211245", "TURILÂNDIA", "MA", ) ,
    ("211250", "TUTÓIA", "MA", ) ,
    ("211260", "URBANO SANTOS", "MA", ) ,
    ("211270", "VARGEM GRANDE", "MA", ) ,
    ("211280", "VIANA", "MA", ) ,
    ("211285", "VILA NOVA DOS MARTÍRIOS", "MA", ) ,
    ("211290", "VITÓRIA DO MEARIM", "MA", ) ,
    ("211300", "VITORINO FREIRE", "MA", ) ,
    ("211400", "ZÉ DOCA", "MA", ) ,
    ("220005", "ACAUÃ", "PI", ) ,
    ("220010", "AGRICOLÂNDIA", "PI", ) ,
    ("220020", "ÁGUA BRANCA", "PI", ) ,
    ("220025", "ALAGOINHA DO PIAUÍ", "PI", ) ,
    ("220027", "ALEGRETE DO PIAUÍ", "PI", ) ,
    ("220030", "ALTO LONGÁ", "PI", ) ,
    ("220040", "ALTOS", "PI", ) ,
    ("220045", "ALVORADA DO GURGUÉIA", "PI", ) ,
    ("220050", "AMARANTE", "PI", ) ,
    ("220060", "ANGICAL DO PIAUÍ", "PI", ) ,
    ("220070", "ANÍSIO DE ABREU", "PI", ) ,
    ("220080", "ANTÔNIO ALMEIDA", "PI", ) ,
    ("220090", "AROAZES", "PI", ) ,
    ("220095", "AROEIRAS DO ITAIM", "PI", ) ,
    ("220100", "ARRAIAL", "PI", ) ,
    ("220105", "ASSUNÇÃO DO PIAUÍ", "PI", ) ,
    ("220110", "AVELINO LOPES", "PI", ) ,
    ("220115", "BAIXA GRANDE DO RIBEIRO", "PI", ) ,
    ("220117", "BARRA D'ALCÂNTARA", "PI", ) ,
    ("220120", "BARRAS", "PI", ) ,
    ("220130", "BARREIRAS DO PIAUÍ", "PI", ) ,
    ("220140", "BARRO DURO", "PI", ) ,
    ("220150", "BATALHA", "PI", ) ,
    ("220155", "BELA VISTA DO PIAUÍ", "PI", ) ,
    ("220157", "BELÉM DO PIAUÍ", "PI", ) ,
    ("220160", "BENEDITINOS", "PI", ) ,
    ("220170", "BERTOLÍNIA", "PI", ) ,
    ("220173", "BETÂNIA DO PIAUÍ", "PI", ) ,
    ("220177", "BOA HORA", "PI", ) ,
    ("220180", "BOCAINA", "PI", ) ,
    ("220190", "BOM JESUS", "PI", ) ,
    ("220191", "BOM PRINCÍPIO DO PIAUÍ", "PI", ) ,
    ("220192", "BONFIM DO PIAUÍ", "PI", ) ,
    ("220194", "BOQUEIRÃO DO PIAUÍ", "PI", ) ,
    ("220196", "BRASILEIRA", "PI", ) ,
    ("220198", "BREJO DO PIAUÍ", "PI", ) ,
    ("220200", "BURITI DOS LOPES", "PI", ) ,
    ("220202", "BURITI DOS MONTES", "PI", ) ,
    ("220205", "CABECEIRAS DO PIAUÍ", "PI", ) ,
    ("220207", "CAJAZEIRAS DO PIAUÍ", "PI", ) ,
    ("220208", "CAJUEIRO DA PRAIA", "PI", ) ,
    ("220209", "CALDEIRÃO GRANDE DO PIAUÍ", "PI", ) ,
    ("220210", "CAMPINAS DO PIAUÍ", "PI", ) ,
    ("220211", "CAMPO ALEGRE DO FIDALGO", "PI", ) ,
    ("220213", "CAMPO GRANDE DO PIAUÍ", "PI", ) ,
    ("220217", "CAMPO LARGO DO PIAUÍ", "PI", ) ,
    ("220220", "CAMPO MAIOR", "PI", ) ,
    ("220225", "CANAVIEIRA", "PI", ) ,
    ("220230", "CANTO DO BURITI", "PI", ) ,
    ("220240", "CAPITÃO DE CAMPOS", "PI", ) ,
    ("220245", "CAPITÃO GERVÁSIO OLIVEIRA", "PI", ) ,
    ("220250", "CARACOL", "PI", ) ,
    ("220253", "CARAÚBAS DO PIAUÍ", "PI", ) ,
    ("220255", "CARIDADE DO PIAUÍ", "PI", ) ,
    ("220260", "CASTELO DO PIAUÍ", "PI", ) ,
    ("220265", "CAXINGÓ", "PI", ) ,
    ("220270", "COCAL", "PI", ) ,
    ("220271", "COCAL DE TELHA", "PI", ) ,
    ("220272", "COCAL DOS ALVES", "PI", ) ,
    ("220273", "COIVARAS", "PI", ) ,
    ("220275", "COLÔNIA DO GURGUÉIA", "PI", ) ,
    ("220277", "COLÔNIA DO PIAUÍ", "PI", ) ,
    ("220280", "CONCEIÇÃO DO CANINDÉ", "PI", ) ,
    ("220285", "CORONEL JOSÉ DIAS", "PI", ) ,
    ("220290", "CORRENTE", "PI", ) ,
    ("220300", "CRISTALÂNDIA DO PIAUÍ", "PI", ) ,
    ("220310", "CRISTINO CASTRO", "PI", ) ,
    ("220320", "CURIMATÁ", "PI", ) ,
    ("220323", "CURRAIS", "PI", ) ,
    ("220325", "CURRALINHOS", "PI", ) ,
    ("220327", "CURRAL NOVO DO PIAUÍ", "PI", ) ,
    ("220330", "DEMERVAL LOBÃO", "PI", ) ,
    ("220335", "DIRCEU ARCOVERDE", "PI", ) ,
    ("220340", "DOM EXPEDITO LOPES", "PI", ) ,
    ("220342", "DOMINGOS MOURÃO", "PI", ) ,
    ("220345", "DOM INOCÊNCIO", "PI", ) ,
    ("220350", "ELESBÃO VELOSO", "PI", ) ,
    ("220360", "ELISEU MARTINS", "PI", ) ,
    ("220370", "ESPERANTINA", "PI", ) ,
    ("220375", "FARTURA DO PIAUÍ", "PI", ) ,
    ("220380", "FLORES DO PIAUÍ", "PI", ) ,
    ("220385", "FLORESTA DO PIAUÍ", "PI", ) ,
    ("220390", "FLORIANO", "PI", ) ,
    ("220400", "FRANCINÓPOLIS", "PI", ) ,
    ("220410", "FRANCISCO AYRES", "PI", ) ,
    ("220415", "FRANCISCO MACEDO", "PI", ) ,
    ("220420", "FRANCISCO SANTOS", "PI", ) ,
    ("220430", "FRONTEIRAS", "PI", ) ,
    ("220435", "GEMINIANO", "PI", ) ,
    ("220440", "GILBUÉS", "PI", ) ,
    ("220450", "GUADALUPE", "PI", ) ,
    ("220455", "GUARIBAS", "PI", ) ,
    ("220460", "HUGO NAPOLEÃO", "PI", ) ,
    ("220465", "ILHA GRANDE", "PI", ) ,
    ("220470", "INHUMA", "PI", ) ,
    ("220480", "IPIRANGA DO PIAUÍ", "PI", ) ,
    ("220490", "ISAÍAS COELHO", "PI", ) ,
    ("220500", "ITAINÓPOLIS", "PI", ) ,
    ("220510", "ITAUEIRA", "PI", ) ,
    ("220515", "JACOBINA DO PIAUÍ", "PI", ) ,
    ("220520", "JAICÓS", "PI", ) ,
    ("220525", "JARDIM DO MULATO", "PI", ) ,
    ("220527", "JATOBÁ DO PIAUÍ", "PI", ) ,
    ("220530", "JERUMENHA", "PI", ) ,
    ("220535", "JOÃO COSTA", "PI", ) ,
    ("220540", "JOAQUIM PIRES", "PI", ) ,
    ("220545", "JOCA MARQUES", "PI", ) ,
    ("220550", "JOSÉ DE FREITAS", "PI", ) ,
    ("220551", "JUAZEIRO DO PIAUÍ", "PI", ) ,
    ("220552", "JÚLIO BORGES", "PI", ) ,
    ("220553", "JUREMA", "PI", ) ,
    ("220554", "LAGOINHA DO PIAUÍ", "PI", ) ,
    ("220555", "LAGOA ALEGRE", "PI", ) ,
    ("220556", "LAGOA DO BARRO DO PIAUÍ", "PI", ) ,
    ("220557", "LAGOA DE SÃO FRANCISCO", "PI", ) ,
    ("220558", "LAGOA DO PIAUÍ", "PI", ) ,
    ("220559", "LAGOA DO SÍTIO", "PI", ) ,
    ("220560", "LANDRI SALES", "PI", ) ,
    ("220570", "LUÍS CORREIA", "PI", ) ,
    ("220580", "LUZILÂNDIA", "PI", ) ,
    ("220585", "MADEIRO", "PI", ) ,
    ("220590", "MANOEL EMÍDIO", "PI", ) ,
    ("220595", "MARCOLÂNDIA", "PI", ) ,
    ("220600", "MARCOS PARENTE", "PI", ) ,
    ("220605", "MASSAPÊ DO PIAUÍ", "PI", ) ,
    ("220610", "MATIAS OLÍMPIO", "PI", ) ,
    ("220620", "MIGUEL ALVES", "PI", ) ,
    ("220630", "MIGUEL LEÃO", "PI", ) ,
    ("220635", "MILTON BRANDÃO", "PI", ) ,
    ("220640", "MONSENHOR GIL", "PI", ) ,
    ("220650", "MONSENHOR HIPÓLITO", "PI", ) ,
    ("220660", "MONTE ALEGRE DO PIAUÍ", "PI", ) ,
    ("220665", "MORRO CABEÇA NO TEMPO", "PI", ) ,
    ("220667", "MORRO DO CHAPÉU DO PIAUÍ", "PI", ) ,
    ("220669", "MURICI DOS PORTELAS", "PI", ) ,
    ("220670", "NAZARÉ DO PIAUÍ", "PI", ) ,
    ("220672", "NAZÁRIA", "PI", ) ,
    ("220675", "NOSSA SENHORA DE NAZARÉ", "PI", ) ,
    ("220680", "NOSSA SENHORA DOS REMÉDIOS", "PI", ) ,
    ("220690", "NOVO ORIENTE DO PIAUÍ", "PI", ) ,
    ("220695", "NOVO SANTO ANTÔNIO", "PI", ) ,
    ("220700", "OEIRAS", "PI", ) ,
    ("220710", "OLHO D'ÁGUA DO PIAUÍ", "PI", ) ,
    ("220720", "PADRE MARCOS", "PI", ) ,
    ("220730", "PAES LANDIM", "PI", ) ,
    ("220735", "PAJEÚ DO PIAUÍ", "PI", ) ,
    ("220740", "PALMEIRA DO PIAUÍ", "PI", ) ,
    ("220750", "PALMEIRAIS", "PI", ) ,
    ("220755", "PAQUETÁ", "PI", ) ,
    ("220760", "PARNAGUÁ", "PI", ) ,
    ("220770", "PARNAÍBA", "PI", ) ,
    ("220775", "PASSAGEM FRANCA DO PIAUÍ", "PI", ) ,
    ("220777", "PATOS DO PIAUÍ", "PI", ) ,
    ("220779", "PAU D'ARCO DO PIAUÍ", "PI", ) ,
    ("220780", "PAULISTANA", "PI", ) ,
    ("220785", "PAVUSSU", "PI", ) ,
    ("220790", "PEDRO II", "PI", ) ,
    ("220793", "PEDRO LAURENTINO", "PI", ) ,
    ("220795", "NOVA SANTA RITA", "PI", ) ,
    ("220800", "PICOS", "PI", ) ,
    ("220810", "PIMENTEIRAS", "PI", ) ,
    ("220820", "PIO IX", "PI", ) ,
    ("220830", "PIRACURUCA", "PI", ) ,
    ("220840", "PIRIPIRI", "PI", ) ,
    ("220850", "PORTO", "PI", ) ,
    ("220855", "PORTO ALEGRE DO PIAUÍ", "PI", ) ,
    ("220860", "PRATA DO PIAUÍ", "PI", ) ,
    ("220865", "QUEIMADA NOVA", "PI", ) ,
    ("220870", "REDENÇÃO DO GURGUÉIA", "PI", ) ,
    ("220880", "REGENERAÇÃO", "PI", ) ,
    ("220885", "RIACHO FRIO", "PI", ) ,
    ("220887", "RIBEIRA DO PIAUÍ", "PI", ) ,
    ("220890", "RIBEIRO GONÇALVES", "PI", ) ,
    ("220900", "RIO GRANDE DO PIAUÍ", "PI", ) ,
    ("220910", "SANTA CRUZ DO PIAUÍ", "PI", ) ,
    ("220915", "SANTA CRUZ DOS MILAGRES", "PI", ) ,
    ("220920", "SANTA FILOMENA", "PI", ) ,
    ("220930", "SANTA LUZ", "PI", ) ,
    ("220935", "SANTANA DO PIAUÍ", "PI", ) ,
    ("220937", "SANTA ROSA DO PIAUÍ", "PI", ) ,
    ("220940", "SANTO ANTÔNIO DE LISBOA", "PI", ) ,
    ("220945", "SANTO ANTÔNIO DOS MILAGRES", "PI", ) ,
    ("220950", "SANTO INÁCIO DO PIAUÍ", "PI", ) ,
    ("220955", "SÃO BRAZ DO PIAUÍ", "PI", ) ,
    ("220960", "SÃO FÉLIX DO PIAUÍ", "PI", ) ,
    ("220965", "SÃO FRANCISCO DE ASSIS DO PIAUÍ", "PI", ) ,
    ("220970", "SÃO FRANCISCO DO PIAUÍ", "PI", ) ,
    ("220975", "SÃO GONÇALO DO GURGUÉIA", "PI", ) ,
    ("220980", "SÃO GONÇALO DO PIAUÍ", "PI", ) ,
    ("220985", "SÃO JOÃO DA CANABRAVA", "PI", ) ,
    ("220987", "SÃO JOÃO DA FRONTEIRA", "PI", ) ,
    ("220990", "SÃO JOÃO DA SERRA", "PI", ) ,
    ("220995", "SÃO JOÃO DA VARJOTA", "PI", ) ,
    ("220997", "SÃO JOÃO DO ARRAIAL", "PI", ) ,
    ("221000", "SÃO JOÃO DO PIAUÍ", "PI", ) ,
    ("221005", "SÃO JOSÉ DO DIVINO", "PI", ) ,
    ("221010", "SÃO JOSÉ DO PEIXE", "PI", ) ,
    ("221020", "SÃO JOSÉ DO PIAUÍ", "PI", ) ,
    ("221030", "SÃO JULIÃO", "PI", ) ,
    ("221035", "SÃO LOURENÇO DO PIAUÍ", "PI", ) ,
    ("221037", "SÃO LUIS DO PIAUÍ", "PI", ) ,
    ("221038", "SÃO MIGUEL DA BAIXA GRANDE", "PI", ) ,
    ("221039", "SÃO MIGUEL DO FIDALGO", "PI", ) ,
    ("221040", "SÃO MIGUEL DO TAPUIO", "PI", ) ,
    ("221050", "SÃO PEDRO DO PIAUÍ", "PI", ) ,
    ("221060", "SÃO RAIMUNDO NONATO", "PI", ) ,
    ("221062", "SEBASTIÃO BARROS", "PI", ) ,
    ("221063", "SEBASTIÃO LEAL", "PI", ) ,
    ("221065", "SIGEFREDO PACHECO", "PI", ) ,
    ("221070", "SIMÕES", "PI", ) ,
    ("221080", "SIMPLÍCIO MENDES", "PI", ) ,
    ("221090", "SOCORRO DO PIAUÍ", "PI", ) ,
    ("221093", "SUSSUAPARA", "PI", ) ,
    ("221095", "TAMBORIL DO PIAUÍ", "PI", ) ,
    ("221097", "TANQUE DO PIAUÍ", "PI", ) ,
    ("221100", "TERESINA", "PI", ) ,
    ("221110", "UNIÃO", "PI", ) ,
    ("221120", "URUÇUÍ", "PI", ) ,
    ("221130", "VALENÇA DO PIAUÍ", "PI", ) ,
    ("221135", "VÁRZEA BRANCA", "PI", ) ,
    ("221140", "VÁRZEA GRANDE", "PI", ) ,
    ("221150", "VERA MENDES", "PI", ) ,
    ("221160", "VILA NOVA DO PIAUÍ", "PI", ) ,
    ("221170", "WALL FERRAZ", "PI", ) ,
    ("230010", "ABAIARA", "CE", ) ,
    ("230015", "ACARAPE", "CE", ) ,
    ("230020", "ACARAÚ", "CE", ) ,
    ("230030", "ACOPIARA", "CE", ) ,
    ("230040", "AIUABA", "CE", ) ,
    ("230050", "ALCÂNTARAS", "CE", ) ,
    ("230060", "ALTANEIRA", "CE", ) ,
    ("230070", "ALTO SANTO", "CE", ) ,
    ("230075", "AMONTADA", "CE", ) ,
    ("230080", "ANTONINA DO NORTE", "CE", ) ,
    ("230090", "APUIARÉS", "CE", ) ,
    ("230100", "AQUIRAZ", "CE", ) ,
    ("230110", "ARACATI", "CE", ) ,
    ("230120", "ARACOIABA", "CE", ) ,
    ("230125", "ARARENDÁ", "CE", ) ,
    ("230130", "ARARIPE", "CE", ) ,
    ("230140", "ARATUBA", "CE", ) ,
    ("230150", "ARNEIROZ", "CE", ) ,
    ("230160", "ASSARÉ", "CE", ) ,
    ("230170", "AURORA", "CE", ) ,
    ("230180", "BAIXIO", "CE", ) ,
    ("230185", "BANABUIÚ", "CE", ) ,
    ("230190", "BARBALHA", "CE", ) ,
    ("230195", "BARREIRA", "CE", ) ,
    ("230200", "BARRO", "CE", ) ,
    ("230205", "BARROQUINHA", "CE", ) ,
    ("230210", "BATURITÉ", "CE", ) ,
    ("230220", "BEBERIBE", "CE", ) ,
    ("230230", "BELA CRUZ", "CE", ) ,
    ("230240", "BOA VIAGEM", "CE", ) ,
    ("230250", "BREJO SANTO", "CE", ) ,
    ("230260", "CAMOCIM", "CE", ) ,
    ("230270", "CAMPOS SALES", "CE", ) ,
    ("230280", "CANINDÉ", "CE", ) ,
    ("230290", "CAPISTRANO", "CE", ) ,
    ("230300", "CARIDADE", "CE", ) ,
    ("230310", "CARIRÉ", "CE", ) ,
    ("230320", "CARIRIAÇU", "CE", ) ,
    ("230330", "CARIÚS", "CE", ) ,
    ("230340", "CARNAUBAL", "CE", ) ,
    ("230350", "CASCAVEL", "CE", ) ,
    ("230360", "CATARINA", "CE", ) ,
    ("230365", "CATUNDA", "CE", ) ,
    ("230370", "CAUCAIA", "CE", ) ,
    ("230380", "CEDRO", "CE", ) ,
    ("230390", "CHAVAL", "CE", ) ,
    ("230393", "CHORÓ", "CE", ) ,
    ("230395", "CHOROZINHO", "CE", ) ,
    ("230400", "COREAÚ", "CE", ) ,
    ("230410", "CRATEÚS", "CE", ) ,
    ("230420", "CRATO", "CE", ) ,
    ("230423", "CROATÁ", "CE", ) ,
    ("230425", "CRUZ", "CE", ) ,
    ("230426", "DEPUTADO IRAPUAN PINHEIRO", "CE", ) ,
    ("230427", "ERERÊ", "CE", ) ,
    ("230428", "EUSÉBIO", "CE", ) ,
    ("230430", "FARIAS BRITO", "CE", ) ,
    ("230435", "FORQUILHA", "CE", ) ,
    ("230440", "FORTALEZA", "CE", ) ,
    ("230445", "FORTIM", "CE", ) ,
    ("230450", "FRECHEIRINHA", "CE", ) ,
    ("230460", "GENERAL SAMPAIO", "CE", ) ,
    ("230465", "GRAÇA", "CE", ) ,
    ("230470", "GRANJA", "CE", ) ,
    ("230480", "GRANJEIRO", "CE", ) ,
    ("230490", "GROAÍRAS", "CE", ) ,
    ("230495", "GUAIÚBA", "CE", ) ,
    ("230500", "GUARACIABA DO NORTE", "CE", ) ,
    ("230510", "GUARAMIRANGA", "CE", ) ,
    ("230520", "HIDROLÂNDIA", "CE", ) ,
    ("230523", "HORIZONTE", "CE", ) ,
    ("230526", "IBARETAMA", "CE", ) ,
    ("230530", "IBIAPINA", "CE", ) ,
    ("230533", "IBICUITINGA", "CE", ) ,
    ("230535", "ICAPUÍ", "CE", ) ,
    ("230540", "ICÓ", "CE", ) ,
    ("230550", "IGUATU", "CE", ) ,
    ("230560", "INDEPENDÊNCIA", "CE", ) ,
    ("230565", "IPAPORANGA", "CE", ) ,
    ("230570", "IPAUMIRIM", "CE", ) ,
    ("230580", "IPU", "CE", ) ,
    ("230590", "IPUEIRAS", "CE", ) ,
    ("230600", "IRACEMA", "CE", ) ,
    ("230610", "IRAUÇUBA", "CE", ) ,
    ("230620", "ITAIÇABA", "CE", ) ,
    ("230625", "ITAITINGA", "CE", ) ,
    ("230630", "ITAPAGÉ", "CE", ) ,
    ("230640", "ITAPIPOCA", "CE", ) ,
    ("230650", "ITAPIÚNA", "CE", ) ,
    ("230655", "ITAREMA", "CE", ) ,
    ("230660", "ITATIRA", "CE", ) ,
    ("230670", "JAGUARETAMA", "CE", ) ,
    ("230680", "JAGUARIBARA", "CE", ) ,
    ("230690", "JAGUARIBE", "CE", ) ,
    ("230700", "JAGUARUANA", "CE", ) ,
    ("230710", "JARDIM", "CE", ) ,
    ("230720", "JATI", "CE", ) ,
    ("230725", "JIJOCA DE JERICOACOARA", "CE", ) ,
    ("230730", "JUAZEIRO DO NORTE", "CE", ) ,
    ("230740", "JUCÁS", "CE", ) ,
    ("230750", "LAVRAS DA MANGABEIRA", "CE", ) ,
    ("230760", "LIMOEIRO DO NORTE", "CE", ) ,
    ("230763", "MADALENA", "CE", ) ,
    ("230765", "MARACANAÚ", "CE", ) ,
    ("230770", "MARANGUAPE", "CE", ) ,
    ("230780", "MARCO", "CE", ) ,
    ("230790", "MARTINÓPOLE", "CE", ) ,
    ("230800", "MASSAPÊ", "CE", ) ,
    ("230810", "MAURITI", "CE", ) ,
    ("230820", "MERUOCA", "CE", ) ,
    ("230830", "MILAGRES", "CE", ) ,
    ("230835", "MILHÃ", "CE", ) ,
    ("230837", "MIRAÍMA", "CE", ) ,
    ("230840", "MISSÃO VELHA", "CE", ) ,
    ("230850", "MOMBAÇA", "CE", ) ,
    ("230860", "MONSENHOR TABOSA", "CE", ) ,
    ("230870", "MORADA NOVA", "CE", ) ,
    ("230880", "MORAÚJO", "CE", ) ,
    ("230890", "MORRINHOS", "CE", ) ,
    ("230900", "MUCAMBO", "CE", ) ,
    ("230910", "MULUNGU", "CE", ) ,
    ("230920", "NOVA OLINDA", "CE", ) ,
    ("230930", "NOVA RUSSAS", "CE", ) ,
    ("230940", "NOVO ORIENTE", "CE", ) ,
    ("230945", "OCARA", "CE", ) ,
    ("230950", "ORÓS", "CE", ) ,
    ("230960", "PACAJUS", "CE", ) ,
    ("230970", "PACATUBA", "CE", ) ,
    ("230980", "PACOTI", "CE", ) ,
    ("230990", "PACUJÁ", "CE", ) ,
    ("231000", "PALHANO", "CE", ) ,
    ("231010", "PALMÁCIA", "CE", ) ,
    ("231020", "PARACURU", "CE", ) ,
    ("231025", "PARAIPABA", "CE", ) ,
    ("231030", "PARAMBU", "CE", ) ,
    ("231040", "PARAMOTI", "CE", ) ,
    ("231050", "PEDRA BRANCA", "CE", ) ,
    ("231060", "PENAFORTE", "CE", ) ,
    ("231070", "PENTECOSTE", "CE", ) ,
    ("231080", "PEREIRO", "CE", ) ,
    ("231085", "PINDORETAMA", "CE", ) ,
    ("231090", "PIQUET CARNEIRO", "CE", ) ,
    ("231095", "PIRES FERREIRA", "CE", ) ,
    ("231100", "PORANGA", "CE", ) ,
    ("231110", "PORTEIRAS", "CE", ) ,
    ("231120", "POTENGI", "CE", ) ,
    ("231123", "POTIRETAMA", "CE", ) ,
    ("231126", "QUITERIANÓPOLIS", "CE", ) ,
    ("231130", "QUIXADÁ", "CE", ) ,
    ("231135", "QUIXELÔ", "CE", ) ,
    ("231140", "QUIXERAMOBIM", "CE", ) ,
    ("231150", "QUIXERÉ", "CE", ) ,
    ("231160", "REDENÇÃO", "CE", ) ,
    ("231170", "RERIUTABA", "CE", ) ,
    ("231180", "RUSSAS", "CE", ) ,
    ("231190", "SABOEIRO", "CE", ) ,
    ("231195", "SALITRE", "CE", ) ,
    ("231200", "SANTANA DO ACARAÚ", "CE", ) ,
    ("231210", "SANTANA DO CARIRI", "CE", ) ,
    ("231220", "SANTA QUITÉRIA", "CE", ) ,
    ("231230", "SÃO BENEDITO", "CE", ) ,
    ("231240", "SÃO GONÇALO DO AMARANTE", "CE", ) ,
    ("231250", "SÃO JOÃO DO JAGUARIBE", "CE", ) ,
    ("231260", "SÃO LUÍS DO CURU", "CE", ) ,
    ("231270", "SENADOR POMPEU", "CE", ) ,
    ("231280", "SENADOR SÁ", "CE", ) ,
    ("231290", "SOBRAL", "CE", ) ,
    ("231300", "SOLONÓPOLE", "CE", ) ,
    ("231310", "TABULEIRO DO NORTE", "CE", ) ,
    ("231320", "TAMBORIL", "CE", ) ,
    ("231325", "TARRAFAS", "CE", ) ,
    ("231330", "TAUÁ", "CE", ) ,
    ("231335", "TEJUÇUOCA", "CE", ) ,
    ("231340", "TIANGUÁ", "CE", ) ,
    ("231350", "TRAIRI", "CE", ) ,
    ("231355", "TURURU", "CE", ) ,
    ("231360", "UBAJARA", "CE", ) ,
    ("231370", "UMARI", "CE", ) ,
    ("231375", "UMIRIM", "CE", ) ,
    ("231380", "URUBURETAMA", "CE", ) ,
    ("231390", "URUOCA", "CE", ) ,
    ("231395", "VARJOTA", "CE", ) ,
    ("231400", "VÁRZEA ALEGRE", "CE", ) ,
    ("231410", "VIÇOSA DO CEARÁ", "CE", ) ,
    ("240010", "ACARI", "RN", ) ,
    ("240020", "AÇU", "RN", ) ,
    ("240030", "AFONSO BEZERRA", "RN", ) ,
    ("240040", "ÁGUA NOVA", "RN", ) ,
    ("240050", "ALEXANDRIA", "RN", ) ,
    ("240060", "ALMINO AFONSO", "RN", ) ,
    ("240070", "ALTO DO RODRIGUES", "RN", ) ,
    ("240080", "ANGICOS", "RN", ) ,
    ("240090", "ANTÔNIO MARTINS", "RN", ) ,
    ("240100", "APODI", "RN", ) ,
    ("240110", "AREIA BRANCA", "RN", ) ,
    ("240120", "ARÊS", "RN", ) ,
    ("240130", "AUGUSTO SEVERO", "RN", ) ,
    ("240140", "BAÍA FORMOSA", "RN", ) ,
    ("240145", "BARAÚNA", "RN", ) ,
    ("240150", "BARCELONA", "RN", ) ,
    ("240160", "BENTO FERNANDES", "RN", ) ,
    ("240165", "BODÓ", "RN", ) ,
    ("240170", "BOM JESUS", "RN", ) ,
    ("240180", "BREJINHO", "RN", ) ,
    ("240185", "CAIÇARA DO NORTE", "RN", ) ,
    ("240190", "CAIÇARA DO RIO DO VENTO", "RN", ) ,
    ("240200", "CAICÓ", "RN", ) ,
    ("240210", "CAMPO REDONDO", "RN", ) ,
    ("240220", "CANGUARETAMA", "RN", ) ,
    ("240230", "CARAÚBAS", "RN", ) ,
    ("240240", "CARNAÚBA DOS DANTAS", "RN", ) ,
    ("240250", "CARNAUBAIS", "RN", ) ,
    ("240260", "CEARÁ-MIRIM", "RN", ) ,
    ("240270", "CERRO CORÁ", "RN", ) ,
    ("240280", "CORONEL EZEQUIEL", "RN", ) ,
    ("240290", "CORONEL JOÃO PESSOA", "RN", ) ,
    ("240300", "CRUZETA", "RN", ) ,
    ("240310", "CURRAIS NOVOS", "RN", ) ,
    ("240320", "DOUTOR SEVERIANO", "RN", ) ,
    ("240325", "PARNAMIRIM", "RN", ) ,
    ("240330", "ENCANTO", "RN", ) ,
    ("240340", "EQUADOR", "RN", ) ,
    ("240350", "ESPÍRITO SANTO", "RN", ) ,
    ("240360", "EXTREMOZ", "RN", ) ,
    ("240370", "FELIPE GUERRA", "RN", ) ,
    ("240375", "FERNANDO PEDROZA", "RN", ) ,
    ("240380", "FLORÂNIA", "RN", ) ,
    ("240390", "FRANCISCO DANTAS", "RN", ) ,
    ("240400", "FRUTUOSO GOMES", "RN", ) ,
    ("240410", "GALINHOS", "RN", ) ,
    ("240420", "GOIANINHA", "RN", ) ,
    ("240430", "GOVERNADOR DIX-SEPT ROSADO", "RN", ) ,
    ("240440", "GROSSOS", "RN", ) ,
    ("240450", "GUAMARÉ", "RN", ) ,
    ("240460", "IELMO MARINHO", "RN", ) ,
    ("240470", "IPANGUAÇU", "RN", ) ,
    ("240480", "IPUEIRA", "RN", ) ,
    ("240485", "ITAJÁ", "RN", ) ,
    ("240490", "ITAÚ", "RN", ) ,
    ("240500", "JAÇANÃ", "RN", ) ,
    ("240510", "JANDAÍRA", "RN", ) ,
    ("240520", "JANDUÍS", "RN", ) ,
    ("240530", "JANUÁRIO CICCO", "RN", ) ,
    ("240540", "JAPI", "RN", ) ,
    ("240550", "JARDIM DE ANGICOS", "RN", ) ,
    ("240560", "JARDIM DE PIRANHAS", "RN", ) ,
    ("240570", "JARDIM DO SERIDÓ", "RN", ) ,
    ("240580", "JOÃO CÂMARA", "RN", ) ,
    ("240590", "JOÃO DIAS", "RN", ) ,
    ("240600", "JOSÉ DA PENHA", "RN", ) ,
    ("240610", "JUCURUTU", "RN", ) ,
    ("240615", "JUNDIÁ", "RN", ) ,
    ("240620", "LAGOA D'ANTA", "RN", ) ,
    ("240630", "LAGOA DE PEDRAS", "RN", ) ,
    ("240640", "LAGOA DE VELHOS", "RN", ) ,
    ("240650", "LAGOA NOVA", "RN", ) ,
    ("240660", "LAGOA SALGADA", "RN", ) ,
    ("240670", "LAJES", "RN", ) ,
    ("240680", "LAJES PINTADAS", "RN", ) ,
    ("240690", "LUCRÉCIA", "RN", ) ,
    ("240700", "LUÍS GOMES", "RN", ) ,
    ("240710", "MACAÍBA", "RN", ) ,
    ("240720", "MACAU", "RN", ) ,
    ("240725", "MAJOR SALES", "RN", ) ,
    ("240730", "MARCELINO VIEIRA", "RN", ) ,
    ("240740", "MARTINS", "RN", ) ,
    ("240750", "MAXARANGUAPE", "RN", ) ,
    ("240760", "MESSIAS TARGINO", "RN", ) ,
    ("240770", "MONTANHAS", "RN", ) ,
    ("240780", "MONTE ALEGRE", "RN", ) ,
    ("240790", "MONTE DAS GAMELEIRAS", "RN", ) ,
    ("240800", "MOSSORÓ", "RN", ) ,
    ("240810", "NATAL", "RN", ) ,
    ("240820", "NÍSIA FLORESTA", "RN", ) ,
    ("240830", "NOVA CRUZ", "RN", ) ,
    ("240840", "OLHO-D'ÁGUA DO BORGES", "RN", ) ,
    ("240850", "OURO BRANCO", "RN", ) ,
    ("240860", "PARANÁ", "RN", ) ,
    ("240870", "PARAÚ", "RN", ) ,
    ("240880", "PARAZINHO", "RN", ) ,
    ("240890", "PARELHAS", "RN", ) ,
    ("240895", "RIO DO FOGO", "RN", ) ,
    ("240910", "PASSA E FICA", "RN", ) ,
    ("240920", "PASSAGEM", "RN", ) ,
    ("240930", "PATU", "RN", ) ,
    ("240933", "SANTA MARIA", "RN", ) ,
    ("240940", "PAU DOS FERROS", "RN", ) ,
    ("240950", "PEDRA GRANDE", "RN", ) ,
    ("240960", "PEDRA PRETA", "RN", ) ,
    ("240970", "PEDRO AVELINO", "RN", ) ,
    ("240980", "PEDRO VELHO", "RN", ) ,
    ("240990", "PENDÊNCIAS", "RN", ) ,
    ("241000", "PILÕES", "RN", ) ,
    ("241010", "POÇO BRANCO", "RN", ) ,
    ("241020", "PORTALEGRE", "RN", ) ,
    ("241025", "PORTO DO MANGUE", "RN", ) ,
    ("241030", "PRESIDENTE JUSCELINO", "RN", ) ,
    ("241040", "PUREZA", "RN", ) ,
    ("241050", "RAFAEL FERNANDES", "RN", ) ,
    ("241060", "RAFAEL GODEIRO", "RN", ) ,
    ("241070", "RIACHO DA CRUZ", "RN", ) ,
    ("241080", "RIACHO DE SANTANA", "RN", ) ,
    ("241090", "RIACHUELO", "RN", ) ,
    ("241100", "RODOLFO FERNANDES", "RN", ) ,
    ("241105", "TIBAU", "RN", ) ,
    ("241110", "RUY BARBOSA", "RN", ) ,
    ("241120", "SANTA CRUZ", "RN", ) ,
    ("241140", "SANTANA DO MATOS", "RN", ) ,
    ("241142", "SANTANA DO SERIDÓ", "RN", ) ,
    ("241150", "SANTO ANTÔNIO", "RN", ) ,
    ("241160", "SÃO BENTO DO NORTE", "RN", ) ,
    ("241170", "SÃO BENTO DO TRAIRÍ", "RN", ) ,
    ("241180", "SÃO FERNANDO", "RN", ) ,
    ("241190", "SÃO FRANCISCO DO OESTE", "RN", ) ,
    ("241200", "SÃO GONÇALO DO AMARANTE", "RN", ) ,
    ("241210", "SÃO JOÃO DO SABUGI", "RN", ) ,
    ("241220", "SÃO JOSÉ DE MIPIBU", "RN", ) ,
    ("241230", "SÃO JOSÉ DO CAMPESTRE", "RN", ) ,
    ("241240", "SÃO JOSÉ DO SERIDÓ", "RN", ) ,
    ("241250", "SÃO MIGUEL", "RN", ) ,
    ("241255", "SÃO MIGUEL DO GOSTOSO", "RN", ) ,
    ("241260", "SÃO PAULO DO POTENGI", "RN", ) ,
    ("241270", "SÃO PEDRO", "RN", ) ,
    ("241280", "SÃO RAFAEL", "RN", ) ,
    ("241290", "SÃO TOMÉ", "RN", ) ,
    ("241300", "SÃO VICENTE", "RN", ) ,
    ("241310", "SENADOR ELÓI DE SOUZA", "RN", ) ,
    ("241320", "SENADOR GEORGINO AVELINO", "RN", ) ,
    ("241330", "SERRA DE SÃO BENTO", "RN", ) ,
    ("241335", "SERRA DO MEL", "RN", ) ,
    ("241340", "SERRA NEGRA DO NORTE", "RN", ) ,
    ("241350", "SERRINHA", "RN", ) ,
    ("241355", "SERRINHA DOS PINTOS", "RN", ) ,
    ("241360", "SEVERIANO MELO", "RN", ) ,
    ("241370", "SÍTIO NOVO", "RN", ) ,
    ("241380", "TABOLEIRO GRANDE", "RN", ) ,
    ("241390", "TAIPU", "RN", ) ,
    ("241400", "TANGARÁ", "RN", ) ,
    ("241410", "TENENTE ANANIAS", "RN", ) ,
    ("241415", "TENENTE LAURENTINO CRUZ", "RN", ) ,
    ("241420", "TIBAU DO SUL", "RN", ) ,
    ("241430", "TIMBAÚBA DOS BATISTAS", "RN", ) ,
    ("241440", "TOUROS", "RN", ) ,
    ("241445", "TRIUNFO POTIGUAR", "RN", ) ,
    ("241450", "UMARIZAL", "RN", ) ,
    ("241460", "UPANEMA", "RN", ) ,
    ("241470", "VÁRZEA", "RN", ) ,
    ("241475", "VENHA-VER", "RN", ) ,
    ("241480", "VERA CRUZ", "RN", ) ,
    ("241490", "VIÇOSA", "RN", ) ,
    ("241500", "VILA FLOR", "RN", ) ,
    ("250010", "ÁGUA BRANCA", "PB", ) ,
    ("250020", "AGUIAR", "PB", ) ,
    ("250030", "ALAGOA GRANDE", "PB", ) ,
    ("250040", "ALAGOA NOVA", "PB", ) ,
    ("250050", "ALAGOINHA", "PB", ) ,
    ("250053", "ALCANTIL", "PB", ) ,
    ("250057", "ALGODÃO DE JANDAÍRA", "PB", ) ,
    ("250060", "ALHANDRA", "PB", ) ,
    ("250070", "SÃO JOÃO DO RIO DO PEIXE", "PB", ) ,
    ("250073", "AMPARO", "PB", ) ,
    ("250077", "APARECIDA", "PB", ) ,
    ("250080", "ARAÇAGI", "PB", ) ,
    ("250090", "ARARA", "PB", ) ,
    ("250100", "ARARUNA", "PB", ) ,
    ("250110", "AREIA", "PB", ) ,
    ("250115", "AREIA DE BARAÚNAS", "PB", ) ,
    ("250120", "AREIAL", "PB", ) ,
    ("250130", "AROEIRAS", "PB", ) ,
    ("250135", "ASSUNÇÃO", "PB", ) ,
    ("250140", "BAÍA DA TRAIÇÃO", "PB", ) ,
    ("250150", "BANANEIRAS", "PB", ) ,
    ("250153", "BARAÚNA", "PB", ) ,
    ("250157", "BARRA DE SANTANA", "PB", ) ,
    ("250160", "BARRA DE SANTA ROSA", "PB", ) ,
    ("250170", "BARRA DE SÃO MIGUEL", "PB", ) ,
    ("250180", "BAYEUX", "PB", ) ,
    ("250190", "BELÉM", "PB", ) ,
    ("250200", "BELÉM DO BREJO DO CRUZ", "PB", ) ,
    ("250205", "BERNARDINO BATISTA", "PB", ) ,
    ("250210", "BOA VENTURA", "PB", ) ,
    ("250215", "BOA VISTA", "PB", ) ,
    ("250220", "BOM JESUS", "PB", ) ,
    ("250230", "BOM SUCESSO", "PB", ) ,
    ("250240", "BONITO DE SANTA FÉ", "PB", ) ,
    ("250250", "BOQUEIRÃO", "PB", ) ,
    ("250260", "IGARACY", "PB", ) ,
    ("250270", "BORBOREMA", "PB", ) ,
    ("250280", "BREJO DO CRUZ", "PB", ) ,
    ("250290", "BREJO DOS SANTOS", "PB", ) ,
    ("250300", "CAAPORÃ", "PB", ) ,
    ("250310", "CABACEIRAS", "PB", ) ,
    ("250320", "CABEDELO", "PB", ) ,
    ("250330", "CACHOEIRA DOS ÍNDIOS", "PB", ) ,
    ("250340", "CACIMBA DE AREIA", "PB", ) ,
    ("250350", "CACIMBA DE DENTRO", "PB", ) ,
    ("250355", "CACIMBAS", "PB", ) ,
    ("250360", "CAIÇARA", "PB", ) ,
    ("250370", "CAJAZEIRAS", "PB", ) ,
    ("250375", "CAJAZEIRINHAS", "PB", ) ,
    ("250380", "CALDAS BRANDÃO", "PB", ) ,
    ("250390", "CAMALAÚ", "PB", ) ,
    ("250400", "CAMPINA GRANDE", "PB", ) ,
    ("250403", "CAPIM", "PB", ) ,
    ("250407", "CARAÚBAS", "PB", ) ,
    ("250410", "CARRAPATEIRA", "PB", ) ,
    ("250415", "CASSERENGUE", "PB", ) ,
    ("250420", "CATINGUEIRA", "PB", ) ,
    ("250430", "CATOLÉ DO ROCHA", "PB", ) ,
    ("250435", "CATURITÉ", "PB", ) ,
    ("250440", "CONCEIÇÃO", "PB", ) ,
    ("250450", "CONDADO", "PB", ) ,
    ("250460", "CONDE", "PB", ) ,
    ("250470", "CONGO", "PB", ) ,
    ("250480", "COREMAS", "PB", ) ,
    ("250485", "COXIXOLA", "PB", ) ,
    ("250490", "CRUZ DO ESPÍRITO SANTO", "PB", ) ,
    ("250500", "CUBATI", "PB", ) ,
    ("250510", "CUITÉ", "PB", ) ,
    ("250520", "CUITEGI", "PB", ) ,
    ("250523", "CUITÉ DE MAMANGUAPE", "PB", ) ,
    ("250527", "CURRAL DE CIMA", "PB", ) ,
    ("250530", "CURRAL VELHO", "PB", ) ,
    ("250535", "DAMIÃO", "PB", ) ,
    ("250540", "DESTERRO", "PB", ) ,
    ("250550", "VISTA SERRANA", "PB", ) ,
    ("250560", "DIAMANTE", "PB", ) ,
    ("250570", "DONA INÊS", "PB", ) ,
    ("250580", "DUAS ESTRADAS", "PB", ) ,
    ("250590", "EMAS", "PB", ) ,
    ("250600", "ESPERANÇA", "PB", ) ,
    ("250610", "FAGUNDES", "PB", ) ,
    ("250620", "FREI MARTINHO", "PB", ) ,
    ("250625", "GADO BRAVO", "PB", ) ,
    ("250630", "GUARABIRA", "PB", ) ,
    ("250640", "GURINHÉM", "PB", ) ,
    ("250650", "GURJÃO", "PB", ) ,
    ("250660", "IBIARA", "PB", ) ,
    ("250670", "IMACULADA", "PB", ) ,
    ("250680", "INGÁ", "PB", ) ,
    ("250690", "ITABAIANA", "PB", ) ,
    ("250700", "ITAPORANGA", "PB", ) ,
    ("250710", "ITAPOROROCA", "PB", ) ,
    ("250720", "ITATUBA", "PB", ) ,
    ("250730", "JACARAÚ", "PB", ) ,
    ("250740", "JERICÓ", "PB", ) ,
    ("250750", "JOÃO PESSOA", "PB", ) ,
    ("250760", "JUAREZ TÁVORA", "PB", ) ,
    ("250770", "JUAZEIRINHO", "PB", ) ,
    ("250780", "JUNCO DO SERIDÓ", "PB", ) ,
    ("250790", "JURIPIRANGA", "PB", ) ,
    ("250800", "JURU", "PB", ) ,
    ("250810", "LAGOA", "PB", ) ,
    ("250820", "LAGOA DE DENTRO", "PB", ) ,
    ("250830", "LAGOA SECA", "PB", ) ,
    ("250840", "LASTRO", "PB", ) ,
    ("250850", "LIVRAMENTO", "PB", ) ,
    ("250855", "LOGRADOURO", "PB", ) ,
    ("250860", "LUCENA", "PB", ) ,
    ("250870", "MÃE D'ÁGUA", "PB", ) ,
    ("250880", "MALTA", "PB", ) ,
    ("250890", "MAMANGUAPE", "PB", ) ,
    ("250900", "MANAÍRA", "PB", ) ,
    ("250905", "MARCAÇÃO", "PB", ) ,
    ("250910", "MARI", "PB", ) ,
    ("250915", "MARIZÓPOLIS", "PB", ) ,
    ("250920", "MASSARANDUBA", "PB", ) ,
    ("250930", "MATARACA", "PB", ) ,
    ("250933", "MATINHAS", "PB", ) ,
    ("250937", "MATO GROSSO", "PB", ) ,
    ("250939", "MATURÉIA", "PB", ) ,
    ("250940", "MOGEIRO", "PB", ) ,
    ("250950", "MONTADAS", "PB", ) ,
    ("250960", "MONTE HOREBE", "PB", ) ,
    ("250970", "MONTEIRO", "PB", ) ,
    ("250980", "MULUNGU", "PB", ) ,
    ("250990", "NATUBA", "PB", ) ,
    ("251000", "NAZAREZINHO", "PB", ) ,
    ("251010", "NOVA FLORESTA", "PB", ) ,
    ("251020", "NOVA OLINDA", "PB", ) ,
    ("251030", "NOVA PALMEIRA", "PB", ) ,
    ("251040", "OLHO D'ÁGUA", "PB", ) ,
    ("251050", "OLIVEDOS", "PB", ) ,
    ("251060", "OURO VELHO", "PB", ) ,
    ("251065", "PARARI", "PB", ) ,
    ("251070", "PASSAGEM", "PB", ) ,
    ("251080", "PATOS", "PB", ) ,
    ("251090", "PAULISTA", "PB", ) ,
    ("251100", "PEDRA BRANCA", "PB", ) ,
    ("251110", "PEDRA LAVRADA", "PB", ) ,
    ("251120", "PEDRAS DE FOGO", "PB", ) ,
    ("251130", "PIANCÓ", "PB", ) ,
    ("251140", "PICUÍ", "PB", ) ,
    ("251150", "PILAR", "PB", ) ,
    ("251160", "PILÕES", "PB", ) ,
    ("251170", "PILÕEZINHOS", "PB", ) ,
    ("251180", "PIRPIRITUBA", "PB", ) ,
    ("251190", "PITIMBU", "PB", ) ,
    ("251200", "POCINHOS", "PB", ) ,
    ("251203", "POÇO DANTAS", "PB", ) ,
    ("251207", "POÇO DE JOSÉ DE MOURA", "PB", ) ,
    ("251210", "POMBAL", "PB", ) ,
    ("251220", "PRATA", "PB", ) ,
    ("251230", "PRINCESA ISABEL", "PB", ) ,
    ("251240", "PUXINANÃ", "PB", ) ,
    ("251250", "QUEIMADAS", "PB", ) ,
    ("251260", "QUIXABÁ", "PB", ) ,
    ("251270", "REMÍGIO", "PB", ) ,
    ("251272", "PEDRO RÉGIS", "PB", ) ,
    ("251274", "RIACHÃO", "PB", ) ,
    ("251275", "RIACHÃO DO BACAMARTE", "PB", ) ,
    ("251276", "RIACHÃO DO POÇO", "PB", ) ,
    ("251278", "RIACHO DE SANTO ANTÔNIO", "PB", ) ,
    ("251280", "RIACHO DOS CAVALOS", "PB", ) ,
    ("251290", "RIO TINTO", "PB", ) ,
    ("251300", "SALGADINHO", "PB", ) ,
    ("251310", "SALGADO DE SÃO FÉLIX", "PB", ) ,
    ("251315", "SANTA CECÍLIA", "PB", ) ,
    ("251320", "SANTA CRUZ", "PB", ) ,
    ("251330", "SANTA HELENA", "PB", ) ,
    ("251335", "SANTA INÊS", "PB", ) ,
    ("251340", "SANTA LUZIA", "PB", ) ,
    ("251350", "SANTANA DE MANGUEIRA", "PB", ) ,
    ("251360", "SANTANA DOS GARROTES", "PB", ) ,
    ("251365", "SANTARÉM", "PB", ) ,
    ("251370", "SANTA RITA", "PB", ) ,
    ("251380", "SANTA TERESINHA", "PB", ) ,
    ("251385", "SANTO ANDRÉ", "PB", ) ,
    ("251390", "SÃO BENTO", "PB", ) ,
    ("251392", "SÃO BENTINHO", "PB", ) ,
    ("251394", "SÃO DOMINGOS DO CARIRI", "PB", ) ,
    ("251396", "SÃO DOMINGOS", "PB", ) ,
    ("251398", "SÃO FRANCISCO", "PB", ) ,
    ("251400", "SÃO JOÃO DO CARIRI", "PB", ) ,
    ("251410", "SÃO JOÃO DO TIGRE", "PB", ) ,
    ("251420", "SÃO JOSÉ DA LAGOA TAPADA", "PB", ) ,
    ("251430", "SÃO JOSÉ DE CAIANA", "PB", ) ,
    ("251440", "SÃO JOSÉ DE ESPINHARAS", "PB", ) ,
    ("251445", "SÃO JOSÉ DOS RAMOS", "PB", ) ,
    ("251450", "SÃO JOSÉ DE PIRANHAS", "PB", ) ,
    ("251455", "SÃO JOSÉ DE PRINCESA", "PB", ) ,
    ("251460", "SÃO JOSÉ DO BONFIM", "PB", ) ,
    ("251465", "SÃO JOSÉ DO BREJO DO CRUZ", "PB", ) ,
    ("251470", "SÃO JOSÉ DO SABUGI", "PB", ) ,
    ("251480", "SÃO JOSÉ DOS CORDEIROS", "PB", ) ,
    ("251490", "SÃO MAMEDE", "PB", ) ,
    ("251500", "SÃO MIGUEL DE TAIPU", "PB", ) ,
    ("251510", "SÃO SEBASTIÃO DE LAGOA DE ROÇA", "PB", ) ,
    ("251520", "SÃO SEBASTIÃO DO UMBUZEIRO", "PB", ) ,
    ("251530", "SAPÉ", "PB", ) ,
    ("251540", "SERIDÓ", "PB", ) ,
    ("251550", "SERRA BRANCA", "PB", ) ,
    ("251560", "SERRA DA RAIZ", "PB", ) ,
    ("251570", "SERRA GRANDE", "PB", ) ,
    ("251580", "SERRA REDONDA", "PB", ) ,
    ("251590", "SERRARIA", "PB", ) ,
    ("251593", "SERTÃOZINHO", "PB", ) ,
    ("251597", "SOBRADO", "PB", ) ,
    ("251600", "SOLÂNEA", "PB", ) ,
    ("251610", "SOLEDADE", "PB", ) ,
    ("251615", "SOSSÊGO", "PB", ) ,
    ("251620", "SOUSA", "PB", ) ,
    ("251630", "SUMÉ", "PB", ) ,
    ("251640", "TACIMA", "PB", ) ,
    ("251650", "TAPEROÁ", "PB", ) ,
    ("251660", "TAVARES", "PB", ) ,
    ("251670", "TEIXEIRA", "PB", ) ,
    ("251675", "TENÓRIO", "PB", ) ,
    ("251680", "TRIUNFO", "PB", ) ,
    ("251690", "UIRAÚNA", "PB", ) ,
    ("251700", "UMBUZEIRO", "PB", ) ,
    ("251710", "VÁRZEA", "PB", ) ,
    ("251720", "VIEIRÓPOLIS", "PB", ) ,
    ("251740", "ZABELÊ", "PB", ) ,
    ("260005", "ABREU E LIMA", "PE", ) ,
    ("260010", "AFOGADOS DA INGAZEIRA", "PE", ) ,
    ("260020", "AFRÂNIO", "PE", ) ,
    ("260030", "AGRESTINA", "PE", ) ,
    ("260040", "ÁGUA PRETA", "PE", ) ,
    ("260050", "ÁGUAS BELAS", "PE", ) ,
    ("260060", "ALAGOINHA", "PE", ) ,
    ("260070", "ALIANÇA", "PE", ) ,
    ("260080", "ALTINHO", "PE", ) ,
    ("260090", "AMARAJI", "PE", ) ,
    ("260100", "ANGELIM", "PE", ) ,
    ("260105", "ARAÇOIABA", "PE", ) ,
    ("260110", "ARARIPINA", "PE", ) ,
    ("260120", "ARCOVERDE", "PE", ) ,
    ("260130", "BARRA DE GUABIRABA", "PE", ) ,
    ("260140", "BARREIROS", "PE", ) ,
    ("260150", "BELÉM DE MARIA", "PE", ) ,
    ("260160", "BELÉM DO SÃO FRANCISCO", "PE", ) ,
    ("260170", "BELO JARDIM", "PE", ) ,
    ("260180", "BETÂNIA", "PE", ) ,
    ("260190", "BEZERROS", "PE", ) ,
    ("260200", "BODOCÓ", "PE", ) ,
    ("260210", "BOM CONSELHO", "PE", ) ,
    ("260220", "BOM JARDIM", "PE", ) ,
    ("260230", "BONITO", "PE", ) ,
    ("260240", "BREJÃO", "PE", ) ,
    ("260250", "BREJINHO", "PE", ) ,
    ("260260", "BREJO DA MADRE DE DEUS", "PE", ) ,
    ("260270", "BUENOS AIRES", "PE", ) ,
    ("260280", "BUÍQUE", "PE", ) ,
    ("260290", "CABO DE SANTO AGOSTINHO", "PE", ) ,
    ("260300", "CABROBÓ", "PE", ) ,
    ("260310", "CACHOEIRINHA", "PE", ) ,
    ("260320", "CAETÉS", "PE", ) ,
    ("260330", "CALÇADO", "PE", ) ,
    ("260340", "CALUMBI", "PE", ) ,
    ("260345", "CAMARAGIBE", "PE", ) ,
    ("260350", "CAMOCIM DE SÃO FÉLIX", "PE", ) ,
    ("260360", "CAMUTANGA", "PE", ) ,
    ("260370", "CANHOTINHO", "PE", ) ,
    ("260380", "CAPOEIRAS", "PE", ) ,
    ("260390", "CARNAÍBA", "PE", ) ,
    ("260392", "CARNAUBEIRA DA PENHA", "PE", ) ,
    ("260400", "CARPINA", "PE", ) ,
    ("260410", "CARUARU", "PE", ) ,
    ("260415", "CASINHAS", "PE", ) ,
    ("260420", "CATENDE", "PE", ) ,
    ("260430", "CEDRO", "PE", ) ,
    ("260440", "CHÃ DE ALEGRIA", "PE", ) ,
    ("260450", "CHÃ GRANDE", "PE", ) ,
    ("260460", "CONDADO", "PE", ) ,
    ("260470", "CORRENTES", "PE", ) ,
    ("260480", "CORTÊS", "PE", ) ,
    ("260490", "CUMARU", "PE", ) ,
    ("260500", "CUPIRA", "PE", ) ,
    ("260510", "CUSTÓDIA", "PE", ) ,
    ("260515", "DORMENTES", "PE", ) ,
    ("260520", "ESCADA", "PE", ) ,
    ("260530", "EXU", "PE", ) ,
    ("260540", "FEIRA NOVA", "PE", ) ,
    ("260545", "FERNANDO DE NORONHA", "PE", ) ,
    ("260550", "FERREIROS", "PE", ) ,
    ("260560", "FLORES", "PE", ) ,
    ("260570", "FLORESTA", "PE", ) ,
    ("260580", "FREI MIGUELINHO", "PE", ) ,
    ("260590", "GAMELEIRA", "PE", ) ,
    ("260600", "GARANHUNS", "PE", ) ,
    ("260610", "GLÓRIA DO GOITÁ", "PE", ) ,
    ("260620", "GOIANA", "PE", ) ,
    ("260630", "GRANITO", "PE", ) ,
    ("260640", "GRAVATÁ", "PE", ) ,
    ("260650", "IATI", "PE", ) ,
    ("260660", "IBIMIRIM", "PE", ) ,
    ("260670", "IBIRAJUBA", "PE", ) ,
    ("260680", "IGARASSU", "PE", ) ,
    ("260690", "IGUARACI", "PE", ) ,
    ("260700", "INAJÁ", "PE", ) ,
    ("260710", "INGAZEIRA", "PE", ) ,
    ("260720", "IPOJUCA", "PE", ) ,
    ("260730", "IPUBI", "PE", ) ,
    ("260740", "ITACURUBA", "PE", ) ,
    ("260750", "ITAÍBA", "PE", ) ,
    ("260760", "ILHA DE ITAMARACÁ", "PE", ) ,
    ("260765", "ITAMBÉ", "PE", ) ,
    ("260770", "ITAPETIM", "PE", ) ,
    ("260775", "ITAPISSUMA", "PE", ) ,
    ("260780", "ITAQUITINGA", "PE", ) ,
    ("260790", "JABOATÃO DOS GUARARAPES", "PE", ) ,
    ("260795", "JAQUEIRA", "PE", ) ,
    ("260800", "JATAÚBA", "PE", ) ,
    ("260805", "JATOBÁ", "PE", ) ,
    ("260810", "JOÃO ALFREDO", "PE", ) ,
    ("260820", "JOAQUIM NABUCO", "PE", ) ,
    ("260825", "JUCATI", "PE", ) ,
    ("260830", "JUPI", "PE", ) ,
    ("260840", "JUREMA", "PE", ) ,
    ("260845", "LAGOA DO CARRO", "PE", ) ,
    ("260850", "LAGOA DE ITAENGA", "PE", ) ,
    ("260860", "LAGOA DO OURO", "PE", ) ,
    ("260870", "LAGOA DOS GATOS", "PE", ) ,
    ("260875", "LAGOA GRANDE", "PE", ) ,
    ("260880", "LAJEDO", "PE", ) ,
    ("260890", "LIMOEIRO", "PE", ) ,
    ("260900", "MACAPARANA", "PE", ) ,
    ("260910", "MACHADOS", "PE", ) ,
    ("260915", "MANARI", "PE", ) ,
    ("260920", "MARAIAL", "PE", ) ,
    ("260930", "MIRANDIBA", "PE", ) ,
    ("260940", "MORENO", "PE", ) ,
    ("260950", "NAZARÉ DA MATA", "PE", ) ,
    ("260960", "OLINDA", "PE", ) ,
    ("260970", "OROBÓ", "PE", ) ,
    ("260980", "OROCÓ", "PE", ) ,
    ("260990", "OURICURI", "PE", ) ,
    ("261000", "PALMARES", "PE", ) ,
    ("261010", "PALMEIRINA", "PE", ) ,
    ("261020", "PANELAS", "PE", ) ,
    ("261030", "PARANATAMA", "PE", ) ,
    ("261040", "PARNAMIRIM", "PE", ) ,
    ("261050", "PASSIRA", "PE", ) ,
    ("261060", "PAUDALHO", "PE", ) ,
    ("261070", "PAULISTA", "PE", ) ,
    ("261080", "PEDRA", "PE", ) ,
    ("261090", "PESQUEIRA", "PE", ) ,
    ("261100", "PETROLÂNDIA", "PE", ) ,
    ("261110", "PETROLINA", "PE", ) ,
    ("261120", "POÇÃO", "PE", ) ,
    ("261130", "POMBOS", "PE", ) ,
    ("261140", "PRIMAVERA", "PE", ) ,
    ("261150", "QUIPAPÁ", "PE", ) ,
    ("261153", "QUIXABA", "PE", ) ,
    ("261160", "RECIFE", "PE", ) ,
    ("261170", "RIACHO DAS ALMAS", "PE", ) ,
    ("261180", "RIBEIRÃO", "PE", ) ,
    ("261190", "RIO FORMOSO", "PE", ) ,
    ("261200", "SAIRÉ", "PE", ) ,
    ("261210", "SALGADINHO", "PE", ) ,
    ("261220", "SALGUEIRO", "PE", ) ,
    ("261230", "SALOÁ", "PE", ) ,
    ("261240", "SANHARÓ", "PE", ) ,
    ("261245", "SANTA CRUZ", "PE", ) ,
    ("261247", "SANTA CRUZ DA BAIXA VERDE", "PE", ) ,
    ("261250", "SANTA CRUZ DO CAPIBARIBE", "PE", ) ,
    ("261255", "SANTA FILOMENA", "PE", ) ,
    ("261260", "SANTA MARIA DA BOA VISTA", "PE", ) ,
    ("261270", "SANTA MARIA DO CAMBUCÁ", "PE", ) ,
    ("261280", "SANTA TEREZINHA", "PE", ) ,
    ("261290", "SÃO BENEDITO DO SUL", "PE", ) ,
    ("261300", "SÃO BENTO DO UNA", "PE", ) ,
    ("261310", "SÃO CAITANO", "PE", ) ,
    ("261320", "SÃO JOÃO", "PE", ) ,
    ("261330", "SÃO JOAQUIM DO MONTE", "PE", ) ,
    ("261340", "SÃO JOSÉ DA COROA GRANDE", "PE", ) ,
    ("261350", "SÃO JOSÉ DO BELMONTE", "PE", ) ,
    ("261360", "SÃO JOSÉ DO EGITO", "PE", ) ,
    ("261370", "SÃO LOURENÇO DA MATA", "PE", ) ,
    ("261380", "SÃO VICENTE FERRER", "PE", ) ,
    ("261390", "SERRA TALHADA", "PE", ) ,
    ("261400", "SERRITA", "PE", ) ,
    ("261410", "SERTÂNIA", "PE", ) ,
    ("261420", "SIRINHAÉM", "PE", ) ,
    ("261430", "MOREILÂNDIA", "PE", ) ,
    ("261440", "SOLIDÃO", "PE", ) ,
    ("261450", "SURUBIM", "PE", ) ,
    ("261460", "TABIRA", "PE", ) ,
    ("261470", "TACAIMBÓ", "PE", ) ,
    ("261480", "TACARATU", "PE", ) ,
    ("261485", "TAMANDARÉ", "PE", ) ,
    ("261500", "TAQUARITINGA DO NORTE", "PE", ) ,
    ("261510", "TEREZINHA", "PE", ) ,
    ("261520", "TERRA NOVA", "PE", ) ,
    ("261530", "TIMBAÚBA", "PE", ) ,
    ("261540", "TORITAMA", "PE", ) ,
    ("261550", "TRACUNHAÉM", "PE", ) ,
    ("261560", "TRINDADE", "PE", ) ,
    ("261570", "TRIUNFO", "PE", ) ,
    ("261580", "TUPANATINGA", "PE", ) ,
    ("261590", "TUPARETAMA", "PE", ) ,
    ("261600", "VENTUROSA", "PE", ) ,
    ("261610", "VERDEJANTE", "PE", ) ,
    ("261618", "VERTENTE DO LÉRIO", "PE", ) ,
    ("261620", "VERTENTES", "PE", ) ,
    ("261630", "VICÊNCIA", "PE", ) ,
    ("261640", "VITÓRIA DE SANTO ANTÃO", "PE", ) ,
    ("261650", "XEXÉU", "PE", ) ,
    ("270010", "ÁGUA BRANCA", "AL", ) ,
    ("270020", "ANADIA", "AL", ) ,
    ("270030", "ARAPIRACA", "AL", ) ,
    ("270040", "ATALAIA", "AL", ) ,
    ("270050", "BARRA DE SANTO ANTÔNIO", "AL", ) ,
    ("270060", "BARRA DE SÃO MIGUEL", "AL", ) ,
    ("270070", "BATALHA", "AL", ) ,
    ("270080", "BELÉM", "AL", ) ,
    ("270090", "BELO MONTE", "AL", ) ,
    ("270100", "BOCA DA MATA", "AL", ) ,
    ("270110", "BRANQUINHA", "AL", ) ,
    ("270120", "CACIMBINHAS", "AL", ) ,
    ("270130", "CAJUEIRO", "AL", ) ,
    ("270135", "CAMPESTRE", "AL", ) ,
    ("270140", "CAMPO ALEGRE", "AL", ) ,
    ("270150", "CAMPO GRANDE", "AL", ) ,
    ("270160", "CANAPI", "AL", ) ,
    ("270170", "CAPELA", "AL", ) ,
    ("270180", "CARNEIROS", "AL", ) ,
    ("270190", "CHÃ PRETA", "AL", ) ,
    ("270200", "COITÉ DO NÓIA", "AL", ) ,
    ("270210", "COLÔNIA LEOPOLDINA", "AL", ) ,
    ("270220", "COQUEIRO SECO", "AL", ) ,
    ("270230", "CORURIPE", "AL", ) ,
    ("270235", "CRAÍBAS", "AL", ) ,
    ("270240", "DELMIRO GOUVEIA", "AL", ) ,
    ("270250", "DOIS RIACHOS", "AL", ) ,
    ("270255", "ESTRELA DE ALAGOAS", "AL", ) ,
    ("270260", "FEIRA GRANDE", "AL", ) ,
    ("270270", "FELIZ DESERTO", "AL", ) ,
    ("270280", "FLEXEIRAS", "AL", ) ,
    ("270290", "GIRAU DO PONCIANO", "AL", ) ,
    ("270300", "IBATEGUARA", "AL", ) ,
    ("270310", "IGACI", "AL", ) ,
    ("270320", "IGREJA NOVA", "AL", ) ,
    ("270330", "INHAPI", "AL", ) ,
    ("270340", "JACARÉ DOS HOMENS", "AL", ) ,
    ("270350", "JACUÍPE", "AL", ) ,
    ("270360", "JAPARATINGA", "AL", ) ,
    ("270370", "JARAMATAIA", "AL", ) ,
    ("270375", "JEQUIÁ DA PRAIA", "AL", ) ,
    ("270380", "JOAQUIM GOMES", "AL", ) ,
    ("270390", "JUNDIÁ", "AL", ) ,
    ("270400", "JUNQUEIRO", "AL", ) ,
    ("270410", "LAGOA DA CANOA", "AL", ) ,
    ("270420", "LIMOEIRO DE ANADIA", "AL", ) ,
    ("270430", "MACEIÓ", "AL", ) ,
    ("270440", "MAJOR ISIDORO", "AL", ) ,
    ("270450", "MARAGOGI", "AL", ) ,
    ("270460", "MARAVILHA", "AL", ) ,
    ("270470", "MARECHAL DEODORO", "AL", ) ,
    ("270480", "MARIBONDO", "AL", ) ,
    ("270490", "MAR VERMELHO", "AL", ) ,
    ("270500", "MATA GRANDE", "AL", ) ,
    ("270510", "MATRIZ DE CAMARAGIBE", "AL", ) ,
    ("270520", "MESSIAS", "AL", ) ,
    ("270530", "MINADOR DO NEGRÃO", "AL", ) ,
    ("270540", "MONTEIRÓPOLIS", "AL", ) ,
    ("270550", "MURICI", "AL", ) ,
    ("270560", "NOVO LINO", "AL", ) ,
    ("270570", "OLHO D'ÁGUA DAS FLORES", "AL", ) ,
    ("270580", "OLHO D'ÁGUA DO CASADO", "AL", ) ,
    ("270590", "OLHO D'ÁGUA GRANDE", "AL", ) ,
    ("270600", "OLIVENÇA", "AL", ) ,
    ("270610", "OURO BRANCO", "AL", ) ,
    ("270620", "PALESTINA", "AL", ) ,
    ("270630", "PALMEIRA DOS ÍNDIOS", "AL", ) ,
    ("270640", "PÃO DE AÇÚCAR", "AL", ) ,
    ("270642", "PARICONHA", "AL", ) ,
    ("270644", "PARIPUEIRA", "AL", ) ,
    ("270650", "PASSO DE CAMARAGIBE", "AL", ) ,
    ("270660", "PAULO JACINTO", "AL", ) ,
    ("270670", "PENEDO", "AL", ) ,
    ("270680", "PIAÇABUÇU", "AL", ) ,
    ("270690", "PILAR", "AL", ) ,
    ("270700", "PINDOBA", "AL", ) ,
    ("270710", "PIRANHAS", "AL", ) ,
    ("270720", "POÇO DAS TRINCHEIRAS", "AL", ) ,
    ("270730", "PORTO CALVO", "AL", ) ,
    ("270740", "PORTO DE PEDRAS", "AL", ) ,
    ("270750", "PORTO REAL DO COLÉGIO", "AL", ) ,
    ("270760", "QUEBRANGULO", "AL", ) ,
    ("270770", "RIO LARGO", "AL", ) ,
    ("270780", "ROTEIRO", "AL", ) ,
    ("270790", "SANTA LUZIA DO NORTE", "AL", ) ,
    ("270800", "SANTANA DO IPANEMA", "AL", ) ,
    ("270810", "SANTANA DO MUNDAÚ", "AL", ) ,
    ("270820", "SÃO BRÁS", "AL", ) ,
    ("270830", "SÃO JOSÉ DA LAJE", "AL", ) ,
    ("270840", "SÃO JOSÉ DA TAPERA", "AL", ) ,
    ("270850", "SÃO LUÍS DO QUITUNDE", "AL", ) ,
    ("270860", "SÃO MIGUEL DOS CAMPOS", "AL", ) ,
    ("270870", "SÃO MIGUEL DOS MILAGRES", "AL", ) ,
    ("270880", "SÃO SEBASTIÃO", "AL", ) ,
    ("270890", "SATUBA", "AL", ) ,
    ("270895", "SENADOR RUI PALMEIRA", "AL", ) ,
    ("270900", "TANQUE D'ARCA", "AL", ) ,
    ("270910", "TAQUARANA", "AL", ) ,
    ("270915", "TEOTÔNIO VILELA", "AL", ) ,
    ("270920", "TRAIPU", "AL", ) ,
    ("270930", "UNIÃO DOS PALMARES", "AL", ) ,
    ("270940", "VIÇOSA", "AL", ) ,
    ("280010", "AMPARO DE SÃO FRANCISCO", "SE", ) ,
    ("280020", "AQUIDABÃ", "SE", ) ,
    ("280030", "ARACAJU", "SE", ) ,
    ("280040", "ARAUÁ", "SE", ) ,
    ("280050", "AREIA BRANCA", "SE", ) ,
    ("280060", "BARRA DOS COQUEIROS", "SE", ) ,
    ("280067", "BOQUIM", "SE", ) ,
    ("280070", "BREJO GRANDE", "SE", ) ,
    ("280100", "CAMPO DO BRITO", "SE", ) ,
    ("280110", "CANHOBA", "SE", ) ,
    ("280120", "CANINDÉ DE SÃO FRANCISCO", "SE", ) ,
    ("280130", "CAPELA", "SE", ) ,
    ("280140", "CARIRA", "SE", ) ,
    ("280150", "CARMÓPOLIS", "SE", ) ,
    ("280160", "CEDRO DE SÃO JOÃO", "SE", ) ,
    ("280170", "CRISTINÁPOLIS", "SE", ) ,
    ("280190", "CUMBE", "SE", ) ,
    ("280200", "DIVINA PASTORA", "SE", ) ,
    ("280210", "ESTÂNCIA", "SE", ) ,
    ("280220", "FEIRA NOVA", "SE", ) ,
    ("280230", "FREI PAULO", "SE", ) ,
    ("280240", "GARARU", "SE", ) ,
    ("280250", "GENERAL MAYNARD", "SE", ) ,
    ("280260", "GRACHO CARDOSO", "SE", ) ,
    ("280270", "ILHA DAS FLORES", "SE", ) ,
    ("280280", "INDIAROBA", "SE", ) ,
    ("280290", "ITABAIANA", "SE", ) ,
    ("280300", "ITABAIANINHA", "SE", ) ,
    ("280310", "ITABI", "SE", ) ,
    ("280320", "ITAPORANGA D'AJUDA", "SE", ) ,
    ("280330", "JAPARATUBA", "SE", ) ,
    ("280340", "JAPOATÃ", "SE", ) ,
    ("280350", "LAGARTO", "SE", ) ,
    ("280360", "LARANJEIRAS", "SE", ) ,
    ("280370", "MACAMBIRA", "SE", ) ,
    ("280380", "MALHADA DOS BOIS", "SE", ) ,
    ("280390", "MALHADOR", "SE", ) ,
    ("280400", "MARUIM", "SE", ) ,
    ("280410", "MOITA BONITA", "SE", ) ,
    ("280420", "MONTE ALEGRE DE SERGIPE", "SE", ) ,
    ("280430", "MURIBECA", "SE", ) ,
    ("280440", "NEÓPOLIS", "SE", ) ,
    ("280445", "NOSSA SENHORA APARECIDA", "SE", ) ,
    ("280450", "NOSSA SENHORA DA GLÓRIA", "SE", ) ,
    ("280460", "NOSSA SENHORA DAS DORES", "SE", ) ,
    ("280470", "NOSSA SENHORA DE LOURDES", "SE", ) ,
    ("280480", "NOSSA SENHORA DO SOCORRO", "SE", ) ,
    ("280490", "PACATUBA", "SE", ) ,
    ("280500", "PEDRA MOLE", "SE", ) ,
    ("280510", "PEDRINHAS", "SE", ) ,
    ("280520", "PINHÃO", "SE", ) ,
    ("280530", "PIRAMBU", "SE", ) ,
    ("280540", "POÇO REDONDO", "SE", ) ,
    ("280550", "POÇO VERDE", "SE", ) ,
    ("280560", "PORTO DA FOLHA", "SE", ) ,
    ("280570", "PROPRIÁ", "SE", ) ,
    ("280580", "RIACHÃO DO DANTAS", "SE", ) ,
    ("280590", "RIACHUELO", "SE", ) ,
    ("280600", "RIBEIRÓPOLIS", "SE", ) ,
    ("280610", "ROSÁRIO DO CATETE", "SE", ) ,
    ("280620", "SALGADO", "SE", ) ,
    ("280630", "SANTA LUZIA DO ITANHY", "SE", ) ,
    ("280640", "SANTANA DO SÃO FRANCISCO", "SE", ) ,
    ("280650", "SANTA ROSA DE LIMA", "SE", ) ,
    ("280660", "SANTO AMARO DAS BROTAS", "SE", ) ,
    ("280670", "SÃO CRISTÓVÃO", "SE", ) ,
    ("280680", "SÃO DOMINGOS", "SE", ) ,
    ("280690", "SÃO FRANCISCO", "SE", ) ,
    ("280700", "SÃO MIGUEL DO ALEIXO", "SE", ) ,
    ("280710", "SIMÃO DIAS", "SE", ) ,
    ("280720", "SIRIRI", "SE", ) ,
    ("280730", "TELHA", "SE", ) ,
    ("280740", "TOBIAS BARRETO", "SE", ) ,
    ("280750", "TOMAR DO GERU", "SE", ) ,
    ("280760", "UMBAÚBA", "SE", ) ,
    ("290010", "ABAÍRA", "BA", ) ,
    ("290020", "ABARÉ", "BA", ) ,
    ("290030", "ACAJUTIBA", "BA", ) ,
    ("290035", "ADUSTINA", "BA", ) ,
    ("290040", "ÁGUA FRIA", "BA", ) ,
    ("290050", "ÉRICO CARDOSO", "BA", ) ,
    ("290060", "AIQUARA", "BA", ) ,
    ("290070", "ALAGOINHAS", "BA", ) ,
    ("290080", "ALCOBAÇA", "BA", ) ,
    ("290090", "ALMADINA", "BA", ) ,
    ("290100", "AMARGOSA", "BA", ) ,
    ("290110", "AMÉLIA RODRIGUES", "BA", ) ,
    ("290115", "AMÉRICA DOURADA", "BA", ) ,
    ("290120", "ANAGÉ", "BA", ) ,
    ("290130", "ANDARAÍ", "BA", ) ,
    ("290135", "ANDORINHA", "BA", ) ,
    ("290140", "ANGICAL", "BA", ) ,
    ("290150", "ANGUERA", "BA", ) ,
    ("290160", "ANTAS", "BA", ) ,
    ("290170", "ANTÔNIO CARDOSO", "BA", ) ,
    ("290180", "ANTÔNIO GONÇALVES", "BA", ) ,
    ("290190", "APORÁ", "BA", ) ,
    ("290195", "APUAREMA", "BA", ) ,
    ("290200", "ARACATU", "BA", ) ,
    ("290205", "ARAÇAS", "BA", ) ,
    ("290210", "ARACI", "BA", ) ,
    ("290220", "ARAMARI", "BA", ) ,
    ("290225", "ARATACA", "BA", ) ,
    ("290230", "ARATUÍPE", "BA", ) ,
    ("290240", "AURELINO LEAL", "BA", ) ,
    ("290250", "BAIANÓPOLIS", "BA", ) ,
    ("290260", "BAIXA GRANDE", "BA", ) ,
    ("290265", "BANZAÊ", "BA", ) ,
    ("290270", "BARRA", "BA", ) ,
    ("290280", "BARRA DA ESTIVA", "BA", ) ,
    ("290290", "BARRA DO CHOÇA", "BA", ) ,
    ("290300", "BARRA DO MENDES", "BA", ) ,
    ("290310", "BARRA DO ROCHA", "BA", ) ,
    ("290320", "BARREIRAS", "BA", ) ,
    ("290323", "BARRO ALTO", "BA", ) ,
    ("290327", "BARROCAS", "BA", ) ,
    ("290330", "BARRO PRETO", "BA", ) ,
    ("290340", "BELMONTE", "BA", ) ,
    ("290350", "BELO CAMPO", "BA", ) ,
    ("290360", "BIRITINGA", "BA", ) ,
    ("290370", "BOA NOVA", "BA", ) ,
    ("290380", "BOA VISTA DO TUPIM", "BA", ) ,
    ("290390", "BOM JESUS DA LAPA", "BA", ) ,
    ("290395", "BOM JESUS DA SERRA", "BA", ) ,
    ("290400", "BONINAL", "BA", ) ,
    ("290405", "BONITO", "BA", ) ,
    ("290410", "BOQUIRA", "BA", ) ,
    ("290420", "BOTUPORÃ", "BA", ) ,
    ("290430", "BREJÕES", "BA", ) ,
    ("290440", "BREJOLÂNDIA", "BA", ) ,
    ("290450", "BROTAS DE MACAÚBAS", "BA", ) ,
    ("290460", "BRUMADO", "BA", ) ,
    ("290470", "BUERAREMA", "BA", ) ,
    ("290475", "BURITIRAMA", "BA", ) ,
    ("290480", "CAATIBA", "BA", ) ,
    ("290485", "CABACEIRAS DO PARAGUAÇU", "BA", ) ,
    ("290490", "CACHOEIRA", "BA", ) ,
    ("290500", "CACULÉ", "BA", ) ,
    ("290510", "CAÉM", "BA", ) ,
    ("290515", "CAETANOS", "BA", ) ,
    ("290520", "CAETITÉ", "BA", ) ,
    ("290530", "CAFARNAUM", "BA", ) ,
    ("290540", "CAIRU", "BA", ) ,
    ("290550", "CALDEIRÃO GRANDE", "BA", ) ,
    ("290560", "CAMACAN", "BA", ) ,
    ("290570", "CAMAÇARI", "BA", ) ,
    ("290580", "CAMAMU", "BA", ) ,
    ("290590", "CAMPO ALEGRE DE LOURDES", "BA", ) ,
    ("290600", "CAMPO FORMOSO", "BA", ) ,
    ("290610", "CANÁPOLIS", "BA", ) ,
    ("290620", "CANARANA", "BA", ) ,
    ("290630", "CANAVIEIRAS", "BA", ) ,
    ("290640", "CANDEAL", "BA", ) ,
    ("290650", "CANDEIAS", "BA", ) ,
    ("290660", "CANDIBA", "BA", ) ,
    ("290670", "CÂNDIDO SALES", "BA", ) ,
    ("290680", "CANSANÇÃO", "BA", ) ,
    ("290682", "CANUDOS", "BA", ) ,
    ("290685", "CAPELA DO ALTO ALEGRE", "BA", ) ,
    ("290687", "CAPIM GROSSO", "BA", ) ,
    ("290689", "CARAÍBAS", "BA", ) ,
    ("290690", "CARAVELAS", "BA", ) ,
    ("290700", "CARDEAL DA SILVA", "BA", ) ,
    ("290710", "CARINHANHA", "BA", ) ,
    ("290720", "CASA NOVA", "BA", ) ,
    ("290730", "CASTRO ALVES", "BA", ) ,
    ("290740", "CATOLÂNDIA", "BA", ) ,
    ("290750", "CATU", "BA", ) ,
    ("290755", "CATURAMA", "BA", ) ,
    ("290760", "CENTRAL", "BA", ) ,
    ("290770", "CHORROCHÓ", "BA", ) ,
    ("290780", "CÍCERO DANTAS", "BA", ) ,
    ("290790", "CIPÓ", "BA", ) ,
    ("290800", "COARACI", "BA", ) ,
    ("290810", "COCOS", "BA", ) ,
    ("290820", "CONCEIÇÃO DA FEIRA", "BA", ) ,
    ("290830", "CONCEIÇÃO DO ALMEIDA", "BA", ) ,
    ("290840", "CONCEIÇÃO DO COITÉ", "BA", ) ,
    ("290850", "CONCEIÇÃO DO JACUÍPE", "BA", ) ,
    ("290860", "CONDE", "BA", ) ,
    ("290870", "CONDEÚBA", "BA", ) ,
    ("290880", "CONTENDAS DO SINCORÁ", "BA", ) ,
    ("290890", "CORAÇÃO DE MARIA", "BA", ) ,
    ("290900", "CORDEIROS", "BA", ) ,
    ("290910", "CORIBE", "BA", ) ,
    ("290920", "CORONEL JOÃO SÁ", "BA", ) ,
    ("290930", "CORRENTINA", "BA", ) ,
    ("290940", "COTEGIPE", "BA", ) ,
    ("290950", "CRAVOLÂNDIA", "BA", ) ,
    ("290960", "CRISÓPOLIS", "BA", ) ,
    ("290970", "CRISTÓPOLIS", "BA", ) ,
    ("290980", "CRUZ DAS ALMAS", "BA", ) ,
    ("290990", "CURAÇÁ", "BA", ) ,
    ("291000", "DÁRIO MEIRA", "BA", ) ,
    ("291005", "DIAS D'ÁVILA", "BA", ) ,
    ("291010", "DOM BASÍLIO", "BA", ) ,
    ("291020", "DOM MACEDO COSTA", "BA", ) ,
    ("291030", "ELÍSIO MEDRADO", "BA", ) ,
    ("291040", "ENCRUZILHADA", "BA", ) ,
    ("291050", "ENTRE RIOS", "BA", ) ,
    ("291060", "ESPLANADA", "BA", ) ,
    ("291070", "EUCLIDES DA CUNHA", "BA", ) ,
    ("291072", "EUNÁPOLIS", "BA", ) ,
    ("291075", "FÁTIMA", "BA", ) ,
    ("291077", "FEIRA DA MATA", "BA", ) ,
    ("291080", "FEIRA DE SANTANA", "BA", ) ,
    ("291085", "FILADÉLFIA", "BA", ) ,
    ("291090", "FIRMINO ALVES", "BA", ) ,
    ("291100", "FLORESTA AZUL", "BA", ) ,
    ("291110", "FORMOSA DO RIO PRETO", "BA", ) ,
    ("291120", "GANDU", "BA", ) ,
    ("291125", "GAVIÃO", "BA", ) ,
    ("291130", "GENTIO DO OURO", "BA", ) ,
    ("291140", "GLÓRIA", "BA", ) ,
    ("291150", "GONGOGI", "BA", ) ,
    ("291160", "GOVERNADOR MANGABEIRA", "BA", ) ,
    ("291165", "GUAJERU", "BA", ) ,
    ("291170", "GUANAMBI", "BA", ) ,
    ("291180", "GUARATINGA", "BA", ) ,
    ("291185", "HELIÓPOLIS", "BA", ) ,
    ("291190", "IAÇU", "BA", ) ,
    ("291200", "IBIASSUCÊ", "BA", ) ,
    ("291210", "IBICARAÍ", "BA", ) ,
    ("291220", "IBICOARA", "BA", ) ,
    ("291230", "IBICUÍ", "BA", ) ,
    ("291240", "IBIPEBA", "BA", ) ,
    ("291250", "IBIPITANGA", "BA", ) ,
    ("291260", "IBIQUERA", "BA", ) ,
    ("291270", "IBIRAPITANGA", "BA", ) ,
    ("291280", "IBIRAPUÃ", "BA", ) ,
    ("291290", "IBIRATAIA", "BA", ) ,
    ("291300", "IBITIARA", "BA", ) ,
    ("291310", "IBITITÁ", "BA", ) ,
    ("291320", "IBOTIRAMA", "BA", ) ,
    ("291330", "ICHU", "BA", ) ,
    ("291340", "IGAPORÃ", "BA", ) ,
    ("291345", "IGRAPIÚNA", "BA", ) ,
    ("291350", "IGUAÍ", "BA", ) ,
    ("291360", "ILHÉUS", "BA", ) ,
    ("291370", "INHAMBUPE", "BA", ) ,
    ("291380", "IPECAETÁ", "BA", ) ,
    ("291390", "IPIAÚ", "BA", ) ,
    ("291400", "IPIRÁ", "BA", ) ,
    ("291410", "IPUPIARA", "BA", ) ,
    ("291420", "IRAJUBA", "BA", ) ,
    ("291430", "IRAMAIA", "BA", ) ,
    ("291440", "IRAQUARA", "BA", ) ,
    ("291450", "IRARÁ", "BA", ) ,
    ("291460", "IRECÊ", "BA", ) ,
    ("291465", "ITABELA", "BA", ) ,
    ("291470", "ITABERABA", "BA", ) ,
    ("291480", "ITABUNA", "BA", ) ,
    ("291490", "ITACARÉ", "BA", ) ,
    ("291500", "ITAETÉ", "BA", ) ,
    ("291510", "ITAGI", "BA", ) ,
    ("291520", "ITAGIBÁ", "BA", ) ,
    ("291530", "ITAGIMIRIM", "BA", ) ,
    ("291535", "ITAGUAÇU DA BAHIA", "BA", ) ,
    ("291540", "ITAJU DO COLÔNIA", "BA", ) ,
    ("291550", "ITAJUÍPE", "BA", ) ,
    ("291560", "ITAMARAJU", "BA", ) ,
    ("291570", "ITAMARI", "BA", ) ,
    ("291580", "ITAMBÉ", "BA", ) ,
    ("291590", "ITANAGRA", "BA", ) ,
    ("291600", "ITANHÉM", "BA", ) ,
    ("291610", "ITAPARICA", "BA", ) ,
    ("291620", "ITAPÉ", "BA", ) ,
    ("291630", "ITAPEBI", "BA", ) ,
    ("291640", "ITAPETINGA", "BA", ) ,
    ("291650", "ITAPICURU", "BA", ) ,
    ("291660", "ITAPITANGA", "BA", ) ,
    ("291670", "ITAQUARA", "BA", ) ,
    ("291680", "ITARANTIM", "BA", ) ,
    ("291685", "ITATIM", "BA", ) ,
    ("291690", "ITIRUÇU", "BA", ) ,
    ("291700", "ITIÚBA", "BA", ) ,
    ("291710", "ITORORÓ", "BA", ) ,
    ("291720", "ITUAÇU", "BA", ) ,
    ("291730", "ITUBERÁ", "BA", ) ,
    ("291733", "IUIÚ", "BA", ) ,
    ("291735", "JABORANDI", "BA", ) ,
    ("291740", "JACARACI", "BA", ) ,
    ("291750", "JACOBINA", "BA", ) ,
    ("291760", "JAGUAQUARA", "BA", ) ,
    ("291770", "JAGUARARI", "BA", ) ,
    ("291780", "JAGUARIPE", "BA", ) ,
    ("291790", "JANDAÍRA", "BA", ) ,
    ("291800", "JEQUIÉ", "BA", ) ,
    ("291810", "JEREMOABO", "BA", ) ,
    ("291820", "JIQUIRIÇÁ", "BA", ) ,
    ("291830", "JITAÚNA", "BA", ) ,
    ("291835", "JOÃO DOURADO", "BA", ) ,
    ("291840", "JUAZEIRO", "BA", ) ,
    ("291845", "JUCURUÇU", "BA", ) ,
    ("291850", "JUSSARA", "BA", ) ,
    ("291855", "JUSSARI", "BA", ) ,
    ("291860", "JUSSIAPE", "BA", ) ,
    ("291870", "LAFAIETE COUTINHO", "BA", ) ,
    ("291875", "LAGOA REAL", "BA", ) ,
    ("291880", "LAJE", "BA", ) ,
    ("291890", "LAJEDÃO", "BA", ) ,
    ("291900", "LAJEDINHO", "BA", ) ,
    ("291905", "LAJEDO DO TABOCAL", "BA", ) ,
    ("291910", "LAMARÃO", "BA", ) ,
    ("291915", "LAPÃO", "BA", ) ,
    ("291920", "LAURO DE FREITAS", "BA", ) ,
    ("291930", "LENÇÓIS", "BA", ) ,
    ("291940", "LICÍNIO DE ALMEIDA", "BA", ) ,
    ("291950", "LIVRAMENTO DE NOSSA SENHORA", "BA", ) ,
    ("291955", "LUÍS EDUARDO MAGALHÃES", "BA", ) ,
    ("291960", "MACAJUBA", "BA", ) ,
    ("291970", "MACARANI", "BA", ) ,
    ("291980", "MACAÚBAS", "BA", ) ,
    ("291990", "MACURURÉ", "BA", ) ,
    ("291992", "MADRE DE DEUS", "BA", ) ,
    ("291995", "MAETINGA", "BA", ) ,
    ("292000", "MAIQUINIQUE", "BA", ) ,
    ("292010", "MAIRI", "BA", ) ,
    ("292020", "MALHADA", "BA", ) ,
    ("292030", "MALHADA DE PEDRAS", "BA", ) ,
    ("292040", "MANOEL VITORINO", "BA", ) ,
    ("292045", "MANSIDÃO", "BA", ) ,
    ("292050", "MARACÁS", "BA", ) ,
    ("292060", "MARAGOGIPE", "BA", ) ,
    ("292070", "MARAÚ", "BA", ) ,
    ("292080", "MARCIONÍLIO SOUZA", "BA", ) ,
    ("292090", "MASCOTE", "BA", ) ,
    ("292100", "MATA DE SÃO JOÃO", "BA", ) ,
    ("292105", "MATINA", "BA", ) ,
    ("292110", "MEDEIROS NETO", "BA", ) ,
    ("292120", "MIGUEL CALMON", "BA", ) ,
    ("292130", "MILAGRES", "BA", ) ,
    ("292140", "MIRANGABA", "BA", ) ,
    ("292145", "MIRANTE", "BA", ) ,
    ("292150", "MONTE SANTO", "BA", ) ,
    ("292160", "MORPARÁ", "BA", ) ,
    ("292170", "MORRO DO CHAPÉU", "BA", ) ,
    ("292180", "MORTUGABA", "BA", ) ,
    ("292190", "MUCUGÊ", "BA", ) ,
    ("292200", "MUCURI", "BA", ) ,
    ("292205", "MULUNGU DO MORRO", "BA", ) ,
    ("292210", "MUNDO NOVO", "BA", ) ,
    ("292220", "MUNIZ FERREIRA", "BA", ) ,
    ("292225", "MUQUÉM DE SÃO FRANCISCO", "BA", ) ,
    ("292230", "MURITIBA", "BA", ) ,
    ("292240", "MUTUÍPE", "BA", ) ,
    ("292250", "NAZARÉ", "BA", ) ,
    ("292260", "NILO PEÇANHA", "BA", ) ,
    ("292265", "NORDESTINA", "BA", ) ,
    ("292270", "NOVA CANAÃ", "BA", ) ,
    ("292273", "NOVA FÁTIMA", "BA", ) ,
    ("292275", "NOVA IBIÁ", "BA", ) ,
    ("292280", "NOVA ITARANA", "BA", ) ,
    ("292285", "NOVA REDENÇÃO", "BA", ) ,
    ("292290", "NOVA SOURE", "BA", ) ,
    ("292300", "NOVA VIÇOSA", "BA", ) ,
    ("292303", "NOVO HORIZONTE", "BA", ) ,
    ("292305", "NOVO TRIUNFO", "BA", ) ,
    ("292310", "OLINDINA", "BA", ) ,
    ("292320", "OLIVEIRA DOS BREJINHOS", "BA", ) ,
    ("292330", "OURIÇANGAS", "BA", ) ,
    ("292335", "OUROLÂNDIA", "BA", ) ,
    ("292340", "PALMAS DE MONTE ALTO", "BA", ) ,
    ("292350", "PALMEIRAS", "BA", ) ,
    ("292360", "PARAMIRIM", "BA", ) ,
    ("292370", "PARATINGA", "BA", ) ,
    ("292380", "PARIPIRANGA", "BA", ) ,
    ("292390", "PAU BRASIL", "BA", ) ,
    ("292400", "PAULO AFONSO", "BA", ) ,
    ("292405", "PÉ DE SERRA", "BA", ) ,
    ("292410", "PEDRÃO", "BA", ) ,
    ("292420", "PEDRO ALEXANDRE", "BA", ) ,
    ("292430", "PIATÃ", "BA", ) ,
    ("292440", "PILÃO ARCADO", "BA", ) ,
    ("292450", "PINDAÍ", "BA", ) ,
    ("292460", "PINDOBAÇU", "BA", ) ,
    ("292465", "PINTADAS", "BA", ) ,
    ("292467", "PIRAÍ DO NORTE", "BA", ) ,
    ("292470", "PIRIPÁ", "BA", ) ,
    ("292480", "PIRITIBA", "BA", ) ,
    ("292490", "PLANALTINO", "BA", ) ,
    ("292500", "PLANALTO", "BA", ) ,
    ("292510", "POÇÕES", "BA", ) ,
    ("292520", "POJUCA", "BA", ) ,
    ("292525", "PONTO NOVO", "BA", ) ,
    ("292530", "PORTO SEGURO", "BA", ) ,
    ("292540", "POTIRAGUÁ", "BA", ) ,
    ("292550", "PRADO", "BA", ) ,
    ("292560", "PRESIDENTE DUTRA", "BA", ) ,
    ("292570", "PRESIDENTE JÂNIO QUADROS", "BA", ) ,
    ("292575", "PRESIDENTE TANCREDO NEVES", "BA", ) ,
    ("292580", "QUEIMADAS", "BA", ) ,
    ("292590", "QUIJINGUE", "BA", ) ,
    ("292593", "QUIXABEIRA", "BA", ) ,
    ("292595", "RAFAEL JAMBEIRO", "BA", ) ,
    ("292600", "REMANSO", "BA", ) ,
    ("292610", "RETIROLÂNDIA", "BA", ) ,
    ("292620", "RIACHÃO DAS NEVES", "BA", ) ,
    ("292630", "RIACHÃO DO JACUÍPE", "BA", ) ,
    ("292640", "RIACHO DE SANTANA", "BA", ) ,
    ("292650", "RIBEIRA DO AMPARO", "BA", ) ,
    ("292660", "RIBEIRA DO POMBAL", "BA", ) ,
    ("292665", "RIBEIRÃO DO LARGO", "BA", ) ,
    ("292670", "RIO DE CONTAS", "BA", ) ,
    ("292680", "RIO DO ANTÔNIO", "BA", ) ,
    ("292690", "RIO DO PIRES", "BA", ) ,
    ("292700", "RIO REAL", "BA", ) ,
    ("292710", "RODELAS", "BA", ) ,
    ("292720", "RUY BARBOSA", "BA", ) ,
    ("292730", "SALINAS DA MARGARIDA", "BA", ) ,
    ("292740", "SALVADOR", "BA", ) ,
    ("292750", "SANTA BÁRBARA", "BA", ) ,
    ("292760", "SANTA BRÍGIDA", "BA", ) ,
    ("292770", "SANTA CRUZ CABRÁLIA", "BA", ) ,
    ("292780", "SANTA CRUZ DA VITÓRIA", "BA", ) ,
    ("292790", "SANTA INÊS", "BA", ) ,
    ("292800", "SANTALUZ", "BA", ) ,
    ("292805", "SANTA LUZIA", "BA", ) ,
    ("292810", "SANTA MARIA DA VITÓRIA", "BA", ) ,
    ("292820", "SANTANA", "BA", ) ,
    ("292830", "SANTANÓPOLIS", "BA", ) ,
    ("292840", "SANTA RITA DE CÁSSIA", "BA", ) ,
    ("292850", "SANTA TERESINHA", "BA", ) ,
    ("292860", "SANTO AMARO", "BA", ) ,
    ("292870", "SANTO ANTÔNIO DE JESUS", "BA", ) ,
    ("292880", "SANTO ESTÊVÃO", "BA", ) ,
    ("292890", "SÃO DESIDÉRIO", "BA", ) ,
    ("292895", "SÃO DOMINGOS", "BA", ) ,
    ("292900", "SÃO FÉLIX", "BA", ) ,
    ("292905", "SÃO FÉLIX DO CORIBE", "BA", ) ,
    ("292910", "SÃO FELIPE", "BA", ) ,
    ("292920", "SÃO FRANCISCO DO CONDE", "BA", ) ,
    ("292925", "SÃO GABRIEL", "BA", ) ,
    ("292930", "SÃO GONÇALO DOS CAMPOS", "BA", ) ,
    ("292935", "SÃO JOSÉ DA VITÓRIA", "BA", ) ,
    ("292937", "SÃO JOSÉ DO JACUÍPE", "BA", ) ,
    ("292940", "SÃO MIGUEL DAS MATAS", "BA", ) ,
    ("292950", "SÃO SEBASTIÃO DO PASSÉ", "BA", ) ,
    ("292960", "SAPEAÇU", "BA", ) ,
    ("292970", "SÁTIRO DIAS", "BA", ) ,
    ("292975", "SAUBARA", "BA", ) ,
    ("292980", "SAÚDE", "BA", ) ,
    ("292990", "SEABRA", "BA", ) ,
    ("293000", "SEBASTIÃO LARANJEIRAS", "BA", ) ,
    ("293010", "SENHOR DO BONFIM", "BA", ) ,
    ("293015", "SERRA DO RAMALHO", "BA", ) ,
    ("293020", "SENTO SÉ", "BA", ) ,
    ("293030", "SERRA DOURADA", "BA", ) ,
    ("293040", "SERRA PRETA", "BA", ) ,
    ("293050", "SERRINHA", "BA", ) ,
    ("293060", "SERROLÂNDIA", "BA", ) ,
    ("293070", "SIMÕES FILHO", "BA", ) ,
    ("293075", "SÍTIO DO MATO", "BA", ) ,
    ("293076", "SÍTIO DO QUINTO", "BA", ) ,
    ("293077", "SOBRADINHO", "BA", ) ,
    ("293080", "SOUTO SOARES", "BA", ) ,
    ("293090", "TABOCAS DO BREJO VELHO", "BA", ) ,
    ("293100", "TANHAÇU", "BA", ) ,
    ("293105", "TANQUE NOVO", "BA", ) ,
    ("293110", "TANQUINHO", "BA", ) ,
    ("293120", "TAPEROÁ", "BA", ) ,
    ("293130", "TAPIRAMUTÁ", "BA", ) ,
    ("293135", "TEIXEIRA DE FREITAS", "BA", ) ,
    ("293140", "TEODORO SAMPAIO", "BA", ) ,
    ("293150", "TEOFILÂNDIA", "BA", ) ,
    ("293160", "TEOLÂNDIA", "BA", ) ,
    ("293170", "TERRA NOVA", "BA", ) ,
    ("293180", "TREMEDAL", "BA", ) ,
    ("293190", "TUCANO", "BA", ) ,
    ("293200", "UAUÁ", "BA", ) ,
    ("293210", "UBAÍRA", "BA", ) ,
    ("293220", "UBAITABA", "BA", ) ,
    ("293230", "UBATÃ", "BA", ) ,
    ("293240", "UIBAÍ", "BA", ) ,
    ("293245", "UMBURANAS", "BA", ) ,
    ("293250", "UNA", "BA", ) ,
    ("293260", "URANDI", "BA", ) ,
    ("293270", "URUÇUCA", "BA", ) ,
    ("293280", "UTINGA", "BA", ) ,
    ("293290", "VALENÇA", "BA", ) ,
    ("293300", "VALENTE", "BA", ) ,
    ("293305", "VÁRZEA DA ROÇA", "BA", ) ,
    ("293310", "VÁRZEA DO POÇO", "BA", ) ,
    ("293315", "VÁRZEA NOVA", "BA", ) ,
    ("293317", "VARZEDO", "BA", ) ,
    ("293320", "VERA CRUZ", "BA", ) ,
    ("293325", "VEREDA", "BA", ) ,
    ("293330", "VITÓRIA DA CONQUISTA", "BA", ) ,
    ("293340", "WAGNER", "BA", ) ,
    ("293345", "WANDERLEY", "BA", ) ,
    ("293350", "WENCESLAU GUIMARÃES", "BA", ) ,
    ("293360", "XIQUE-XIQUE", "BA", ) ,
    ("310010", "ABADIA DOS DOURADOS", "MG", ) ,
    ("310020", "ABAETÉ", "MG", ) ,
    ("310030", "ABRE CAMPO", "MG", ) ,
    ("310040", "ACAIACA", "MG", ) ,
    ("310050", "AÇUCENA", "MG", ) ,
    ("310060", "ÁGUA BOA", "MG", ) ,
    ("310070", "ÁGUA COMPRIDA", "MG", ) ,
    ("310080", "AGUANIL", "MG", ) ,
    ("310090", "ÁGUAS FORMOSAS", "MG", ) ,
    ("310100", "ÁGUAS VERMELHAS", "MG", ) ,
    ("310110", "AIMORÉS", "MG", ) ,
    ("310120", "AIURUOCA", "MG", ) ,
    ("310130", "ALAGOA", "MG", ) ,
    ("310140", "ALBERTINA", "MG", ) ,
    ("310150", "ALÉM PARAÍBA", "MG", ) ,
    ("310160", "ALFENAS", "MG", ) ,
    ("310163", "ALFREDO VASCONCELOS", "MG", ) ,
    ("310170", "ALMENARA", "MG", ) ,
    ("310180", "ALPERCATA", "MG", ) ,
    ("310190", "ALPINÓPOLIS", "MG", ) ,
    ("310200", "ALTEROSA", "MG", ) ,
    ("310205", "ALTO CAPARAÓ", "MG", ) ,
    ("310210", "ALTO RIO DOCE", "MG", ) ,
    ("310220", "ALVARENGA", "MG", ) ,
    ("310230", "ALVINÓPOLIS", "MG", ) ,
    ("310240", "ALVORADA DE MINAS", "MG", ) ,
    ("310250", "AMPARO DO SERRA", "MG", ) ,
    ("310260", "ANDRADAS", "MG", ) ,
    ("310270", "CACHOEIRA DE PAJEÚ", "MG", ) ,
    ("310280", "ANDRELÂNDIA", "MG", ) ,
    ("310285", "ANGELÂNDIA", "MG", ) ,
    ("310290", "ANTÔNIO CARLOS", "MG", ) ,
    ("310300", "ANTÔNIO DIAS", "MG", ) ,
    ("310310", "ANTÔNIO PRADO DE MINAS", "MG", ) ,
    ("310320", "ARAÇAÍ", "MG", ) ,
    ("310330", "ARACITABA", "MG", ) ,
    ("310340", "ARAÇUAÍ", "MG", ) ,
    ("310350", "ARAGUARI", "MG", ) ,
    ("310360", "ARANTINA", "MG", ) ,
    ("310370", "ARAPONGA", "MG", ) ,
    ("310375", "ARAPORÃ", "MG", ) ,
    ("310380", "ARAPUÁ", "MG", ) ,
    ("310390", "ARAÚJOS", "MG", ) ,
    ("310400", "ARAXÁ", "MG", ) ,
    ("310410", "ARCEBURGO", "MG", ) ,
    ("310420", "ARCOS", "MG", ) ,
    ("310430", "AREADO", "MG", ) ,
    ("310440", "ARGIRITA", "MG", ) ,
    ("310445", "ARICANDUVA", "MG", ) ,
    ("310450", "ARINOS", "MG", ) ,
    ("310460", "ASTOLFO DUTRA", "MG", ) ,
    ("310470", "ATALÉIA", "MG", ) ,
    ("310480", "AUGUSTO DE LIMA", "MG", ) ,
    ("310490", "BAEPENDI", "MG", ) ,
    ("310500", "BALDIM", "MG", ) ,
    ("310510", "BAMBUÍ", "MG", ) ,
    ("310520", "BANDEIRA", "MG", ) ,
    ("310530", "BANDEIRA DO SUL", "MG", ) ,
    ("310540", "BARÃO DE COCAIS", "MG", ) ,
    ("310550", "BARÃO DE MONTE ALTO", "MG", ) ,
    ("310560", "BARBACENA", "MG", ) ,
    ("310570", "BARRA LONGA", "MG", ) ,
    ("310590", "BARROSO", "MG", ) ,
    ("310600", "BELA VISTA DE MINAS", "MG", ) ,
    ("310610", "BELMIRO BRAGA", "MG", ) ,
    ("310620", "BELO HORIZONTE", "MG", ) ,
    ("310630", "BELO ORIENTE", "MG", ) ,
    ("310640", "BELO VALE", "MG", ) ,
    ("310650", "BERILO", "MG", ) ,
    ("310660", "BERTÓPOLIS", "MG", ) ,
    ("310665", "BERIZAL", "MG", ) ,
    ("310670", "BETIM", "MG", ) ,
    ("310680", "BIAS FORTES", "MG", ) ,
    ("310690", "BICAS", "MG", ) ,
    ("310700", "BIQUINHAS", "MG", ) ,
    ("310710", "BOA ESPERANÇA", "MG", ) ,
    ("310720", "BOCAINA DE MINAS", "MG", ) ,
    ("310730", "BOCAIÚVA", "MG", ) ,
    ("310740", "BOM DESPACHO", "MG", ) ,
    ("310750", "BOM JARDIM DE MINAS", "MG", ) ,
    ("310760", "BOM JESUS DA PENHA", "MG", ) ,
    ("310770", "BOM JESUS DO AMPARO", "MG", ) ,
    ("310780", "BOM JESUS DO GALHO", "MG", ) ,
    ("310790", "BOM REPOUSO", "MG", ) ,
    ("310800", "BOM SUCESSO", "MG", ) ,
    ("310810", "BONFIM", "MG", ) ,
    ("310820", "BONFINÓPOLIS DE MINAS", "MG", ) ,
    ("310825", "BONITO DE MINAS", "MG", ) ,
    ("310830", "BORDA DA MATA", "MG", ) ,
    ("310840", "BOTELHOS", "MG", ) ,
    ("310850", "BOTUMIRIM", "MG", ) ,
    ("310855", "BRASILÂNDIA DE MINAS", "MG", ) ,
    ("310860", "BRASÍLIA DE MINAS", "MG", ) ,
    ("310870", "BRÁS PIRES", "MG", ) ,
    ("310880", "BRAÚNAS", "MG", ) ,
    ("310890", "BRASÓPOLIS", "MG", ) ,
    ("310900", "BRUMADINHO", "MG", ) ,
    ("310910", "BUENO BRANDÃO", "MG", ) ,
    ("310920", "BUENÓPOLIS", "MG", ) ,
    ("310925", "BUGRE", "MG", ) ,
    ("310930", "BURITIS", "MG", ) ,
    ("310940", "BURITIZEIRO", "MG", ) ,
    ("310945", "CABECEIRA GRANDE", "MG", ) ,
    ("310950", "CABO VERDE", "MG", ) ,
    ("310960", "CACHOEIRA DA PRATA", "MG", ) ,
    ("310970", "CACHOEIRA DE MINAS", "MG", ) ,
    ("310980", "CACHOEIRA DOURADA", "MG", ) ,
    ("310990", "CAETANÓPOLIS", "MG", ) ,
    ("311000", "CAETÉ", "MG", ) ,
    ("311010", "CAIANA", "MG", ) ,
    ("311020", "CAJURI", "MG", ) ,
    ("311030", "CALDAS", "MG", ) ,
    ("311040", "CAMACHO", "MG", ) ,
    ("311050", "CAMANDUCAIA", "MG", ) ,
    ("311060", "CAMBUÍ", "MG", ) ,
    ("311070", "CAMBUQUIRA", "MG", ) ,
    ("311080", "CAMPANÁRIO", "MG", ) ,
    ("311090", "CAMPANHA", "MG", ) ,
    ("311100", "CAMPESTRE", "MG", ) ,
    ("311110", "CAMPINA VERDE", "MG", ) ,
    ("311115", "CAMPO AZUL", "MG", ) ,
    ("311120", "CAMPO BELO", "MG", ) ,
    ("311130", "CAMPO DO MEIO", "MG", ) ,
    ("311140", "CAMPO FLORIDO", "MG", ) ,
    ("311150", "CAMPOS ALTOS", "MG", ) ,
    ("311160", "CAMPOS GERAIS", "MG", ) ,
    ("311170", "CANAÃ", "MG", ) ,
    ("311180", "CANÁPOLIS", "MG", ) ,
    ("311190", "CANA VERDE", "MG", ) ,
    ("311200", "CANDEIAS", "MG", ) ,
    ("311205", "CANTAGALO", "MG", ) ,
    ("311210", "CAPARAÓ", "MG", ) ,
    ("311220", "CAPELA NOVA", "MG", ) ,
    ("311230", "CAPELINHA", "MG", ) ,
    ("311240", "CAPETINGA", "MG", ) ,
    ("311250", "CAPIM BRANCO", "MG", ) ,
    ("311260", "CAPINÓPOLIS", "MG", ) ,
    ("311265", "CAPITÃO ANDRADE", "MG", ) ,
    ("311270", "CAPITÃO ENÉAS", "MG", ) ,
    ("311280", "CAPITÓLIO", "MG", ) ,
    ("311290", "CAPUTIRA", "MG", ) ,
    ("311300", "CARAÍ", "MG", ) ,
    ("311310", "CARANAÍBA", "MG", ) ,
    ("311320", "CARANDAÍ", "MG", ) ,
    ("311330", "CARANGOLA", "MG", ) ,
    ("311340", "CARATINGA", "MG", ) ,
    ("311350", "CARBONITA", "MG", ) ,
    ("311360", "CAREAÇU", "MG", ) ,
    ("311370", "CARLOS CHAGAS", "MG", ) ,
    ("311380", "CARMÉSIA", "MG", ) ,
    ("311390", "CARMO DA CACHOEIRA", "MG", ) ,
    ("311400", "CARMO DA MATA", "MG", ) ,
    ("311410", "CARMO DE MINAS", "MG", ) ,
    ("311420", "CARMO DO CAJURU", "MG", ) ,
    ("311430", "CARMO DO PARANAÍBA", "MG", ) ,
    ("311440", "CARMO DO RIO CLARO", "MG", ) ,
    ("311450", "CARMÓPOLIS DE MINAS", "MG", ) ,
    ("311455", "CARNEIRINHO", "MG", ) ,
    ("311460", "CARRANCAS", "MG", ) ,
    ("311470", "CARVALHÓPOLIS", "MG", ) ,
    ("311480", "CARVALHOS", "MG", ) ,
    ("311490", "CASA GRANDE", "MG", ) ,
    ("311500", "CASCALHO RICO", "MG", ) ,
    ("311510", "CÁSSIA", "MG", ) ,
    ("311520", "CONCEIÇÃO DA BARRA DE MINAS", "MG", ) ,
    ("311530", "CATAGUASES", "MG", ) ,
    ("311535", "CATAS ALTAS", "MG", ) ,
    ("311540", "CATAS ALTAS DA NORUEGA", "MG", ) ,
    ("311545", "CATUJI", "MG", ) ,
    ("311547", "CATUTI", "MG", ) ,
    ("311550", "CAXAMBU", "MG", ) ,
    ("311560", "CEDRO DO ABAETÉ", "MG", ) ,
    ("311570", "CENTRAL DE MINAS", "MG", ) ,
    ("311580", "CENTRALINA", "MG", ) ,
    ("311590", "CHÁCARA", "MG", ) ,
    ("311600", "CHALÉ", "MG", ) ,
    ("311610", "CHAPADA DO NORTE", "MG", ) ,
    ("311615", "CHAPADA GAÚCHA", "MG", ) ,
    ("311620", "CHIADOR", "MG", ) ,
    ("311630", "CIPOTÂNEA", "MG", ) ,
    ("311640", "CLARAVAL", "MG", ) ,
    ("311650", "CLARO DOS POÇÕES", "MG", ) ,
    ("311660", "CLÁUDIO", "MG", ) ,
    ("311670", "COIMBRA", "MG", ) ,
    ("311680", "COLUNA", "MG", ) ,
    ("311690", "COMENDADOR GOMES", "MG", ) ,
    ("311700", "COMERCINHO", "MG", ) ,
    ("311710", "CONCEIÇÃO DA APARECIDA", "MG", ) ,
    ("311720", "CONCEIÇÃO DAS PEDRAS", "MG", ) ,
    ("311730", "CONCEIÇÃO DAS ALAGOAS", "MG", ) ,
    ("311740", "CONCEIÇÃO DE IPANEMA", "MG", ) ,
    ("311750", "CONCEIÇÃO DO MATO DENTRO", "MG", ) ,
    ("311760", "CONCEIÇÃO DO PARÁ", "MG", ) ,
    ("311770", "CONCEIÇÃO DO RIO VERDE", "MG", ) ,
    ("311780", "CONCEIÇÃO DOS OUROS", "MG", ) ,
    ("311783", "CÔNEGO MARINHO", "MG", ) ,
    ("311787", "CONFINS", "MG", ) ,
    ("311790", "CONGONHAL", "MG", ) ,
    ("311800", "CONGONHAS", "MG", ) ,
    ("311810", "CONGONHAS DO NORTE", "MG", ) ,
    ("311820", "CONQUISTA", "MG", ) ,
    ("311830", "CONSELHEIRO LAFAIETE", "MG", ) ,
    ("311840", "CONSELHEIRO PENA", "MG", ) ,
    ("311850", "CONSOLAÇÃO", "MG", ) ,
    ("311860", "CONTAGEM", "MG", ) ,
    ("311870", "COQUEIRAL", "MG", ) ,
    ("311880", "CORAÇÃO DE JESUS", "MG", ) ,
    ("311890", "CORDISBURGO", "MG", ) ,
    ("311900", "CORDISLÂNDIA", "MG", ) ,
    ("311910", "CORINTO", "MG", ) ,
    ("311920", "COROACI", "MG", ) ,
    ("311930", "COROMANDEL", "MG", ) ,
    ("311940", "CORONEL FABRICIANO", "MG", ) ,
    ("311950", "CORONEL MURTA", "MG", ) ,
    ("311960", "CORONEL PACHECO", "MG", ) ,
    ("311970", "CORONEL XAVIER CHAVES", "MG", ) ,
    ("311980", "CÓRREGO DANTA", "MG", ) ,
    ("311990", "CÓRREGO DO BOM JESUS", "MG", ) ,
    ("311995", "CÓRREGO FUNDO", "MG", ) ,
    ("312000", "CÓRREGO NOVO", "MG", ) ,
    ("312010", "COUTO DE MAGALHÃES DE MINAS", "MG", ) ,
    ("312015", "CRISÓLITA", "MG", ) ,
    ("312020", "CRISTAIS", "MG", ) ,
    ("312030", "CRISTÁLIA", "MG", ) ,
    ("312040", "CRISTIANO OTONI", "MG", ) ,
    ("312050", "CRISTINA", "MG", ) ,
    ("312060", "CRUCILÂNDIA", "MG", ) ,
    ("312070", "CRUZEIRO DA FORTALEZA", "MG", ) ,
    ("312080", "CRUZÍLIA", "MG", ) ,
    ("312083", "CUPARAQUE", "MG", ) ,
    ("312087", "CURRAL DE DENTRO", "MG", ) ,
    ("312090", "CURVELO", "MG", ) ,
    ("312100", "DATAS", "MG", ) ,
    ("312110", "DELFIM MOREIRA", "MG", ) ,
    ("312120", "DELFINÓPOLIS", "MG", ) ,
    ("312125", "DELTA", "MG", ) ,
    ("312130", "DESCOBERTO", "MG", ) ,
    ("312140", "DESTERRO DE ENTRE RIOS", "MG", ) ,
    ("312150", "DESTERRO DO MELO", "MG", ) ,
    ("312160", "DIAMANTINA", "MG", ) ,
    ("312170", "DIOGO DE VASCONCELOS", "MG", ) ,
    ("312180", "DIONÍSIO", "MG", ) ,
    ("312190", "DIVINÉSIA", "MG", ) ,
    ("312200", "DIVINO", "MG", ) ,
    ("312210", "DIVINO DAS LARANJEIRAS", "MG", ) ,
    ("312220", "DIVINOLÂNDIA DE MINAS", "MG", ) ,
    ("312230", "DIVINÓPOLIS", "MG", ) ,
    ("312235", "DIVISA ALEGRE", "MG", ) ,
    ("312240", "DIVISA NOVA", "MG", ) ,
    ("312245", "DIVISÓPOLIS", "MG", ) ,
    ("312247", "DOM BOSCO", "MG", ) ,
    ("312250", "DOM CAVATI", "MG", ) ,
    ("312260", "DOM JOAQUIM", "MG", ) ,
    ("312270", "DOM SILVÉRIO", "MG", ) ,
    ("312280", "DOM VIÇOSO", "MG", ) ,
    ("312290", "DONA EUSÉBIA", "MG", ) ,
    ("312300", "DORES DE CAMPOS", "MG", ) ,
    ("312310", "DORES DE GUANHÃES", "MG", ) ,
    ("312320", "DORES DO INDAIÁ", "MG", ) ,
    ("312330", "DORES DO TURVO", "MG", ) ,
    ("312340", "DORESÓPOLIS", "MG", ) ,
    ("312350", "DOURADOQUARA", "MG", ) ,
    ("312352", "DURANDÉ", "MG", ) ,
    ("312360", "ELÓI MENDES", "MG", ) ,
    ("312370", "ENGENHEIRO CALDAS", "MG", ) ,
    ("312380", "ENGENHEIRO NAVARRO", "MG", ) ,
    ("312385", "ENTRE FOLHAS", "MG", ) ,
    ("312390", "ENTRE RIOS DE MINAS", "MG", ) ,
    ("312400", "ERVÁLIA", "MG", ) ,
    ("312410", "ESMERALDAS", "MG", ) ,
    ("312420", "ESPERA FELIZ", "MG", ) ,
    ("312430", "ESPINOSA", "MG", ) ,
    ("312440", "ESPÍRITO SANTO DO DOURADO", "MG", ) ,
    ("312450", "ESTIVA", "MG", ) ,
    ("312460", "ESTRELA DALVA", "MG", ) ,
    ("312470", "ESTRELA DO INDAIÁ", "MG", ) ,
    ("312480", "ESTRELA DO SUL", "MG", ) ,
    ("312490", "EUGENÓPOLIS", "MG", ) ,
    ("312500", "EWBANK DA CÂMARA", "MG", ) ,
    ("312510", "EXTREMA", "MG", ) ,
    ("312520", "FAMA", "MG", ) ,
    ("312530", "FARIA LEMOS", "MG", ) ,
    ("312540", "FELÍCIO DOS SANTOS", "MG", ) ,
    ("312550", "SÃO GONÇALO DO RIO PRETO", "MG", ) ,
    ("312560", "FELISBURGO", "MG", ) ,
    ("312570", "FELIXLÂNDIA", "MG", ) ,
    ("312580", "FERNANDES TOURINHO", "MG", ) ,
    ("312590", "FERROS", "MG", ) ,
    ("312595", "FERVEDOURO", "MG", ) ,
    ("312600", "FLORESTAL", "MG", ) ,
    ("312610", "FORMIGA", "MG", ) ,
    ("312620", "FORMOSO", "MG", ) ,
    ("312630", "FORTALEZA DE MINAS", "MG", ) ,
    ("312640", "FORTUNA DE MINAS", "MG", ) ,
    ("312650", "FRANCISCO BADARÓ", "MG", ) ,
    ("312660", "FRANCISCO DUMONT", "MG", ) ,
    ("312670", "FRANCISCO SÁ", "MG", ) ,
    ("312675", "FRANCISCÓPOLIS", "MG", ) ,
    ("312680", "FREI GASPAR", "MG", ) ,
    ("312690", "FREI INOCÊNCIO", "MG", ) ,
    ("312695", "FREI LAGONEGRO", "MG", ) ,
    ("312700", "FRONTEIRA", "MG", ) ,
    ("312705", "FRONTEIRA DOS VALES", "MG", ) ,
    ("312707", "FRUTA DE LEITE", "MG", ) ,
    ("312710", "FRUTAL", "MG", ) ,
    ("312720", "FUNILÂNDIA", "MG", ) ,
    ("312730", "GALILÉIA", "MG", ) ,
    ("312733", "GAMELEIRAS", "MG", ) ,
    ("312735", "GLAUCILÂNDIA", "MG", ) ,
    ("312737", "GOIABEIRA", "MG", ) ,
    ("312738", "GOIANÁ", "MG", ) ,
    ("312740", "GONÇALVES", "MG", ) ,
    ("312750", "GONZAGA", "MG", ) ,
    ("312760", "GOUVEIA", "MG", ) ,
    ("312770", "GOVERNADOR VALADARES", "MG", ) ,
    ("312780", "GRÃO MOGOL", "MG", ) ,
    ("312790", "GRUPIARA", "MG", ) ,
    ("312800", "GUANHÃES", "MG", ) ,
    ("312810", "GUAPÉ", "MG", ) ,
    ("312820", "GUARACIABA", "MG", ) ,
    ("312825", "GUARACIAMA", "MG", ) ,
    ("312830", "GUARANÉSIA", "MG", ) ,
    ("312840", "GUARANI", "MG", ) ,
    ("312850", "GUARARÁ", "MG", ) ,
    ("312860", "GUARDA-MOR", "MG", ) ,
    ("312870", "GUAXUPÉ", "MG", ) ,
    ("312880", "GUIDOVAL", "MG", ) ,
    ("312890", "GUIMARÂNIA", "MG", ) ,
    ("312900", "GUIRICEMA", "MG", ) ,
    ("312910", "GURINHATÃ", "MG", ) ,
    ("312920", "HELIODORA", "MG", ) ,
    ("312930", "IAPU", "MG", ) ,
    ("312940", "IBERTIOGA", "MG", ) ,
    ("312950", "IBIÁ", "MG", ) ,
    ("312960", "IBIAÍ", "MG", ) ,
    ("312965", "IBIRACATU", "MG", ) ,
    ("312970", "IBIRACI", "MG", ) ,
    ("312980", "IBIRITÉ", "MG", ) ,
    ("312990", "IBITIÚRA DE MINAS", "MG", ) ,
    ("313000", "IBITURUNA", "MG", ) ,
    ("313005", "ICARAÍ DE MINAS", "MG", ) ,
    ("313010", "IGARAPÉ", "MG", ) ,
    ("313020", "IGARATINGA", "MG", ) ,
    ("313030", "IGUATAMA", "MG", ) ,
    ("313040", "IJACI", "MG", ) ,
    ("313050", "ILICÍNEA", "MG", ) ,
    ("313055", "IMBÉ DE MINAS", "MG", ) ,
    ("313060", "INCONFIDENTES", "MG", ) ,
    ("313065", "INDAIABIRA", "MG", ) ,
    ("313070", "INDIANÓPOLIS", "MG", ) ,
    ("313080", "INGAÍ", "MG", ) ,
    ("313090", "INHAPIM", "MG", ) ,
    ("313100", "INHAÚMA", "MG", ) ,
    ("313110", "INIMUTABA", "MG", ) ,
    ("313115", "IPABA", "MG", ) ,
    ("313120", "IPANEMA", "MG", ) ,
    ("313130", "IPATINGA", "MG", ) ,
    ("313140", "IPIAÇU", "MG", ) ,
    ("313150", "IPUIÚNA", "MG", ) ,
    ("313160", "IRAÍ DE MINAS", "MG", ) ,
    ("313170", "ITABIRA", "MG", ) ,
    ("313180", "ITABIRINHA", "MG", ) ,
    ("313190", "ITABIRITO", "MG", ) ,
    ("313200", "ITACAMBIRA", "MG", ) ,
    ("313210", "ITACARAMBI", "MG", ) ,
    ("313220", "ITAGUARA", "MG", ) ,
    ("313230", "ITAIPÉ", "MG", ) ,
    ("313240", "ITAJUBÁ", "MG", ) ,
    ("313250", "ITAMARANDIBA", "MG", ) ,
    ("313260", "ITAMARATI DE MINAS", "MG", ) ,
    ("313270", "ITAMBACURI", "MG", ) ,
    ("313280", "ITAMBÉ DO MATO DENTRO", "MG", ) ,
    ("313290", "ITAMOGI", "MG", ) ,
    ("313300", "ITAMONTE", "MG", ) ,
    ("313310", "ITANHANDU", "MG", ) ,
    ("313320", "ITANHOMI", "MG", ) ,
    ("313330", "ITAOBIM", "MG", ) ,
    ("313340", "ITAPAGIPE", "MG", ) ,
    ("313350", "ITAPECERICA", "MG", ) ,
    ("313360", "ITAPEVA", "MG", ) ,
    ("313370", "ITATIAIUÇU", "MG", ) ,
    ("313375", "ITAÚ DE MINAS", "MG", ) ,
    ("313380", "ITAÚNA", "MG", ) ,
    ("313390", "ITAVERAVA", "MG", ) ,
    ("313400", "ITINGA", "MG", ) ,
    ("313410", "ITUETA", "MG", ) ,
    ("313420", "ITUIUTABA", "MG", ) ,
    ("313430", "ITUMIRIM", "MG", ) ,
    ("313440", "ITURAMA", "MG", ) ,
    ("313450", "ITUTINGA", "MG", ) ,
    ("313460", "JABOTICATUBAS", "MG", ) ,
    ("313470", "JACINTO", "MG", ) ,
    ("313480", "JACUÍ", "MG", ) ,
    ("313490", "JACUTINGA", "MG", ) ,
    ("313500", "JAGUARAÇU", "MG", ) ,
    ("313505", "JAÍBA", "MG", ) ,
    ("313507", "JAMPRUCA", "MG", ) ,
    ("313510", "JANAÚBA", "MG", ) ,
    ("313520", "JANUÁRIA", "MG", ) ,
    ("313530", "JAPARAÍBA", "MG", ) ,
    ("313535", "JAPONVAR", "MG", ) ,
    ("313540", "JECEABA", "MG", ) ,
    ("313545", "JENIPAPO DE MINAS", "MG", ) ,
    ("313550", "JEQUERI", "MG", ) ,
    ("313560", "JEQUITAÍ", "MG", ) ,
    ("313570", "JEQUITIBÁ", "MG", ) ,
    ("313580", "JEQUITINHONHA", "MG", ) ,
    ("313590", "JESUÂNIA", "MG", ) ,
    ("313600", "JOAÍMA", "MG", ) ,
    ("313610", "JOANÉSIA", "MG", ) ,
    ("313620", "JOÃO MONLEVADE", "MG", ) ,
    ("313630", "JOÃO PINHEIRO", "MG", ) ,
    ("313640", "JOAQUIM FELÍCIO", "MG", ) ,
    ("313650", "JORDÂNIA", "MG", ) ,
    ("313652", "JOSÉ GONÇALVES DE MINAS", "MG", ) ,
    ("313655", "JOSÉ RAYDAN", "MG", ) ,
    ("313657", "JOSENÓPOLIS", "MG", ) ,
    ("313660", "NOVA UNIÃO", "MG", ) ,
    ("313665", "JUATUBA", "MG", ) ,
    ("313670", "JUIZ DE FORA", "MG", ) ,
    ("313680", "JURAMENTO", "MG", ) ,
    ("313690", "JURUAIA", "MG", ) ,
    ("313695", "JUVENÍLIA", "MG", ) ,
    ("313700", "LADAINHA", "MG", ) ,
    ("313710", "LAGAMAR", "MG", ) ,
    ("313720", "LAGOA DA PRATA", "MG", ) ,
    ("313730", "LAGOA DOS PATOS", "MG", ) ,
    ("313740", "LAGOA DOURADA", "MG", ) ,
    ("313750", "LAGOA FORMOSA", "MG", ) ,
    ("313753", "LAGOA GRANDE", "MG", ) ,
    ("313760", "LAGOA SANTA", "MG", ) ,
    ("313770", "LAJINHA", "MG", ) ,
    ("313780", "LAMBARI", "MG", ) ,
    ("313790", "LAMIM", "MG", ) ,
    ("313800", "LARANJAL", "MG", ) ,
    ("313810", "LASSANCE", "MG", ) ,
    ("313820", "LAVRAS", "MG", ) ,
    ("313830", "LEANDRO FERREIRA", "MG", ) ,
    ("313835", "LEME DO PRADO", "MG", ) ,
    ("313840", "LEOPOLDINA", "MG", ) ,
    ("313850", "LIBERDADE", "MG", ) ,
    ("313860", "LIMA DUARTE", "MG", ) ,
    ("313862", "LIMEIRA DO OESTE", "MG", ) ,
    ("313865", "LONTRA", "MG", ) ,
    ("313867", "LUISBURGO", "MG", ) ,
    ("313868", "LUISLÂNDIA", "MG", ) ,
    ("313870", "LUMINÁRIAS", "MG", ) ,
    ("313880", "LUZ", "MG", ) ,
    ("313890", "MACHACALIS", "MG", ) ,
    ("313900", "MACHADO", "MG", ) ,
    ("313910", "MADRE DE DEUS DE MINAS", "MG", ) ,
    ("313920", "MALACACHETA", "MG", ) ,
    ("313925", "MAMONAS", "MG", ) ,
    ("313930", "MANGA", "MG", ) ,
    ("313940", "MANHUAÇU", "MG", ) ,
    ("313950", "MANHUMIRIM", "MG", ) ,
    ("313960", "MANTENA", "MG", ) ,
    ("313970", "MARAVILHAS", "MG", ) ,
    ("313980", "MAR DE ESPANHA", "MG", ) ,
    ("313990", "MARIA DA FÉ", "MG", ) ,
    ("314000", "MARIANA", "MG", ) ,
    ("314010", "MARILAC", "MG", ) ,
    ("314015", "MÁRIO CAMPOS", "MG", ) ,
    ("314020", "MARIPÁ DE MINAS", "MG", ) ,
    ("314030", "MARLIÉRIA", "MG", ) ,
    ("314040", "MARMELÓPOLIS", "MG", ) ,
    ("314050", "MARTINHO CAMPOS", "MG", ) ,
    ("314053", "MARTINS SOARES", "MG", ) ,
    ("314055", "MATA VERDE", "MG", ) ,
    ("314060", "MATERLÂNDIA", "MG", ) ,
    ("314070", "MATEUS LEME", "MG", ) ,
    ("314080", "MATIAS BARBOSA", "MG", ) ,
    ("314085", "MATIAS CARDOSO", "MG", ) ,
    ("314090", "MATIPÓ", "MG", ) ,
    ("314100", "MATO VERDE", "MG", ) ,
    ("314110", "MATOZINHOS", "MG", ) ,
    ("314120", "MATUTINA", "MG", ) ,
    ("314130", "MEDEIROS", "MG", ) ,
    ("314140", "MEDINA", "MG", ) ,
    ("314150", "MENDES PIMENTEL", "MG", ) ,
    ("314160", "MERCÊS", "MG", ) ,
    ("314170", "MESQUITA", "MG", ) ,
    ("314180", "MINAS NOVAS", "MG", ) ,
    ("314190", "MINDURI", "MG", ) ,
    ("314200", "MIRABELA", "MG", ) ,
    ("314210", "MIRADOURO", "MG", ) ,
    ("314220", "MIRAÍ", "MG", ) ,
    ("314225", "MIRAVÂNIA", "MG", ) ,
    ("314230", "MOEDA", "MG", ) ,
    ("314240", "MOEMA", "MG", ) ,
    ("314250", "MONJOLOS", "MG", ) ,
    ("314260", "MONSENHOR PAULO", "MG", ) ,
    ("314270", "MONTALVÂNIA", "MG", ) ,
    ("314280", "MONTE ALEGRE DE MINAS", "MG", ) ,
    ("314290", "MONTE AZUL", "MG", ) ,
    ("314300", "MONTE BELO", "MG", ) ,
    ("314310", "MONTE CARMELO", "MG", ) ,
    ("314315", "MONTE FORMOSO", "MG", ) ,
    ("314320", "MONTE SANTO DE MINAS", "MG", ) ,
    ("314330", "MONTES CLAROS", "MG", ) ,
    ("314340", "MONTE SIÃO", "MG", ) ,
    ("314345", "MONTEZUMA", "MG", ) ,
    ("314350", "MORADA NOVA DE MINAS", "MG", ) ,
    ("314360", "MORRO DA GARÇA", "MG", ) ,
    ("314370", "MORRO DO PILAR", "MG", ) ,
    ("314380", "MUNHOZ", "MG", ) ,
    ("314390", "MURIAÉ", "MG", ) ,
    ("314400", "MUTUM", "MG", ) ,
    ("314410", "MUZAMBINHO", "MG", ) ,
    ("314420", "NACIP RAYDAN", "MG", ) ,
    ("314430", "NANUQUE", "MG", ) ,
    ("314435", "NAQUE", "MG", ) ,
    ("314437", "NATALÂNDIA", "MG", ) ,
    ("314440", "NATÉRCIA", "MG", ) ,
    ("314450", "NAZARENO", "MG", ) ,
    ("314460", "NEPOMUCENO", "MG", ) ,
    ("314465", "NINHEIRA", "MG", ) ,
    ("314467", "NOVA BELÉM", "MG", ) ,
    ("314470", "NOVA ERA", "MG", ) ,
    ("314480", "NOVA LIMA", "MG", ) ,
    ("314490", "NOVA MÓDICA", "MG", ) ,
    ("314500", "NOVA PONTE", "MG", ) ,
    ("314505", "NOVA PORTEIRINHA", "MG", ) ,
    ("314510", "NOVA RESENDE", "MG", ) ,
    ("314520", "NOVA SERRANA", "MG", ) ,
    ("314530", "NOVO CRUZEIRO", "MG", ) ,
    ("314535", "NOVO ORIENTE DE MINAS", "MG", ) ,
    ("314537", "NOVORIZONTE", "MG", ) ,
    ("314540", "OLARIA", "MG", ) ,
    ("314545", "OLHOS-D'ÁGUA", "MG", ) ,
    ("314550", "OLÍMPIO NORONHA", "MG", ) ,
    ("314560", "OLIVEIRA", "MG", ) ,
    ("314570", "OLIVEIRA FORTES", "MG", ) ,
    ("314580", "ONÇA DE PITANGUI", "MG", ) ,
    ("314585", "ORATÓRIOS", "MG", ) ,
    ("314587", "ORIZÂNIA", "MG", ) ,
    ("314590", "OURO BRANCO", "MG", ) ,
    ("314600", "OURO FINO", "MG", ) ,
    ("314610", "OURO PRETO", "MG", ) ,
    ("314620", "OURO VERDE DE MINAS", "MG", ) ,
    ("314625", "PADRE CARVALHO", "MG", ) ,
    ("314630", "PADRE PARAÍSO", "MG", ) ,
    ("314640", "PAINEIRAS", "MG", ) ,
    ("314650", "PAINS", "MG", ) ,
    ("314655", "PAI PEDRO", "MG", ) ,
    ("314660", "PAIVA", "MG", ) ,
    ("314670", "PALMA", "MG", ) ,
    ("314675", "PALMÓPOLIS", "MG", ) ,
    ("314690", "PAPAGAIOS", "MG", ) ,
    ("314700", "PARACATU", "MG", ) ,
    ("314710", "PARÁ DE MINAS", "MG", ) ,
    ("314720", "PARAGUAÇU", "MG", ) ,
    ("314730", "PARAISÓPOLIS", "MG", ) ,
    ("314740", "PARAOPEBA", "MG", ) ,
    ("314750", "PASSABÉM", "MG", ) ,
    ("314760", "PASSA QUATRO", "MG", ) ,
    ("314770", "PASSA TEMPO", "MG", ) ,
    ("314780", "PASSA-VINTE", "MG", ) ,
    ("314790", "PASSOS", "MG", ) ,
    ("314795", "PATIS", "MG", ) ,
    ("314800", "PATOS DE MINAS", "MG", ) ,
    ("314810", "PATROCÍNIO", "MG", ) ,
    ("314820", "PATROCÍNIO DO MURIAÉ", "MG", ) ,
    ("314830", "PAULA CÂNDIDO", "MG", ) ,
    ("314840", "PAULISTAS", "MG", ) ,
    ("314850", "PAVÃO", "MG", ) ,
    ("314860", "PEÇANHA", "MG", ) ,
    ("314870", "PEDRA AZUL", "MG", ) ,
    ("314875", "PEDRA BONITA", "MG", ) ,
    ("314880", "PEDRA DO ANTA", "MG", ) ,
    ("314890", "PEDRA DO INDAIÁ", "MG", ) ,
    ("314900", "PEDRA DOURADA", "MG", ) ,
    ("314910", "PEDRALVA", "MG", ) ,
    ("314915", "PEDRAS DE MARIA DA CRUZ", "MG", ) ,
    ("314920", "PEDRINÓPOLIS", "MG", ) ,
    ("314930", "PEDRO LEOPOLDO", "MG", ) ,
    ("314940", "PEDRO TEIXEIRA", "MG", ) ,
    ("314950", "PEQUERI", "MG", ) ,
    ("314960", "PEQUI", "MG", ) ,
    ("314970", "PERDIGÃO", "MG", ) ,
    ("314980", "PERDIZES", "MG", ) ,
    ("314990", "PERDÕES", "MG", ) ,
    ("314995", "PERIQUITO", "MG", ) ,
    ("315000", "PESCADOR", "MG", ) ,
    ("315010", "PIAU", "MG", ) ,
    ("315015", "PIEDADE DE CARATINGA", "MG", ) ,
    ("315020", "PIEDADE DE PONTE NOVA", "MG", ) ,
    ("315030", "PIEDADE DO RIO GRANDE", "MG", ) ,
    ("315040", "PIEDADE DOS GERAIS", "MG", ) ,
    ("315050", "PIMENTA", "MG", ) ,
    ("315053", "PINGO-D'ÁGUA", "MG", ) ,
    ("315057", "PINTÓPOLIS", "MG", ) ,
    ("315060", "PIRACEMA", "MG", ) ,
    ("315070", "PIRAJUBA", "MG", ) ,
    ("315080", "PIRANGA", "MG", ) ,
    ("315090", "PIRANGUÇU", "MG", ) ,
    ("315100", "PIRANGUINHO", "MG", ) ,
    ("315110", "PIRAPETINGA", "MG", ) ,
    ("315120", "PIRAPORA", "MG", ) ,
    ("315130", "PIRAÚBA", "MG", ) ,
    ("315140", "PITANGUI", "MG", ) ,
    ("315150", "PIUMHI", "MG", ) ,
    ("315160", "PLANURA", "MG", ) ,
    ("315170", "POÇO FUNDO", "MG", ) ,
    ("315180", "POÇOS DE CALDAS", "MG", ) ,
    ("315190", "POCRANE", "MG", ) ,
    ("315200", "POMPÉU", "MG", ) ,
    ("315210", "PONTE NOVA", "MG", ) ,
    ("315213", "PONTO CHIQUE", "MG", ) ,
    ("315217", "PONTO DOS VOLANTES", "MG", ) ,
    ("315220", "PORTEIRINHA", "MG", ) ,
    ("315230", "PORTO FIRME", "MG", ) ,
    ("315240", "POTÉ", "MG", ) ,
    ("315250", "POUSO ALEGRE", "MG", ) ,
    ("315260", "POUSO ALTO", "MG", ) ,
    ("315270", "PRADOS", "MG", ) ,
    ("315280", "PRATA", "MG", ) ,
    ("315290", "PRATÁPOLIS", "MG", ) ,
    ("315300", "PRATINHA", "MG", ) ,
    ("315310", "PRESIDENTE BERNARDES", "MG", ) ,
    ("315320", "PRESIDENTE JUSCELINO", "MG", ) ,
    ("315330", "PRESIDENTE KUBITSCHEK", "MG", ) ,
    ("315340", "PRESIDENTE OLEGÁRIO", "MG", ) ,
    ("315350", "ALTO JEQUITIBÁ", "MG", ) ,
    ("315360", "PRUDENTE DE MORAIS", "MG", ) ,
    ("315370", "QUARTEL GERAL", "MG", ) ,
    ("315380", "QUELUZITO", "MG", ) ,
    ("315390", "RAPOSOS", "MG", ) ,
    ("315400", "RAUL SOARES", "MG", ) ,
    ("315410", "RECREIO", "MG", ) ,
    ("315415", "REDUTO", "MG", ) ,
    ("315420", "RESENDE COSTA", "MG", ) ,
    ("315430", "RESPLENDOR", "MG", ) ,
    ("315440", "RESSAQUINHA", "MG", ) ,
    ("315445", "RIACHINHO", "MG", ) ,
    ("315450", "RIACHO DOS MACHADOS", "MG", ) ,
    ("315460", "RIBEIRÃO DAS NEVES", "MG", ) ,
    ("315470", "RIBEIRÃO VERMELHO", "MG", ) ,
    ("315480", "RIO ACIMA", "MG", ) ,
    ("315490", "RIO CASCA", "MG", ) ,
    ("315500", "RIO DOCE", "MG", ) ,
    ("315510", "RIO DO PRADO", "MG", ) ,
    ("315520", "RIO ESPERA", "MG", ) ,
    ("315530", "RIO MANSO", "MG", ) ,
    ("315540", "RIO NOVO", "MG", ) ,
    ("315550", "RIO PARANAÍBA", "MG", ) ,
    ("315560", "RIO PARDO DE MINAS", "MG", ) ,
    ("315570", "RIO PIRACICABA", "MG", ) ,
    ("315580", "RIO POMBA", "MG", ) ,
    ("315590", "RIO PRETO", "MG", ) ,
    ("315600", "RIO VERMELHO", "MG", ) ,
    ("315610", "RITÁPOLIS", "MG", ) ,
    ("315620", "ROCHEDO DE MINAS", "MG", ) ,
    ("315630", "RODEIRO", "MG", ) ,
    ("315640", "ROMARIA", "MG", ) ,
    ("315645", "ROSÁRIO DA LIMEIRA", "MG", ) ,
    ("315650", "RUBELITA", "MG", ) ,
    ("315660", "RUBIM", "MG", ) ,
    ("315670", "SABARÁ", "MG", ) ,
    ("315680", "SABINÓPOLIS", "MG", ) ,
    ("315690", "SACRAMENTO", "MG", ) ,
    ("315700", "SALINAS", "MG", ) ,
    ("315710", "SALTO DA DIVISA", "MG", ) ,
    ("315720", "SANTA BÁRBARA", "MG", ) ,
    ("315725", "SANTA BÁRBARA DO LESTE", "MG", ) ,
    ("315727", "SANTA BÁRBARA DO MONTE VERDE", "MG", ) ,
    ("315730", "SANTA BÁRBARA DO TUGÚRIO", "MG", ) ,
    ("315733", "SANTA CRUZ DE MINAS", "MG", ) ,
    ("315737", "SANTA CRUZ DE SALINAS", "MG", ) ,
    ("315740", "SANTA CRUZ DO ESCALVADO", "MG", ) ,
    ("315750", "SANTA EFIGÊNIA DE MINAS", "MG", ) ,
    ("315760", "SANTA FÉ DE MINAS", "MG", ) ,
    ("315765", "SANTA HELENA DE MINAS", "MG", ) ,
    ("315770", "SANTA JULIANA", "MG", ) ,
    ("315780", "SANTA LUZIA", "MG", ) ,
    ("315790", "SANTA MARGARIDA", "MG", ) ,
    ("315800", "SANTA MARIA DE ITABIRA", "MG", ) ,
    ("315810", "SANTA MARIA DO SALTO", "MG", ) ,
    ("315820", "SANTA MARIA DO SUAÇUÍ", "MG", ) ,
    ("315830", "SANTANA DA VARGEM", "MG", ) ,
    ("315840", "SANTANA DE CATAGUASES", "MG", ) ,
    ("315850", "SANTANA DE PIRAPAMA", "MG", ) ,
    ("315860", "SANTANA DO DESERTO", "MG", ) ,
    ("315870", "SANTANA DO GARAMBÉU", "MG", ) ,
    ("315880", "SANTANA DO JACARÉ", "MG", ) ,
    ("315890", "SANTANA DO MANHUAÇU", "MG", ) ,
    ("315895", "SANTANA DO PARAÍSO", "MG", ) ,
    ("315900", "SANTANA DO RIACHO", "MG", ) ,
    ("315910", "SANTANA DOS MONTES", "MG", ) ,
    ("315920", "SANTA RITA DE CALDAS", "MG", ) ,
    ("315930", "SANTA RITA DE JACUTINGA", "MG", ) ,
    ("315935", "SANTA RITA DE MINAS", "MG", ) ,
    ("315940", "SANTA RITA DE IBITIPOCA", "MG", ) ,
    ("315950", "SANTA RITA DO ITUETO", "MG", ) ,
    ("315960", "SANTA RITA DO SAPUCAÍ", "MG", ) ,
    ("315970", "SANTA ROSA DA SERRA", "MG", ) ,
    ("315980", "SANTA VITÓRIA", "MG", ) ,
    ("315990", "SANTO ANTÔNIO DO AMPARO", "MG", ) ,
    ("316000", "SANTO ANTÔNIO DO AVENTUREIRO", "MG", ) ,
    ("316010", "SANTO ANTÔNIO DO GRAMA", "MG", ) ,
    ("316020", "SANTO ANTÔNIO DO ITAMBÉ", "MG", ) ,
    ("316030", "SANTO ANTÔNIO DO JACINTO", "MG", ) ,
    ("316040", "SANTO ANTÔNIO DO MONTE", "MG", ) ,
    ("316045", "SANTO ANTÔNIO DO RETIRO", "MG", ) ,
    ("316050", "SANTO ANTÔNIO DO RIO ABAIXO", "MG", ) ,
    ("316060", "SANTO HIPÓLITO", "MG", ) ,
    ("316070", "SANTOS DUMONT", "MG", ) ,
    ("316080", "SÃO BENTO ABADE", "MG", ) ,
    ("316090", "SÃO BRÁS DO SUAÇUÍ", "MG", ) ,
    ("316095", "SÃO DOMINGOS DAS DORES", "MG", ) ,
    ("316100", "SÃO DOMINGOS DO PRATA", "MG", ) ,
    ("316105", "SÃO FÉLIX DE MINAS", "MG", ) ,
    ("316110", "SÃO FRANCISCO", "MG", ) ,
    ("316120", "SÃO FRANCISCO DE PAULA", "MG", ) ,
    ("316130", "SÃO FRANCISCO DE SALES", "MG", ) ,
    ("316140", "SÃO FRANCISCO DO GLÓRIA", "MG", ) ,
    ("316150", "SÃO GERALDO", "MG", ) ,
    ("316160", "SÃO GERALDO DA PIEDADE", "MG", ) ,
    ("316165", "SÃO GERALDO DO BAIXIO", "MG", ) ,
    ("316170", "SÃO GONÇALO DO ABAETÉ", "MG", ) ,
    ("316180", "SÃO GONÇALO DO PARÁ", "MG", ) ,
    ("316190", "SÃO GONÇALO DO RIO ABAIXO", "MG", ) ,
    ("316200", "SÃO GONÇALO DO SAPUCAÍ", "MG", ) ,
    ("316210", "SÃO GOTARDO", "MG", ) ,
    ("316220", "SÃO JOÃO BATISTA DO GLÓRIA", "MG", ) ,
    ("316225", "SÃO JOÃO DA LAGOA", "MG", ) ,
    ("316230", "SÃO JOÃO DA MATA", "MG", ) ,
    ("316240", "SÃO JOÃO DA PONTE", "MG", ) ,
    ("316245", "SÃO JOÃO DAS MISSÕES", "MG", ) ,
    ("316250", "SÃO JOÃO DEL REI", "MG", ) ,
    ("316255", "SÃO JOÃO DO MANHUAÇU", "MG", ) ,
    ("316257", "SÃO JOÃO DO MANTENINHA", "MG", ) ,
    ("316260", "SÃO JOÃO DO ORIENTE", "MG", ) ,
    ("316265", "SÃO JOÃO DO PACUÍ", "MG", ) ,
    ("316270", "SÃO JOÃO DO PARAÍSO", "MG", ) ,
    ("316280", "SÃO JOÃO EVANGELISTA", "MG", ) ,
    ("316290", "SÃO JOÃO NEPOMUCENO", "MG", ) ,
    ("316292", "SÃO JOAQUIM DE BICAS", "MG", ) ,
    ("316294", "SÃO JOSÉ DA BARRA", "MG", ) ,
    ("316295", "SÃO JOSÉ DA LAPA", "MG", ) ,
    ("316300", "SÃO JOSÉ DA SAFIRA", "MG", ) ,
    ("316310", "SÃO JOSÉ DA VARGINHA", "MG", ) ,
    ("316320", "SÃO JOSÉ DO ALEGRE", "MG", ) ,
    ("316330", "SÃO JOSÉ DO DIVINO", "MG", ) ,
    ("316340", "SÃO JOSÉ DO GOIABAL", "MG", ) ,
    ("316350", "SÃO JOSÉ DO JACURI", "MG", ) ,
    ("316360", "SÃO JOSÉ DO MANTIMENTO", "MG", ) ,
    ("316370", "SÃO LOURENÇO", "MG", ) ,
    ("316380", "SÃO MIGUEL DO ANTA", "MG", ) ,
    ("316390", "SÃO PEDRO DA UNIÃO", "MG", ) ,
    ("316400", "SÃO PEDRO DOS FERROS", "MG", ) ,
    ("316410", "SÃO PEDRO DO SUAÇUÍ", "MG", ) ,
    ("316420", "SÃO ROMÃO", "MG", ) ,
    ("316430", "SÃO ROQUE DE MINAS", "MG", ) ,
    ("316440", "SÃO SEBASTIÃO DA BELA VISTA", "MG", ) ,
    ("316443", "SÃO SEBASTIÃO DA VARGEM ALEGRE", "MG", ) ,
    ("316447", "SÃO SEBASTIÃO DO ANTA", "MG", ) ,
    ("316450", "SÃO SEBASTIÃO DO MARANHÃO", "MG", ) ,
    ("316460", "SÃO SEBASTIÃO DO OESTE", "MG", ) ,
    ("316470", "SÃO SEBASTIÃO DO PARAÍSO", "MG", ) ,
    ("316480", "SÃO SEBASTIÃO DO RIO PRETO", "MG", ) ,
    ("316490", "SÃO SEBASTIÃO DO RIO VERDE", "MG", ) ,
    ("316500", "SÃO TIAGO", "MG", ) ,
    ("316510", "SÃO TOMÁS DE AQUINO", "MG", ) ,
    ("316520", "SÃO THOMÉ DAS LETRAS", "MG", ) ,
    ("316530", "SÃO VICENTE DE MINAS", "MG", ) ,
    ("316540", "SAPUCAÍ-MIRIM", "MG", ) ,
    ("316550", "SARDOÁ", "MG", ) ,
    ("316553", "SARZEDO", "MG", ) ,
    ("316555", "SETUBINHA", "MG", ) ,
    ("316556", "SEM-PEIXE", "MG", ) ,
    ("316557", "SENADOR AMARAL", "MG", ) ,
    ("316560", "SENADOR CORTES", "MG", ) ,
    ("316570", "SENADOR FIRMINO", "MG", ) ,
    ("316580", "SENADOR JOSÉ BENTO", "MG", ) ,
    ("316590", "SENADOR MODESTINO GONÇALVES", "MG", ) ,
    ("316600", "SENHORA DE OLIVEIRA", "MG", ) ,
    ("316610", "SENHORA DO PORTO", "MG", ) ,
    ("316620", "SENHORA DOS REMÉDIOS", "MG", ) ,
    ("316630", "SERICITA", "MG", ) ,
    ("316640", "SERITINGA", "MG", ) ,
    ("316650", "SERRA AZUL DE MINAS", "MG", ) ,
    ("316660", "SERRA DA SAUDADE", "MG", ) ,
    ("316670", "SERRA DOS AIMORÉS", "MG", ) ,
    ("316680", "SERRA DO SALITRE", "MG", ) ,
    ("316690", "SERRANIA", "MG", ) ,
    ("316695", "SERRANÓPOLIS DE MINAS", "MG", ) ,
    ("316700", "SERRANOS", "MG", ) ,
    ("316710", "SERRO", "MG", ) ,
    ("316720", "SETE LAGOAS", "MG", ) ,
    ("316730", "SILVEIRÂNIA", "MG", ) ,
    ("316740", "SILVIANÓPOLIS", "MG", ) ,
    ("316750", "SIMÃO PEREIRA", "MG", ) ,
    ("316760", "SIMONÉSIA", "MG", ) ,
    ("316770", "SOBRÁLIA", "MG", ) ,
    ("316780", "SOLEDADE DE MINAS", "MG", ) ,
    ("316790", "TABULEIRO", "MG", ) ,
    ("316800", "TAIOBEIRAS", "MG", ) ,
    ("316805", "TAPARUBA", "MG", ) ,
    ("316810", "TAPIRA", "MG", ) ,
    ("316820", "TAPIRAÍ", "MG", ) ,
    ("316830", "TAQUARAÇU DE MINAS", "MG", ) ,
    ("316840", "TARUMIRIM", "MG", ) ,
    ("316850", "TEIXEIRAS", "MG", ) ,
    ("316860", "TEÓFILO OTONI", "MG", ) ,
    ("316870", "TIMÓTEO", "MG", ) ,
    ("316880", "TIRADENTES", "MG", ) ,
    ("316890", "TIROS", "MG", ) ,
    ("316900", "TOCANTINS", "MG", ) ,
    ("316905", "TOCOS DO MOJI", "MG", ) ,
    ("316910", "TOLEDO", "MG", ) ,
    ("316920", "TOMBOS", "MG", ) ,
    ("316930", "TRÊS CORAÇÕES", "MG", ) ,
    ("316935", "TRÊS MARIAS", "MG", ) ,
    ("316940", "TRÊS PONTAS", "MG", ) ,
    ("316950", "TUMIRITINGA", "MG", ) ,
    ("316960", "TUPACIGUARA", "MG", ) ,
    ("316970", "TURMALINA", "MG", ) ,
    ("316980", "TURVOLÂNDIA", "MG", ) ,
    ("316990", "UBÁ", "MG", ) ,
    ("317000", "UBAÍ", "MG", ) ,
    ("317005", "UBAPORANGA", "MG", ) ,
    ("317010", "UBERABA", "MG", ) ,
    ("317020", "UBERLÂNDIA", "MG", ) ,
    ("317030", "UMBURATIBA", "MG", ) ,
    ("317040", "UNAÍ", "MG", ) ,
    ("317043", "UNIÃO DE MINAS", "MG", ) ,
    ("317047", "URUANA DE MINAS", "MG", ) ,
    ("317050", "URUCÂNIA", "MG", ) ,
    ("317052", "URUCUIA", "MG", ) ,
    ("317057", "VARGEM ALEGRE", "MG", ) ,
    ("317060", "VARGEM BONITA", "MG", ) ,
    ("317065", "VARGEM GRANDE DO RIO PARDO", "MG", ) ,
    ("317070", "VARGINHA", "MG", ) ,
    ("317075", "VARJÃO DE MINAS", "MG", ) ,
    ("317080", "VÁRZEA DA PALMA", "MG", ) ,
    ("317090", "VARZELÂNDIA", "MG", ) ,
    ("317100", "VAZANTE", "MG", ) ,
    ("317103", "VERDELÂNDIA", "MG", ) ,
    ("317107", "VEREDINHA", "MG", ) ,
    ("317110", "VERÍSSIMO", "MG", ) ,
    ("317115", "VERMELHO NOVO", "MG", ) ,
    ("317120", "VESPASIANO", "MG", ) ,
    ("317130", "VIÇOSA", "MG", ) ,
    ("317140", "VIEIRAS", "MG", ) ,
    ("317150", "MATHIAS LOBATO", "MG", ) ,
    ("317160", "VIRGEM DA LAPA", "MG", ) ,
    ("317170", "VIRGÍNIA", "MG", ) ,
    ("317180", "VIRGINÓPOLIS", "MG", ) ,
    ("317190", "VIRGOLÂNDIA", "MG", ) ,
    ("317200", "VISCONDE DO RIO BRANCO", "MG", ) ,
    ("317210", "VOLTA GRANDE", "MG", ) ,
    ("317220", "WENCESLAU BRAZ", "MG", ) ,
    ("320010", "AFONSO CLÁUDIO", "ES", ) ,
    ("320013", "ÁGUIA BRANCA", "ES", ) ,
    ("320016", "ÁGUA DOCE DO NORTE", "ES", ) ,
    ("320020", "ALEGRE", "ES", ) ,
    ("320030", "ALFREDO CHAVES", "ES", ) ,
    ("320035", "ALTO RIO NOVO", "ES", ) ,
    ("320040", "ANCHIETA", "ES", ) ,
    ("320050", "APIACÁ", "ES", ) ,
    ("320060", "ARACRUZ", "ES", ) ,
    ("320070", "ATILIO VIVACQUA", "ES", ) ,
    ("320080", "BAIXO GUANDU", "ES", ) ,
    ("320090", "BARRA DE SÃO FRANCISCO", "ES", ) ,
    ("320100", "BOA ESPERANÇA", "ES", ) ,
    ("320110", "BOM JESUS DO NORTE", "ES", ) ,
    ("320115", "BREJETUBA", "ES", ) ,
    ("320120", "CACHOEIRO DE ITAPEMIRIM", "ES", ) ,
    ("320130", "CARIACICA", "ES", ) ,
    ("320140", "CASTELO", "ES", ) ,
    ("320150", "COLATINA", "ES", ) ,
    ("320160", "CONCEIÇÃO DA BARRA", "ES", ) ,
    ("320170", "CONCEIÇÃO DO CASTELO", "ES", ) ,
    ("320180", "DIVINO DE SÃO LOURENÇO", "ES", ) ,
    ("320190", "DOMINGOS MARTINS", "ES", ) ,
    ("320200", "DORES DO RIO PRETO", "ES", ) ,
    ("320210", "ECOPORANGA", "ES", ) ,
    ("320220", "FUNDÃO", "ES", ) ,
    ("320225", "GOVERNADOR LINDENBERG", "ES", ) ,
    ("320230", "GUAÇUÍ", "ES", ) ,
    ("320240", "GUARAPARI", "ES", ) ,
    ("320245", "IBATIBA", "ES", ) ,
    ("320250", "IBIRAÇU", "ES", ) ,
    ("320255", "IBITIRAMA", "ES", ) ,
    ("320260", "ICONHA", "ES", ) ,
    ("320265", "IRUPI", "ES", ) ,
    ("320270", "ITAGUAÇU", "ES", ) ,
    ("320280", "ITAPEMIRIM", "ES", ) ,
    ("320290", "ITARANA", "ES", ) ,
    ("320300", "IÚNA", "ES", ) ,
    ("320305", "JAGUARÉ", "ES", ) ,
    ("320310", "JERÔNIMO MONTEIRO", "ES", ) ,
    ("320313", "JOÃO NEIVA", "ES", ) ,
    ("320316", "LARANJA DA TERRA", "ES", ) ,
    ("320320", "LINHARES", "ES", ) ,
    ("320330", "MANTENÓPOLIS", "ES", ) ,
    ("320332", "MARATAÍZES", "ES", ) ,
    ("320334", "MARECHAL FLORIANO", "ES", ) ,
    ("320335", "MARILÂNDIA", "ES", ) ,
    ("320340", "MIMOSO DO SUL", "ES", ) ,
    ("320350", "MONTANHA", "ES", ) ,
    ("320360", "MUCURICI", "ES", ) ,
    ("320370", "MUNIZ FREIRE", "ES", ) ,
    ("320380", "MUQUI", "ES", ) ,
    ("320390", "NOVA VENÉCIA", "ES", ) ,
    ("320400", "PANCAS", "ES", ) ,
    ("320405", "PEDRO CANÁRIO", "ES", ) ,
    ("320410", "PINHEIROS", "ES", ) ,
    ("320420", "PIÚMA", "ES", ) ,
    ("320425", "PONTO BELO", "ES", ) ,
    ("320430", "PRESIDENTE KENNEDY", "ES", ) ,
    ("320435", "RIO BANANAL", "ES", ) ,
    ("320440", "RIO NOVO DO SUL", "ES", ) ,
    ("320450", "SANTA LEOPOLDINA", "ES", ) ,
    ("320455", "SANTA MARIA DE JETIBÁ", "ES", ) ,
    ("320460", "SANTA TERESA", "ES", ) ,
    ("320465", "SÃO DOMINGOS DO NORTE", "ES", ) ,
    ("320470", "SÃO GABRIEL DA PALHA", "ES", ) ,
    ("320480", "SÃO JOSÉ DO CALÇADO", "ES", ) ,
    ("320490", "SÃO MATEUS", "ES", ) ,
    ("320495", "SÃO ROQUE DO CANAÃ", "ES", ) ,
    ("320500", "SERRA", "ES", ) ,
    ("320501", "SOORETAMA", "ES", ) ,
    ("320503", "VARGEM ALTA", "ES", ) ,
    ("320506", "VENDA NOVA DO IMIGRANTE", "ES", ) ,
    ("320510", "VIANA", "ES", ) ,
    ("320515", "VILA PAVÃO", "ES", ) ,
    ("320517", "VILA VALÉRIO", "ES", ) ,
    ("320520", "VILA VELHA", "ES", ) ,
    ("320530", "VITÓRIA", "ES", ) ,
    ("330010", "ANGRA DOS REIS", "RJ", ) ,
    ("330015", "APERIBÉ", "RJ", ) ,
    ("330020", "ARARUAMA", "RJ", ) ,
    ("330022", "AREAL", "RJ", ) ,
    ("330023", "ARMAÇÃO DOS BÚZIOS", "RJ", ) ,
    ("330025", "ARRAIAL DO CABO", "RJ", ) ,
    ("330030", "BARRA DO PIRAÍ", "RJ", ) ,
    ("330040", "BARRA MANSA", "RJ", ) ,
    ("330045", "BELFORD ROXO", "RJ", ) ,
    ("330050", "BOM JARDIM", "RJ", ) ,
    ("330060", "BOM JESUS DO ITABAPOANA", "RJ", ) ,
    ("330070", "CABO FRIO", "RJ", ) ,
    ("330080", "CACHOEIRAS DE MACACU", "RJ", ) ,
    ("330090", "CAMBUCI", "RJ", ) ,
    ("330093", "CARAPEBUS", "RJ", ) ,
    ("330095", "COMENDADOR LEVY GASPARIAN", "RJ", ) ,
    ("330100", "CAMPOS DOS GOYTACAZES", "RJ", ) ,
    ("330110", "CANTAGALO", "RJ", ) ,
    ("330115", "CARDOSO MOREIRA", "RJ", ) ,
    ("330120", "CARMO", "RJ", ) ,
    ("330130", "CASIMIRO DE ABREU", "RJ", ) ,
    ("330140", "CONCEIÇÃO DE MACABU", "RJ", ) ,
    ("330150", "CORDEIRO", "RJ", ) ,
    ("330160", "DUAS BARRAS", "RJ", ) ,
    ("330170", "DUQUE DE CAXIAS", "RJ", ) ,
    ("330180", "ENGENHEIRO PAULO DE FRONTIN", "RJ", ) ,
    ("330185", "GUAPIMIRIM", "RJ", ) ,
    ("330187", "IGUABA GRANDE", "RJ", ) ,
    ("330190", "ITABORAÍ", "RJ", ) ,
    ("330200", "ITAGUAÍ", "RJ", ) ,
    ("330205", "ITALVA", "RJ", ) ,
    ("330210", "ITAOCARA", "RJ", ) ,
    ("330220", "ITAPERUNA", "RJ", ) ,
    ("330225", "ITATIAIA", "RJ", ) ,
    ("330227", "JAPERI", "RJ", ) ,
    ("330230", "LAJE DO MURIAÉ", "RJ", ) ,
    ("330240", "MACAÉ", "RJ", ) ,
    ("330245", "MACUCO", "RJ", ) ,
    ("330250", "MAGÉ", "RJ", ) ,
    ("330260", "MANGARATIBA", "RJ", ) ,
    ("330270", "MARICÁ", "RJ", ) ,
    ("330280", "MENDES", "RJ", ) ,
    ("330285", "MESQUITA", "RJ", ) ,
    ("330290", "MIGUEL PEREIRA", "RJ", ) ,
    ("330300", "MIRACEMA", "RJ", ) ,
    ("330310", "NATIVIDADE", "RJ", ) ,
    ("330320", "NILÓPOLIS", "RJ", ) ,
    ("330330", "NITERÓI", "RJ", ) ,
    ("330340", "NOVA FRIBURGO", "RJ", ) ,
    ("330350", "NOVA IGUAÇU", "RJ", ) ,
    ("330360", "PARACAMBI", "RJ", ) ,
    ("330370", "PARAÍBA DO SUL", "RJ", ) ,
    ("330380", "PARATY", "RJ", ) ,
    ("330385", "PATY DO ALFERES", "RJ", ) ,
    ("330390", "PETRÓPOLIS", "RJ", ) ,
    ("330395", "PINHEIRAL", "RJ", ) ,
    ("330400", "PIRAÍ", "RJ", ) ,
    ("330410", "PORCIÚNCULA", "RJ", ) ,
    ("330411", "PORTO REAL", "RJ", ) ,
    ("330412", "QUATIS", "RJ", ) ,
    ("330414", "QUEIMADOS", "RJ", ) ,
    ("330415", "QUISSAMÃ", "RJ", ) ,
    ("330420", "RESENDE", "RJ", ) ,
    ("330430", "RIO BONITO", "RJ", ) ,
    ("330440", "RIO CLARO", "RJ", ) ,
    ("330450", "RIO DAS FLORES", "RJ", ) ,
    ("330452", "RIO DAS OSTRAS", "RJ", ) ,
    ("330455", "RIO DE JANEIRO", "RJ", ) ,
    ("330460", "SANTA MARIA MADALENA", "RJ", ) ,
    ("330470", "SANTO ANTÔNIO DE PÁDUA", "RJ", ) ,
    ("330475", "SÃO FRANCISCO DE ITABAPOANA", "RJ", ) ,
    ("330480", "SÃO FIDÉLIS", "RJ", ) ,
    ("330490", "SÃO GONÇALO", "RJ", ) ,
    ("330500", "SÃO JOÃO DA BARRA", "RJ", ) ,
    ("330510", "SÃO JOÃO DE MERITI", "RJ", ) ,
    ("330513", "SÃO JOSÉ DE UBÁ", "RJ", ) ,
    ("330515", "SÃO JOSÉ DO VALE DO RIO PRETO", "RJ", ) ,
    ("330520", "SÃO PEDRO DA ALDEIA", "RJ", ) ,
    ("330530", "SÃO SEBASTIÃO DO ALTO", "RJ", ) ,
    ("330540", "SAPUCAIA", "RJ", ) ,
    ("330550", "SAQUAREMA", "RJ", ) ,
    ("330555", "SEROPÉDICA", "RJ", ) ,
    ("330560", "SILVA JARDIM", "RJ", ) ,
    ("330570", "SUMIDOURO", "RJ", ) ,
    ("330575", "TANGUÁ", "RJ", ) ,
    ("330580", "TERESÓPOLIS", "RJ", ) ,
    ("330590", "TRAJANO DE MORAES", "RJ", ) ,
    ("330600", "TRÊS RIOS", "RJ", ) ,
    ("330610", "VALENÇA", "RJ", ) ,
    ("330615", "VARRE-SAI", "RJ", ) ,
    ("330620", "VASSOURAS", "RJ", ) ,
    ("330630", "VOLTA REDONDA", "RJ", ) ,
    ("350010", "ADAMANTINA", "SP", ) ,
    ("350020", "ADOLFO", "SP", ) ,
    ("350030", "AGUAÍ", "SP", ) ,
    ("350040", "ÁGUAS DA PRATA", "SP", ) ,
    ("350050", "ÁGUAS DE LINDÓIA", "SP", ) ,
    ("350055", "ÁGUAS DE SANTA BÁRBARA", "SP", ) ,
    ("350060", "ÁGUAS DE SÃO PEDRO", "SP", ) ,
    ("350070", "AGUDOS", "SP", ) ,
    ("350075", "ALAMBARI", "SP", ) ,
    ("350080", "ALFREDO MARCONDES", "SP", ) ,
    ("350090", "ALTAIR", "SP", ) ,
    ("350100", "ALTINÓPOLIS", "SP", ) ,
    ("350110", "ALTO ALEGRE", "SP", ) ,
    ("350115", "ALUMÍNIO", "SP", ) ,
    ("350120", "ÁLVARES FLORENCE", "SP", ) ,
    ("350130", "ÁLVARES MACHADO", "SP", ) ,
    ("350140", "ÁLVARO DE CARVALHO", "SP", ) ,
    ("350150", "ALVINLÂNDIA", "SP", ) ,
    ("350160", "AMERICANA", "SP", ) ,
    ("350170", "AMÉRICO BRASILIENSE", "SP", ) ,
    ("350180", "AMÉRICO DE CAMPOS", "SP", ) ,
    ("350190", "AMPARO", "SP", ) ,
    ("350200", "ANALÂNDIA", "SP", ) ,
    ("350210", "ANDRADINA", "SP", ) ,
    ("350220", "ANGATUBA", "SP", ) ,
    ("350230", "ANHEMBI", "SP", ) ,
    ("350240", "ANHUMAS", "SP", ) ,
    ("350250", "APARECIDA", "SP", ) ,
    ("350260", "APARECIDA D'OESTE", "SP", ) ,
    ("350270", "APIAÍ", "SP", ) ,
    ("350275", "ARAÇARIGUAMA", "SP", ) ,
    ("350280", "ARAÇATUBA", "SP", ) ,
    ("350290", "ARAÇOIABA DA SERRA", "SP", ) ,
    ("350300", "ARAMINA", "SP", ) ,
    ("350310", "ARANDU", "SP", ) ,
    ("350315", "ARAPEÍ", "SP", ) ,
    ("350320", "ARARAQUARA", "SP", ) ,
    ("350330", "ARARAS", "SP", ) ,
    ("350335", "ARCO-ÍRIS", "SP", ) ,
    ("350340", "AREALVA", "SP", ) ,
    ("350350", "AREIAS", "SP", ) ,
    ("350360", "AREIÓPOLIS", "SP", ) ,
    ("350370", "ARIRANHA", "SP", ) ,
    ("350380", "ARTUR NOGUEIRA", "SP", ) ,
    ("350390", "ARUJÁ", "SP", ) ,
    ("350395", "ASPÁSIA", "SP", ) ,
    ("350400", "ASSIS", "SP", ) ,
    ("350410", "ATIBAIA", "SP", ) ,
    ("350420", "AURIFLAMA", "SP", ) ,
    ("350430", "AVAÍ", "SP", ) ,
    ("350440", "AVANHANDAVA", "SP", ) ,
    ("350450", "AVARÉ", "SP", ) ,
    ("350460", "BADY BASSITT", "SP", ) ,
    ("350470", "BALBINOS", "SP", ) ,
    ("350480", "BÁLSAMO", "SP", ) ,
    ("350490", "BANANAL", "SP", ) ,
    ("350500", "BARÃO DE ANTONINA", "SP", ) ,
    ("350510", "BARBOSA", "SP", ) ,
    ("350520", "BARIRI", "SP", ) ,
    ("350530", "BARRA BONITA", "SP", ) ,
    ("350535", "BARRA DO CHAPÉU", "SP", ) ,
    ("350540", "BARRA DO TURVO", "SP", ) ,
    ("350550", "BARRETOS", "SP", ) ,
    ("350560", "BARRINHA", "SP", ) ,
    ("350570", "BARUERI", "SP", ) ,
    ("350580", "BASTOS", "SP", ) ,
    ("350590", "BATATAIS", "SP", ) ,
    ("350600", "BAURU", "SP", ) ,
    ("350610", "BEBEDOURO", "SP", ) ,
    ("350620", "BENTO DE ABREU", "SP", ) ,
    ("350630", "BERNARDINO DE CAMPOS", "SP", ) ,
    ("350635", "BERTIOGA", "SP", ) ,
    ("350640", "BILAC", "SP", ) ,
    ("350650", "BIRIGUI", "SP", ) ,
    ("350660", "BIRITIBA-MIRIM", "SP", ) ,
    ("350670", "BOA ESPERANÇA DO SUL", "SP", ) ,
    ("350680", "BOCAINA", "SP", ) ,
    ("350690", "BOFETE", "SP", ) ,
    ("350700", "BOITUVA", "SP", ) ,
    ("350710", "BOM JESUS DOS PERDÕES", "SP", ) ,
    ("350715", "BOM SUCESSO DE ITARARÉ", "SP", ) ,
    ("350720", "BORÁ", "SP", ) ,
    ("350730", "BORACÉIA", "SP", ) ,
    ("350740", "BORBOREMA", "SP", ) ,
    ("350745", "BOREBI", "SP", ) ,
    ("350750", "BOTUCATU", "SP", ) ,
    ("350760", "BRAGANÇA PAULISTA", "SP", ) ,
    ("350770", "BRAÚNA", "SP", ) ,
    ("350775", "BREJO ALEGRE", "SP", ) ,
    ("350780", "BRODOWSKI", "SP", ) ,
    ("350790", "BROTAS", "SP", ) ,
    ("350800", "BURI", "SP", ) ,
    ("350810", "BURITAMA", "SP", ) ,
    ("350820", "BURITIZAL", "SP", ) ,
    ("350830", "CABRÁLIA PAULISTA", "SP", ) ,
    ("350840", "CABREÚVA", "SP", ) ,
    ("350850", "CAÇAPAVA", "SP", ) ,
    ("350860", "CACHOEIRA PAULISTA", "SP", ) ,
    ("350870", "CACONDE", "SP", ) ,
    ("350880", "CAFELÂNDIA", "SP", ) ,
    ("350890", "CAIABU", "SP", ) ,
    ("350900", "CAIEIRAS", "SP", ) ,
    ("350910", "CAIUÁ", "SP", ) ,
    ("350920", "CAJAMAR", "SP", ) ,
    ("350925", "CAJATI", "SP", ) ,
    ("350930", "CAJOBI", "SP", ) ,
    ("350940", "CAJURU", "SP", ) ,
    ("350945", "CAMPINA DO MONTE ALEGRE", "SP", ) ,
    ("350950", "CAMPINAS", "SP", ) ,
    ("350960", "CAMPO LIMPO PAULISTA", "SP", ) ,
    ("350970", "CAMPOS DO JORDÃO", "SP", ) ,
    ("350980", "CAMPOS NOVOS PAULISTA", "SP", ) ,
    ("350990", "CANANÉIA", "SP", ) ,
    ("350995", "CANAS", "SP", ) ,
    ("351000", "CÂNDIDO MOTA", "SP", ) ,
    ("351010", "CÂNDIDO RODRIGUES", "SP", ) ,
    ("351015", "CANITAR", "SP", ) ,
    ("351020", "CAPÃO BONITO", "SP", ) ,
    ("351030", "CAPELA DO ALTO", "SP", ) ,
    ("351040", "CAPIVARI", "SP", ) ,
    ("351050", "CARAGUATATUBA", "SP", ) ,
    ("351060", "CARAPICUÍBA", "SP", ) ,
    ("351070", "CARDOSO", "SP", ) ,
    ("351080", "CASA BRANCA", "SP", ) ,
    ("351090", "CÁSSIA DOS COQUEIROS", "SP", ) ,
    ("351100", "CASTILHO", "SP", ) ,
    ("351110", "CATANDUVA", "SP", ) ,
    ("351120", "CATIGUÁ", "SP", ) ,
    ("351130", "CEDRAL", "SP", ) ,
    ("351140", "CERQUEIRA CÉSAR", "SP", ) ,
    ("351150", "CERQUILHO", "SP", ) ,
    ("351160", "CESÁRIO LANGE", "SP", ) ,
    ("351170", "CHARQUEADA", "SP", ) ,
    ("351190", "CLEMENTINA", "SP", ) ,
    ("351200", "COLINA", "SP", ) ,
    ("351210", "COLÔMBIA", "SP", ) ,
    ("351220", "CONCHAL", "SP", ) ,
    ("351230", "CONCHAS", "SP", ) ,
    ("351240", "CORDEIRÓPOLIS", "SP", ) ,
    ("351250", "COROADOS", "SP", ) ,
    ("351260", "CORONEL MACEDO", "SP", ) ,
    ("351270", "CORUMBATAÍ", "SP", ) ,
    ("351280", "COSMÓPOLIS", "SP", ) ,
    ("351290", "COSMORAMA", "SP", ) ,
    ("351300", "COTIA", "SP", ) ,
    ("351310", "CRAVINHOS", "SP", ) ,
    ("351320", "CRISTAIS PAULISTA", "SP", ) ,
    ("351330", "CRUZÁLIA", "SP", ) ,
    ("351340", "CRUZEIRO", "SP", ) ,
    ("351350", "CUBATÃO", "SP", ) ,
    ("351360", "CUNHA", "SP", ) ,
    ("351370", "DESCALVADO", "SP", ) ,
    ("351380", "DIADEMA", "SP", ) ,
    ("351385", "DIRCE REIS", "SP", ) ,
    ("351390", "DIVINOLÂNDIA", "SP", ) ,
    ("351400", "DOBRADA", "SP", ) ,
    ("351410", "DOIS CÓRREGOS", "SP", ) ,
    ("351420", "DOLCINÓPOLIS", "SP", ) ,
    ("351430", "DOURADO", "SP", ) ,
    ("351440", "DRACENA", "SP", ) ,
    ("351450", "DUARTINA", "SP", ) ,
    ("351460", "DUMONT", "SP", ) ,
    ("351470", "ECHAPORÃ", "SP", ) ,
    ("351480", "ELDORADO", "SP", ) ,
    ("351490", "ELIAS FAUSTO", "SP", ) ,
    ("351492", "ELISIÁRIO", "SP", ) ,
    ("351495", "EMBAÚBA", "SP", ) ,
    ("351500", "EMBU", "SP", ) ,
    ("351510", "EMBU-GUAÇU", "SP", ) ,
    ("351512", "EMILIANÓPOLIS", "SP", ) ,
    ("351515", "ENGENHEIRO COELHO", "SP", ) ,
    ("351518", "ESPÍRITO SANTO DO PINHAL", "SP", ) ,
    ("351519", "ESPÍRITO SANTO DO TURVO", "SP", ) ,
    ("351520", "ESTRELA D'OESTE", "SP", ) ,
    ("351530", "ESTRELA DO NORTE", "SP", ) ,
    ("351535", "EUCLIDES DA CUNHA PAULISTA", "SP", ) ,
    ("351540", "FARTURA", "SP", ) ,
    ("351550", "FERNANDÓPOLIS", "SP", ) ,
    ("351560", "FERNANDO PRESTES", "SP", ) ,
    ("351565", "FERNÃO", "SP", ) ,
    ("351570", "FERRAZ DE VASCONCELOS", "SP", ) ,
    ("351580", "FLORA RICA", "SP", ) ,
    ("351590", "FLOREAL", "SP", ) ,
    ("351600", "FLÓRIDA PAULISTA", "SP", ) ,
    ("351610", "FLORÍNIA", "SP", ) ,
    ("351620", "FRANCA", "SP", ) ,
    ("351630", "FRANCISCO MORATO", "SP", ) ,
    ("351640", "FRANCO DA ROCHA", "SP", ) ,
    ("351650", "GABRIEL MONTEIRO", "SP", ) ,
    ("351660", "GÁLIA", "SP", ) ,
    ("351670", "GARÇA", "SP", ) ,
    ("351680", "GASTÃO VIDIGAL", "SP", ) ,
    ("351685", "GAVIÃO PEIXOTO", "SP", ) ,
    ("351690", "GENERAL SALGADO", "SP", ) ,
    ("351700", "GETULINA", "SP", ) ,
    ("351710", "GLICÉRIO", "SP", ) ,
    ("351720", "GUAIÇARA", "SP", ) ,
    ("351730", "GUAIMBÊ", "SP", ) ,
    ("351740", "GUAÍRA", "SP", ) ,
    ("351750", "GUAPIAÇU", "SP", ) ,
    ("351760", "GUAPIARA", "SP", ) ,
    ("351770", "GUARÁ", "SP", ) ,
    ("351780", "GUARAÇAÍ", "SP", ) ,
    ("351790", "GUARACI", "SP", ) ,
    ("351800", "GUARANI D'OESTE", "SP", ) ,
    ("351810", "GUARANTÃ", "SP", ) ,
    ("351820", "GUARARAPES", "SP", ) ,
    ("351830", "GUARAREMA", "SP", ) ,
    ("351840", "GUARATINGUETÁ", "SP", ) ,
    ("351850", "GUAREÍ", "SP", ) ,
    ("351860", "GUARIBA", "SP", ) ,
    ("351870", "GUARUJÁ", "SP", ) ,
    ("351880", "GUARULHOS", "SP", ) ,
    ("351885", "GUATAPARÁ", "SP", ) ,
    ("351890", "GUZOLÂNDIA", "SP", ) ,
    ("351900", "HERCULÂNDIA", "SP", ) ,
    ("351905", "HOLAMBRA", "SP", ) ,
    ("351907", "HORTOLÂNDIA", "SP", ) ,
    ("351910", "IACANGA", "SP", ) ,
    ("351920", "IACRI", "SP", ) ,
    ("351925", "IARAS", "SP", ) ,
    ("351930", "IBATÉ", "SP", ) ,
    ("351940", "IBIRÁ", "SP", ) ,
    ("351950", "IBIRAREMA", "SP", ) ,
    ("351960", "IBITINGA", "SP", ) ,
    ("351970", "IBIÚNA", "SP", ) ,
    ("351980", "ICÉM", "SP", ) ,
    ("351990", "IEPÊ", "SP", ) ,
    ("352000", "IGARAÇU DO TIETÊ", "SP", ) ,
    ("352010", "IGARAPAVA", "SP", ) ,
    ("352020", "IGARATÁ", "SP", ) ,
    ("352030", "IGUAPE", "SP", ) ,
    ("352040", "ILHABELA", "SP", ) ,
    ("352042", "ILHA COMPRIDA", "SP", ) ,
    ("352044", "ILHA SOLTEIRA", "SP", ) ,
    ("352050", "INDAIATUBA", "SP", ) ,
    ("352060", "INDIANA", "SP", ) ,
    ("352070", "INDIAPORÃ", "SP", ) ,
    ("352080", "INÚBIA PAULISTA", "SP", ) ,
    ("352090", "IPAUSSU", "SP", ) ,
    ("352100", "IPERÓ", "SP", ) ,
    ("352110", "IPEÚNA", "SP", ) ,
    ("352115", "IPIGUÁ", "SP", ) ,
    ("352120", "IPORANGA", "SP", ) ,
    ("352130", "IPUÃ", "SP", ) ,
    ("352140", "IRACEMÁPOLIS", "SP", ) ,
    ("352150", "IRAPUÃ", "SP", ) ,
    ("352160", "IRAPURU", "SP", ) ,
    ("352170", "ITABERÁ", "SP", ) ,
    ("352180", "ITAÍ", "SP", ) ,
    ("352190", "ITAJOBI", "SP", ) ,
    ("352200", "ITAJU", "SP", ) ,
    ("352210", "ITANHAÉM", "SP", ) ,
    ("352215", "ITAÓCA", "SP", ) ,
    ("352220", "ITAPECERICA DA SERRA", "SP", ) ,
    ("352230", "ITAPETININGA", "SP", ) ,
    ("352240", "ITAPEVA", "SP", ) ,
    ("352250", "ITAPEVI", "SP", ) ,
    ("352260", "ITAPIRA", "SP", ) ,
    ("352265", "ITAPIRAPUÃ PAULISTA", "SP", ) ,
    ("352270", "ITÁPOLIS", "SP", ) ,
    ("352280", "ITAPORANGA", "SP", ) ,
    ("352290", "ITAPUÍ", "SP", ) ,
    ("352300", "ITAPURA", "SP", ) ,
    ("352310", "ITAQUAQUECETUBA", "SP", ) ,
    ("352320", "ITARARÉ", "SP", ) ,
    ("352330", "ITARIRI", "SP", ) ,
    ("352340", "ITATIBA", "SP", ) ,
    ("352350", "ITATINGA", "SP", ) ,
    ("352360", "ITIRAPINA", "SP", ) ,
    ("352370", "ITIRAPUÃ", "SP", ) ,
    ("352380", "ITOBI", "SP", ) ,
    ("352390", "ITU", "SP", ) ,
    ("352400", "ITUPEVA", "SP", ) ,
    ("352410", "ITUVERAVA", "SP", ) ,
    ("352420", "JABORANDI", "SP", ) ,
    ("352430", "JABOTICABAL", "SP", ) ,
    ("352440", "JACAREÍ", "SP", ) ,
    ("352450", "JACI", "SP", ) ,
    ("352460", "JACUPIRANGA", "SP", ) ,
    ("352470", "JAGUARIÚNA", "SP", ) ,
    ("352480", "JALES", "SP", ) ,
    ("352490", "JAMBEIRO", "SP", ) ,
    ("352500", "JANDIRA", "SP", ) ,
    ("352510", "JARDINÓPOLIS", "SP", ) ,
    ("352520", "JARINU", "SP", ) ,
    ("352530", "JAÚ", "SP", ) ,
    ("352540", "JERIQUARA", "SP", ) ,
    ("352550", "JOANÓPOLIS", "SP", ) ,
    ("352560", "JOÃO RAMALHO", "SP", ) ,
    ("352570", "JOSÉ BONIFÁCIO", "SP", ) ,
    ("352580", "JÚLIO MESQUITA", "SP", ) ,
    ("352585", "JUMIRIM", "SP", ) ,
    ("352590", "JUNDIAÍ", "SP", ) ,
    ("352600", "JUNQUEIRÓPOLIS", "SP", ) ,
    ("352610", "JUQUIÁ", "SP", ) ,
    ("352620", "JUQUITIBA", "SP", ) ,
    ("352630", "LAGOINHA", "SP", ) ,
    ("352640", "LARANJAL PAULISTA", "SP", ) ,
    ("352650", "LAVÍNIA", "SP", ) ,
    ("352660", "LAVRINHAS", "SP", ) ,
    ("352670", "LEME", "SP", ) ,
    ("352680", "LENÇÓIS PAULISTA", "SP", ) ,
    ("352690", "LIMEIRA", "SP", ) ,
    ("352700", "LINDÓIA", "SP", ) ,
    ("352710", "LINS", "SP", ) ,
    ("352720", "LORENA", "SP", ) ,
    ("352725", "LOURDES", "SP", ) ,
    ("352730", "LOUVEIRA", "SP", ) ,
    ("352740", "LUCÉLIA", "SP", ) ,
    ("352750", "LUCIANÓPOLIS", "SP", ) ,
    ("352760", "LUÍS ANTÔNIO", "SP", ) ,
    ("352770", "LUIZIÂNIA", "SP", ) ,
    ("352780", "LUPÉRCIO", "SP", ) ,
    ("352790", "LUTÉCIA", "SP", ) ,
    ("352800", "MACATUBA", "SP", ) ,
    ("352810", "MACAUBAL", "SP", ) ,
    ("352820", "MACEDÔNIA", "SP", ) ,
    ("352830", "MAGDA", "SP", ) ,
    ("352840", "MAIRINQUE", "SP", ) ,
    ("352850", "MAIRIPORÃ", "SP", ) ,
    ("352860", "MANDURI", "SP", ) ,
    ("352870", "MARABÁ PAULISTA", "SP", ) ,
    ("352880", "MARACAÍ", "SP", ) ,
    ("352885", "MARAPOAMA", "SP", ) ,
    ("352890", "MARIÁPOLIS", "SP", ) ,
    ("352900", "MARÍLIA", "SP", ) ,
    ("352910", "MARINÓPOLIS", "SP", ) ,
    ("352920", "MARTINÓPOLIS", "SP", ) ,
    ("352930", "MATÃO", "SP", ) ,
    ("352940", "MAUÁ", "SP", ) ,
    ("352950", "MENDONÇA", "SP", ) ,
    ("352960", "MERIDIANO", "SP", ) ,
    ("352965", "MESÓPOLIS", "SP", ) ,
    ("352970", "MIGUELÓPOLIS", "SP", ) ,
    ("352980", "MINEIROS DO TIETÊ", "SP", ) ,
    ("352990", "MIRACATU", "SP", ) ,
    ("353000", "MIRA ESTRELA", "SP", ) ,
    ("353010", "MIRANDÓPOLIS", "SP", ) ,
    ("353020", "MIRANTE DO PARANAPANEMA", "SP", ) ,
    ("353030", "MIRASSOL", "SP", ) ,
    ("353040", "MIRASSOLÂNDIA", "SP", ) ,
    ("353050", "MOCOCA", "SP", ) ,
    ("353060", "MOGI DAS CRUZES", "SP", ) ,
    ("353070", "MOGI GUAÇU", "SP", ) ,
    ("353080", "MOJI MIRIM", "SP", ) ,
    ("353090", "MOMBUCA", "SP", ) ,
    ("353100", "MONÇÕES", "SP", ) ,
    ("353110", "MONGAGUÁ", "SP", ) ,
    ("353120", "MONTE ALEGRE DO SUL", "SP", ) ,
    ("353130", "MONTE ALTO", "SP", ) ,
    ("353140", "MONTE APRAZÍVEL", "SP", ) ,
    ("353150", "MONTE AZUL PAULISTA", "SP", ) ,
    ("353160", "MONTE CASTELO", "SP", ) ,
    ("353170", "MONTEIRO LOBATO", "SP", ) ,
    ("353180", "MONTE MOR", "SP", ) ,
    ("353190", "MORRO AGUDO", "SP", ) ,
    ("353200", "MORUNGABA", "SP", ) ,
    ("353205", "MOTUCA", "SP", ) ,
    ("353210", "MURUTINGA DO SUL", "SP", ) ,
    ("353215", "NANTES", "SP", ) ,
    ("353220", "NARANDIBA", "SP", ) ,
    ("353230", "NATIVIDADE DA SERRA", "SP", ) ,
    ("353240", "NAZARÉ PAULISTA", "SP", ) ,
    ("353250", "NEVES PAULISTA", "SP", ) ,
    ("353260", "NHANDEARA", "SP", ) ,
    ("353270", "NIPOÃ", "SP", ) ,
    ("353280", "NOVA ALIANÇA", "SP", ) ,
    ("353282", "NOVA CAMPINA", "SP", ) ,
    ("353284", "NOVA CANAÃ PAULISTA", "SP", ) ,
    ("353286", "NOVA CASTILHO", "SP", ) ,
    ("353290", "NOVA EUROPA", "SP", ) ,
    ("353300", "NOVA GRANADA", "SP", ) ,
    ("353310", "NOVA GUATAPORANGA", "SP", ) ,
    ("353320", "NOVA INDEPENDÊNCIA", "SP", ) ,
    ("353325", "NOVAIS", "SP", ) ,
    ("353330", "NOVA LUZITÂNIA", "SP", ) ,
    ("353340", "NOVA ODESSA", "SP", ) ,
    ("353350", "NOVO HORIZONTE", "SP", ) ,
    ("353360", "NUPORANGA", "SP", ) ,
    ("353370", "OCAUÇU", "SP", ) ,
    ("353380", "ÓLEO", "SP", ) ,
    ("353390", "OLÍMPIA", "SP", ) ,
    ("353400", "ONDA VERDE", "SP", ) ,
    ("353410", "ORIENTE", "SP", ) ,
    ("353420", "ORINDIÚVA", "SP", ) ,
    ("353430", "ORLÂNDIA", "SP", ) ,
    ("353440", "OSASCO", "SP", ) ,
    ("353450", "OSCAR BRESSANE", "SP", ) ,
    ("353460", "OSVALDO CRUZ", "SP", ) ,
    ("353470", "OURINHOS", "SP", ) ,
    ("353475", "OUROESTE", "SP", ) ,
    ("353480", "OURO VERDE", "SP", ) ,
    ("353490", "PACAEMBU", "SP", ) ,
    ("353500", "PALESTINA", "SP", ) ,
    ("353510", "PALMARES PAULISTA", "SP", ) ,
    ("353520", "PALMEIRA D'OESTE", "SP", ) ,
    ("353530", "PALMITAL", "SP", ) ,
    ("353540", "PANORAMA", "SP", ) ,
    ("353550", "PARAGUAÇU PAULISTA", "SP", ) ,
    ("353560", "PARAIBUNA", "SP", ) ,
    ("353570", "PARAÍSO", "SP", ) ,
    ("353580", "PARANAPANEMA", "SP", ) ,
    ("353590", "PARANAPUÃ", "SP", ) ,
    ("353600", "PARAPUÃ", "SP", ) ,
    ("353610", "PARDINHO", "SP", ) ,
    ("353620", "PARIQUERA-AÇU", "SP", ) ,
    ("353625", "PARISI", "SP", ) ,
    ("353630", "PATROCÍNIO PAULISTA", "SP", ) ,
    ("353640", "PAULICÉIA", "SP", ) ,
    ("353650", "PAULÍNIA", "SP", ) ,
    ("353657", "PAULISTÂNIA", "SP", ) ,
    ("353660", "PAULO DE FARIA", "SP", ) ,
    ("353670", "PEDERNEIRAS", "SP", ) ,
    ("353680", "PEDRA BELA", "SP", ) ,
    ("353690", "PEDRANÓPOLIS", "SP", ) ,
    ("353700", "PEDREGULHO", "SP", ) ,
    ("353710", "PEDREIRA", "SP", ) ,
    ("353715", "PEDRINHAS PAULISTA", "SP", ) ,
    ("353720", "PEDRO DE TOLEDO", "SP", ) ,
    ("353730", "PENÁPOLIS", "SP", ) ,
    ("353740", "PEREIRA BARRETO", "SP", ) ,
    ("353750", "PEREIRAS", "SP", ) ,
    ("353760", "PERUÍBE", "SP", ) ,
    ("353770", "PIACATU", "SP", ) ,
    ("353780", "PIEDADE", "SP", ) ,
    ("353790", "PILAR DO SUL", "SP", ) ,
    ("353800", "PINDAMONHANGABA", "SP", ) ,
    ("353810", "PINDORAMA", "SP", ) ,
    ("353820", "PINHALZINHO", "SP", ) ,
    ("353830", "PIQUEROBI", "SP", ) ,
    ("353850", "PIQUETE", "SP", ) ,
    ("353860", "PIRACAIA", "SP", ) ,
    ("353870", "PIRACICABA", "SP", ) ,
    ("353880", "PIRAJU", "SP", ) ,
    ("353890", "PIRAJUÍ", "SP", ) ,
    ("353900", "PIRANGI", "SP", ) ,
    ("353910", "PIRAPORA DO BOM JESUS", "SP", ) ,
    ("353920", "PIRAPOZINHO", "SP", ) ,
    ("353930", "PIRASSUNUNGA", "SP", ) ,
    ("353940", "PIRATININGA", "SP", ) ,
    ("353950", "PITANGUEIRAS", "SP", ) ,
    ("353960", "PLANALTO", "SP", ) ,
    ("353970", "PLATINA", "SP", ) ,
    ("353980", "POÁ", "SP", ) ,
    ("353990", "POLONI", "SP", ) ,
    ("354000", "POMPÉIA", "SP", ) ,
    ("354010", "PONGAÍ", "SP", ) ,
    ("354020", "PONTAL", "SP", ) ,
    ("354025", "PONTALINDA", "SP", ) ,
    ("354030", "PONTES GESTAL", "SP", ) ,
    ("354040", "POPULINA", "SP", ) ,
    ("354050", "PORANGABA", "SP", ) ,
    ("354060", "PORTO FELIZ", "SP", ) ,
    ("354070", "PORTO FERREIRA", "SP", ) ,
    ("354075", "POTIM", "SP", ) ,
    ("354080", "POTIRENDABA", "SP", ) ,
    ("354085", "PRACINHA", "SP", ) ,
    ("354090", "PRADÓPOLIS", "SP", ) ,
    ("354100", "PRAIA GRANDE", "SP", ) ,
    ("354105", "PRATÂNIA", "SP", ) ,
    ("354110", "PRESIDENTE ALVES", "SP", ) ,
    ("354120", "PRESIDENTE BERNARDES", "SP", ) ,
    ("354130", "PRESIDENTE EPITÁCIO", "SP", ) ,
    ("354140", "PRESIDENTE PRUDENTE", "SP", ) ,
    ("354150", "PRESIDENTE VENCESLAU", "SP", ) ,
    ("354160", "PROMISSÃO", "SP", ) ,
    ("354165", "QUADRA", "SP", ) ,
    ("354170", "QUATÁ", "SP", ) ,
    ("354180", "QUEIROZ", "SP", ) ,
    ("354190", "QUELUZ", "SP", ) ,
    ("354200", "QUINTANA", "SP", ) ,
    ("354210", "RAFARD", "SP", ) ,
    ("354220", "RANCHARIA", "SP", ) ,
    ("354230", "REDENÇÃO DA SERRA", "SP", ) ,
    ("354240", "REGENTE FEIJÓ", "SP", ) ,
    ("354250", "REGINÓPOLIS", "SP", ) ,
    ("354260", "REGISTRO", "SP", ) ,
    ("354270", "RESTINGA", "SP", ) ,
    ("354280", "RIBEIRA", "SP", ) ,
    ("354290", "RIBEIRÃO BONITO", "SP", ) ,
    ("354300", "RIBEIRÃO BRANCO", "SP", ) ,
    ("354310", "RIBEIRÃO CORRENTE", "SP", ) ,
    ("354320", "RIBEIRÃO DO SUL", "SP", ) ,
    ("354323", "RIBEIRÃO DOS ÍNDIOS", "SP", ) ,
    ("354325", "RIBEIRÃO GRANDE", "SP", ) ,
    ("354330", "RIBEIRÃO PIRES", "SP", ) ,
    ("354340", "RIBEIRÃO PRETO", "SP", ) ,
    ("354350", "RIVERSUL", "SP", ) ,
    ("354360", "RIFAINA", "SP", ) ,
    ("354370", "RINCÃO", "SP", ) ,
    ("354380", "RINÓPOLIS", "SP", ) ,
    ("354390", "RIO CLARO", "SP", ) ,
    ("354400", "RIO DAS PEDRAS", "SP", ) ,
    ("354410", "RIO GRANDE DA SERRA", "SP", ) ,
    ("354420", "RIOLÂNDIA", "SP", ) ,
    ("354425", "ROSANA", "SP", ) ,
    ("354430", "ROSEIRA", "SP", ) ,
    ("354440", "RUBIÁCEA", "SP", ) ,
    ("354450", "RUBINÉIA", "SP", ) ,
    ("354460", "SABINO", "SP", ) ,
    ("354470", "SAGRES", "SP", ) ,
    ("354480", "SALES", "SP", ) ,
    ("354490", "SALES OLIVEIRA", "SP", ) ,
    ("354500", "SALESÓPOLIS", "SP", ) ,
    ("354510", "SALMOURÃO", "SP", ) ,
    ("354515", "SALTINHO", "SP", ) ,
    ("354520", "SALTO", "SP", ) ,
    ("354530", "SALTO DE PIRAPORA", "SP", ) ,
    ("354540", "SALTO GRANDE", "SP", ) ,
    ("354550", "SANDOVALINA", "SP", ) ,
    ("354560", "SANTA ADÉLIA", "SP", ) ,
    ("354570", "SANTA ALBERTINA", "SP", ) ,
    ("354580", "SANTA BÁRBARA D'OESTE", "SP", ) ,
    ("354600", "SANTA BRANCA", "SP", ) ,
    ("354610", "SANTA CLARA D'OESTE", "SP", ) ,
    ("354620", "SANTA CRUZ DA CONCEIÇÃO", "SP", ) ,
    ("354625", "SANTA CRUZ DA ESPERANÇA", "SP", ) ,
    ("354630", "SANTA CRUZ DAS PALMEIRAS", "SP", ) ,
    ("354640", "SANTA CRUZ DO RIO PARDO", "SP", ) ,
    ("354650", "SANTA ERNESTINA", "SP", ) ,
    ("354660", "SANTA FÉ DO SUL", "SP", ) ,
    ("354670", "SANTA GERTRUDES", "SP", ) ,
    ("354680", "SANTA ISABEL", "SP", ) ,
    ("354690", "SANTA LÚCIA", "SP", ) ,
    ("354700", "SANTA MARIA DA SERRA", "SP", ) ,
    ("354710", "SANTA MERCEDES", "SP", ) ,
    ("354720", "SANTANA DA PONTE PENSA", "SP", ) ,
    ("354730", "SANTANA DE PARNAÍBA", "SP", ) ,
    ("354740", "SANTA RITA D'OESTE", "SP", ) ,
    ("354750", "SANTA RITA DO PASSA QUATRO", "SP", ) ,
    ("354760", "SANTA ROSA DE VITERBO", "SP", ) ,
    ("354765", "SANTA SALETE", "SP", ) ,
    ("354770", "SANTO ANASTÁCIO", "SP", ) ,
    ("354780", "SANTO ANDRÉ", "SP", ) ,
    ("354790", "SANTO ANTÔNIO DA ALEGRIA", "SP", ) ,
    ("354800", "SANTO ANTÔNIO DE POSSE", "SP", ) ,
    ("354805", "SANTO ANTÔNIO DO ARACANGUÁ", "SP", ) ,
    ("354810", "SANTO ANTÔNIO DO JARDIM", "SP", ) ,
    ("354820", "SANTO ANTÔNIO DO PINHAL", "SP", ) ,
    ("354830", "SANTO EXPEDITO", "SP", ) ,
    ("354840", "SANTÓPOLIS DO AGUAPEÍ", "SP", ) ,
    ("354850", "SANTOS", "SP", ) ,
    ("354860", "SÃO BENTO DO SAPUCAÍ", "SP", ) ,
    ("354870", "SÃO BERNARDO DO CAMPO", "SP", ) ,
    ("354880", "SÃO CAETANO DO SUL", "SP", ) ,
    ("354890", "SÃO CARLOS", "SP", ) ,
    ("354900", "SÃO FRANCISCO", "SP", ) ,
    ("354910", "SÃO JOÃO DA BOA VISTA", "SP", ) ,
    ("354920", "SÃO JOÃO DAS DUAS PONTES", "SP", ) ,
    ("354925", "SÃO JOÃO DE IRACEMA", "SP", ) ,
    ("354930", "SÃO JOÃO DO PAU D'ALHO", "SP", ) ,
    ("354940", "SÃO JOAQUIM DA BARRA", "SP", ) ,
    ("354950", "SÃO JOSÉ DA BELA VISTA", "SP", ) ,
    ("354960", "SÃO JOSÉ DO BARREIRO", "SP", ) ,
    ("354970", "SÃO JOSÉ DO RIO PARDO", "SP", ) ,
    ("354980", "SÃO JOSÉ DO RIO PRETO", "SP", ) ,
    ("354990", "SÃO JOSÉ DOS CAMPOS", "SP", ) ,
    ("354995", "SÃO LOURENÇO DA SERRA", "SP", ) ,
    ("355000", "SÃO LUÍS DO PARAITINGA", "SP", ) ,
    ("355010", "SÃO MANUEL", "SP", ) ,
    ("355020", "SÃO MIGUEL ARCANJO", "SP", ) ,
    ("355030", "SÃO PAULO", "SP", ) ,
    ("355040", "SÃO PEDRO", "SP", ) ,
    ("355050", "SÃO PEDRO DO TURVO", "SP", ) ,
    ("355060", "SÃO ROQUE", "SP", ) ,
    ("355070", "SÃO SEBASTIÃO", "SP", ) ,
    ("355080", "SÃO SEBASTIÃO DA GRAMA", "SP", ) ,
    ("355090", "SÃO SIMÃO", "SP", ) ,
    ("355100", "SÃO VICENTE", "SP", ) ,
    ("355110", "SARAPUÍ", "SP", ) ,
    ("355120", "SARUTAIÁ", "SP", ) ,
    ("355130", "SEBASTIANÓPOLIS DO SUL", "SP", ) ,
    ("355140", "SERRA AZUL", "SP", ) ,
    ("355150", "SERRANA", "SP", ) ,
    ("355160", "SERRA NEGRA", "SP", ) ,
    ("355170", "SERTÃOZINHO", "SP", ) ,
    ("355180", "SETE BARRAS", "SP", ) ,
    ("355190", "SEVERÍNIA", "SP", ) ,
    ("355200", "SILVEIRAS", "SP", ) ,
    ("355210", "SOCORRO", "SP", ) ,
    ("355220", "SOROCABA", "SP", ) ,
    ("355230", "SUD MENNUCCI", "SP", ) ,
    ("355240", "SUMARÉ", "SP", ) ,
    ("355250", "SUZANO", "SP", ) ,
    ("355255", "SUZANÁPOLIS", "SP", ) ,
    ("355260", "TABAPUÃ", "SP", ) ,
    ("355270", "TABATINGA", "SP", ) ,
    ("355280", "TABOÃO DA SERRA", "SP", ) ,
    ("355290", "TACIBA", "SP", ) ,
    ("355300", "TAGUAÍ", "SP", ) ,
    ("355310", "TAIAÇU", "SP", ) ,
    ("355320", "TAIÚVA", "SP", ) ,
    ("355330", "TAMBAÚ", "SP", ) ,
    ("355340", "TANABI", "SP", ) ,
    ("355350", "TAPIRAÍ", "SP", ) ,
    ("355360", "TAPIRATIBA", "SP", ) ,
    ("355365", "TAQUARAL", "SP", ) ,
    ("355370", "TAQUARITINGA", "SP", ) ,
    ("355380", "TAQUARITUBA", "SP", ) ,
    ("355385", "TAQUARIVAÍ", "SP", ) ,
    ("355390", "TARABAI", "SP", ) ,
    ("355395", "TARUMÃ", "SP", ) ,
    ("355400", "TATUÍ", "SP", ) ,
    ("355410", "TAUBATÉ", "SP", ) ,
    ("355420", "TEJUPÁ", "SP", ) ,
    ("355430", "TEODORO SAMPAIO", "SP", ) ,
    ("355440", "TERRA ROXA", "SP", ) ,
    ("355450", "TIETÊ", "SP", ) ,
    ("355460", "TIMBURI", "SP", ) ,
    ("355465", "TORRE DE PEDRA", "SP", ) ,
    ("355470", "TORRINHA", "SP", ) ,
    ("355475", "TRABIJU", "SP", ) ,
    ("355480", "TREMEMBÉ", "SP", ) ,
    ("355490", "TRÊS FRONTEIRAS", "SP", ) ,
    ("355495", "TUIUTI", "SP", ) ,
    ("355500", "TUPÃ", "SP", ) ,
    ("355510", "TUPI PAULISTA", "SP", ) ,
    ("355520", "TURIÚBA", "SP", ) ,
    ("355530", "TURMALINA", "SP", ) ,
    ("355535", "UBARANA", "SP", ) ,
    ("355540", "UBATUBA", "SP", ) ,
    ("355550", "UBIRAJARA", "SP", ) ,
    ("355560", "UCHOA", "SP", ) ,
    ("355570", "UNIÃO PAULISTA", "SP", ) ,
    ("355580", "URÂNIA", "SP", ) ,
    ("355590", "URU", "SP", ) ,
    ("355600", "URUPÊS", "SP", ) ,
    ("355610", "VALENTIM GENTIL", "SP", ) ,
    ("355620", "VALINHOS", "SP", ) ,
    ("355630", "VALPARAÍSO", "SP", ) ,
    ("355635", "VARGEM", "SP", ) ,
    ("355640", "VARGEM GRANDE DO SUL", "SP", ) ,
    ("355645", "VARGEM GRANDE PAULISTA", "SP", ) ,
    ("355650", "VÁRZEA PAULISTA", "SP", ) ,
    ("355660", "VERA CRUZ", "SP", ) ,
    ("355670", "VINHEDO", "SP", ) ,
    ("355680", "VIRADOURO", "SP", ) ,
    ("355690", "VISTA ALEGRE DO ALTO", "SP", ) ,
    ("355695", "VITÓRIA BRASIL", "SP", ) ,
    ("355700", "VOTORANTIM", "SP", ) ,
    ("355710", "VOTUPORANGA", "SP", ) ,
    ("355715", "ZACARIAS", "SP", ) ,
    ("355720", "CHAVANTES", "SP", ) ,
    ("355730", "ESTIVA GERBI", "SP", ) ,
    ("410010", "ABATIÁ", "PR", ) ,
    ("410020", "ADRIANÓPOLIS", "PR", ) ,
    ("410030", "AGUDOS DO SUL", "PR", ) ,
    ("410040", "ALMIRANTE TAMANDARÉ", "PR", ) ,
    ("410045", "ALTAMIRA DO PARANÁ", "PR", ) ,
    ("410050", "ALTÔNIA", "PR", ) ,
    ("410060", "ALTO PARANÁ", "PR", ) ,
    ("410070", "ALTO PIQUIRI", "PR", ) ,
    ("410080", "ALVORADA DO SUL", "PR", ) ,
    ("410090", "AMAPORÃ", "PR", ) ,
    ("410100", "AMPÉRE", "PR", ) ,
    ("410105", "ANAHY", "PR", ) ,
    ("410110", "ANDIRÁ", "PR", ) ,
    ("410115", "ÂNGULO", "PR", ) ,
    ("410120", "ANTONINA", "PR", ) ,
    ("410130", "ANTÔNIO OLINTO", "PR", ) ,
    ("410140", "APUCARANA", "PR", ) ,
    ("410150", "ARAPONGAS", "PR", ) ,
    ("410160", "ARAPOTI", "PR", ) ,
    ("410165", "ARAPUÃ", "PR", ) ,
    ("410170", "ARARUNA", "PR", ) ,
    ("410180", "ARAUCÁRIA", "PR", ) ,
    ("410185", "ARIRANHA DO IVAÍ", "PR", ) ,
    ("410190", "ASSAÍ", "PR", ) ,
    ("410200", "ASSIS CHATEAUBRIAND", "PR", ) ,
    ("410210", "ASTORGA", "PR", ) ,
    ("410220", "ATALAIA", "PR", ) ,
    ("410230", "BALSA NOVA", "PR", ) ,
    ("410240", "BANDEIRANTES", "PR", ) ,
    ("410250", "BARBOSA FERRAZ", "PR", ) ,
    ("410260", "BARRACÃO", "PR", ) ,
    ("410270", "BARRA DO JACARÉ", "PR", ) ,
    ("410275", "BELA VISTA DA CAROBA", "PR", ) ,
    ("410280", "BELA VISTA DO PARAÍSO", "PR", ) ,
    ("410290", "BITURUNA", "PR", ) ,
    ("410300", "BOA ESPERANÇA", "PR", ) ,
    ("410302", "BOA ESPERANÇA DO IGUAÇU", "PR", ) ,
    ("410304", "BOA VENTURA DE SÃO ROQUE", "PR", ) ,
    ("410305", "BOA VISTA DA APARECIDA", "PR", ) ,
    ("410310", "BOCAIÚVA DO SUL", "PR", ) ,
    ("410315", "BOM JESUS DO SUL", "PR", ) ,
    ("410320", "BOM SUCESSO", "PR", ) ,
    ("410322", "BOM SUCESSO DO SUL", "PR", ) ,
    ("410330", "BORRAZÓPOLIS", "PR", ) ,
    ("410335", "BRAGANEY", "PR", ) ,
    ("410337", "BRASILÂNDIA DO SUL", "PR", ) ,
    ("410340", "CAFEARA", "PR", ) ,
    ("410345", "CAFELÂNDIA", "PR", ) ,
    ("410347", "CAFEZAL DO SUL", "PR", ) ,
    ("410350", "CALIFÓRNIA", "PR", ) ,
    ("410360", "CAMBARÁ", "PR", ) ,
    ("410370", "CAMBÉ", "PR", ) ,
    ("410380", "CAMBIRA", "PR", ) ,
    ("410390", "CAMPINA DA LAGOA", "PR", ) ,
    ("410395", "CAMPINA DO SIMÃO", "PR", ) ,
    ("410400", "CAMPINA GRANDE DO SUL", "PR", ) ,
    ("410405", "CAMPO BONITO", "PR", ) ,
    ("410410", "CAMPO DO TENENTE", "PR", ) ,
    ("410420", "CAMPO LARGO", "PR", ) ,
    ("410425", "CAMPO MAGRO", "PR", ) ,
    ("410430", "CAMPO MOURÃO", "PR", ) ,
    ("410440", "CÂNDIDO DE ABREU", "PR", ) ,
    ("410442", "CANDÓI", "PR", ) ,
    ("410445", "CANTAGALO", "PR", ) ,
    ("410450", "CAPANEMA", "PR", ) ,
    ("410460", "CAPITÃO LEÔNIDAS MARQUES", "PR", ) ,
    ("410465", "CARAMBEÍ", "PR", ) ,
    ("410470", "CARLÓPOLIS", "PR", ) ,
    ("410480", "CASCAVEL", "PR", ) ,
    ("410490", "CASTRO", "PR", ) ,
    ("410500", "CATANDUVAS", "PR", ) ,
    ("410510", "CENTENÁRIO DO SUL", "PR", ) ,
    ("410520", "CERRO AZUL", "PR", ) ,
    ("410530", "CÉU AZUL", "PR", ) ,
    ("410540", "CHOPINZINHO", "PR", ) ,
    ("410550", "CIANORTE", "PR", ) ,
    ("410560", "CIDADE GAÚCHA", "PR", ) ,
    ("410570", "CLEVELÂNDIA", "PR", ) ,
    ("410580", "COLOMBO", "PR", ) ,
    ("410590", "COLORADO", "PR", ) ,
    ("410600", "CONGONHINHAS", "PR", ) ,
    ("410610", "CONSELHEIRO MAIRINCK", "PR", ) ,
    ("410620", "CONTENDA", "PR", ) ,
    ("410630", "CORBÉLIA", "PR", ) ,
    ("410640", "CORNÉLIO PROCÓPIO", "PR", ) ,
    ("410645", "CORONEL DOMINGOS SOARES", "PR", ) ,
    ("410650", "CORONEL VIVIDA", "PR", ) ,
    ("410655", "CORUMBATAÍ DO SUL", "PR", ) ,
    ("410657", "CRUZEIRO DO IGUAÇU", "PR", ) ,
    ("410660", "CRUZEIRO DO OESTE", "PR", ) ,
    ("410670", "CRUZEIRO DO SUL", "PR", ) ,
    ("410680", "CRUZ MACHADO", "PR", ) ,
    ("410685", "CRUZMALTINA", "PR", ) ,
    ("410690", "CURITIBA", "PR", ) ,
    ("410700", "CURIÚVA", "PR", ) ,
    ("410710", "DIAMANTE DO NORTE", "PR", ) ,
    ("410712", "DIAMANTE DO SUL", "PR", ) ,
    ("410715", "DIAMANTE D'OESTE", "PR", ) ,
    ("410720", "DOIS VIZINHOS", "PR", ) ,
    ("410725", "DOURADINA", "PR", ) ,
    ("410730", "DOUTOR CAMARGO", "PR", ) ,
    ("410740", "ENÉAS MARQUES", "PR", ) ,
    ("410750", "ENGENHEIRO BELTRÃO", "PR", ) ,
    ("410752", "ESPERANÇA NOVA", "PR", ) ,
    ("410753", "ENTRE RIOS DO OESTE", "PR", ) ,
    ("410754", "ESPIGÃO ALTO DO IGUAÇU", "PR", ) ,
    ("410755", "FAROL", "PR", ) ,
    ("410760", "FAXINAL", "PR", ) ,
    ("410765", "FAZENDA RIO GRANDE", "PR", ) ,
    ("410770", "FÊNIX", "PR", ) ,
    ("410773", "FERNANDES PINHEIRO", "PR", ) ,
    ("410775", "FIGUEIRA", "PR", ) ,
    ("410780", "FLORAÍ", "PR", ) ,
    ("410785", "FLOR DA SERRA DO SUL", "PR", ) ,
    ("410790", "FLORESTA", "PR", ) ,
    ("410800", "FLORESTÓPOLIS", "PR", ) ,
    ("410810", "FLÓRIDA", "PR", ) ,
    ("410820", "FORMOSA DO OESTE", "PR", ) ,
    ("410830", "FOZ DO IGUAÇU", "PR", ) ,
    ("410832", "FRANCISCO ALVES", "PR", ) ,
    ("410840", "FRANCISCO BELTRÃO", "PR", ) ,
    ("410845", "FOZ DO JORDÃO", "PR", ) ,
    ("410850", "GENERAL CARNEIRO", "PR", ) ,
    ("410855", "GODOY MOREIRA", "PR", ) ,
    ("410860", "GOIOERÊ", "PR", ) ,
    ("410865", "GOIOXIM", "PR", ) ,
    ("410870", "GRANDES RIOS", "PR", ) ,
    ("410880", "GUAÍRA", "PR", ) ,
    ("410890", "GUAIRAÇÁ", "PR", ) ,
    ("410895", "GUAMIRANGA", "PR", ) ,
    ("410900", "GUAPIRAMA", "PR", ) ,
    ("410910", "GUAPOREMA", "PR", ) ,
    ("410920", "GUARACI", "PR", ) ,
    ("410930", "GUARANIAÇU", "PR", ) ,
    ("410940", "GUARAPUAVA", "PR", ) ,
    ("410950", "GUARAQUEÇABA", "PR", ) ,
    ("410960", "GUARATUBA", "PR", ) ,
    ("410965", "HONÓRIO SERPA", "PR", ) ,
    ("410970", "IBAITI", "PR", ) ,
    ("410975", "IBEMA", "PR", ) ,
    ("410980", "IBIPORÃ", "PR", ) ,
    ("410990", "ICARAÍMA", "PR", ) ,
    ("411000", "IGUARAÇU", "PR", ) ,
    ("411005", "IGUATU", "PR", ) ,
    ("411007", "IMBAÚ", "PR", ) ,
    ("411010", "IMBITUVA", "PR", ) ,
    ("411020", "INÁCIO MARTINS", "PR", ) ,
    ("411030", "INAJÁ", "PR", ) ,
    ("411040", "INDIANÓPOLIS", "PR", ) ,
    ("411050", "IPIRANGA", "PR", ) ,
    ("411060", "IPORÃ", "PR", ) ,
    ("411065", "IRACEMA DO OESTE", "PR", ) ,
    ("411070", "IRATI", "PR", ) ,
    ("411080", "IRETAMA", "PR", ) ,
    ("411090", "ITAGUAJÉ", "PR", ) ,
    ("411095", "ITAIPULÂNDIA", "PR", ) ,
    ("411100", "ITAMBARACÁ", "PR", ) ,
    ("411110", "ITAMBÉ", "PR", ) ,
    ("411120", "ITAPEJARA D'OESTE", "PR", ) ,
    ("411125", "ITAPERUÇU", "PR", ) ,
    ("411130", "ITAÚNA DO SUL", "PR", ) ,
    ("411140", "IVAÍ", "PR", ) ,
    ("411150", "IVAIPORÃ", "PR", ) ,
    ("411155", "IVATÉ", "PR", ) ,
    ("411160", "IVATUBA", "PR", ) ,
    ("411170", "JABOTI", "PR", ) ,
    ("411180", "JACAREZINHO", "PR", ) ,
    ("411190", "JAGUAPITÃ", "PR", ) ,
    ("411200", "JAGUARIAÍVA", "PR", ) ,
    ("411210", "JANDAIA DO SUL", "PR", ) ,
    ("411220", "JANIÓPOLIS", "PR", ) ,
    ("411230", "JAPIRA", "PR", ) ,
    ("411240", "JAPURÁ", "PR", ) ,
    ("411250", "JARDIM ALEGRE", "PR", ) ,
    ("411260", "JARDIM OLINDA", "PR", ) ,
    ("411270", "JATAIZINHO", "PR", ) ,
    ("411275", "JESUÍTAS", "PR", ) ,
    ("411280", "JOAQUIM TÁVORA", "PR", ) ,
    ("411290", "JUNDIAÍ DO SUL", "PR", ) ,
    ("411295", "JURANDA", "PR", ) ,
    ("411300", "JUSSARA", "PR", ) ,
    ("411310", "KALORÉ", "PR", ) ,
    ("411320", "LAPA", "PR", ) ,
    ("411325", "LARANJAL", "PR", ) ,
    ("411330", "LARANJEIRAS DO SUL", "PR", ) ,
    ("411340", "LEÓPOLIS", "PR", ) ,
    ("411342", "LIDIANÓPOLIS", "PR", ) ,
    ("411345", "LINDOESTE", "PR", ) ,
    ("411350", "LOANDA", "PR", ) ,
    ("411360", "LOBATO", "PR", ) ,
    ("411370", "LONDRINA", "PR", ) ,
    ("411373", "LUIZIANA", "PR", ) ,
    ("411375", "LUNARDELLI", "PR", ) ,
    ("411380", "LUPIONÓPOLIS", "PR", ) ,
    ("411390", "MALLET", "PR", ) ,
    ("411400", "MAMBORÊ", "PR", ) ,
    ("411410", "MANDAGUAÇU", "PR", ) ,
    ("411420", "MANDAGUARI", "PR", ) ,
    ("411430", "MANDIRITUBA", "PR", ) ,
    ("411435", "MANFRINÓPOLIS", "PR", ) ,
    ("411440", "MANGUEIRINHA", "PR", ) ,
    ("411450", "MANOEL RIBAS", "PR", ) ,
    ("411460", "MARECHAL CÂNDIDO RONDON", "PR", ) ,
    ("411470", "MARIA HELENA", "PR", ) ,
    ("411480", "MARIALVA", "PR", ) ,
    ("411490", "MARILÂNDIA DO SUL", "PR", ) ,
    ("411500", "MARILENA", "PR", ) ,
    ("411510", "MARILUZ", "PR", ) ,
    ("411520", "MARINGÁ", "PR", ) ,
    ("411530", "MARIÓPOLIS", "PR", ) ,
    ("411535", "MARIPÁ", "PR", ) ,
    ("411540", "MARMELEIRO", "PR", ) ,
    ("411545", "MARQUINHO", "PR", ) ,
    ("411550", "MARUMBI", "PR", ) ,
    ("411560", "MATELÂNDIA", "PR", ) ,
    ("411570", "MATINHOS", "PR", ) ,
    ("411573", "MATO RICO", "PR", ) ,
    ("411575", "MAUÁ DA SERRA", "PR", ) ,
    ("411580", "MEDIANEIRA", "PR", ) ,
    ("411585", "MERCEDES", "PR", ) ,
    ("411590", "MIRADOR", "PR", ) ,
    ("411600", "MIRASELVA", "PR", ) ,
    ("411605", "MISSAL", "PR", ) ,
    ("411610", "MOREIRA SALES", "PR", ) ,
    ("411620", "MORRETES", "PR", ) ,
    ("411630", "MUNHOZ DE MELO", "PR", ) ,
    ("411640", "NOSSA SENHORA DAS GRAÇAS", "PR", ) ,
    ("411650", "NOVA ALIANÇA DO IVAÍ", "PR", ) ,
    ("411660", "NOVA AMÉRICA DA COLINA", "PR", ) ,
    ("411670", "NOVA AURORA", "PR", ) ,
    ("411680", "NOVA CANTU", "PR", ) ,
    ("411690", "NOVA ESPERANÇA", "PR", ) ,
    ("411695", "NOVA ESPERANÇA DO SUDOESTE", "PR", ) ,
    ("411700", "NOVA FÁTIMA", "PR", ) ,
    ("411705", "NOVA LARANJEIRAS", "PR", ) ,
    ("411710", "NOVA LONDRINA", "PR", ) ,
    ("411720", "NOVA OLÍMPIA", "PR", ) ,
    ("411721", "NOVA SANTA BÁRBARA", "PR", ) ,
    ("411722", "NOVA SANTA ROSA", "PR", ) ,
    ("411725", "NOVA PRATA DO IGUAÇU", "PR", ) ,
    ("411727", "NOVA TEBAS", "PR", ) ,
    ("411729", "NOVO ITACOLOMI", "PR", ) ,
    ("411730", "ORTIGUEIRA", "PR", ) ,
    ("411740", "OURIZONA", "PR", ) ,
    ("411745", "OURO VERDE DO OESTE", "PR", ) ,
    ("411750", "PAIÇANDU", "PR", ) ,
    ("411760", "PALMAS", "PR", ) ,
    ("411770", "PALMEIRA", "PR", ) ,
    ("411780", "PALMITAL", "PR", ) ,
    ("411790", "PALOTINA", "PR", ) ,
    ("411800", "PARAÍSO DO NORTE", "PR", ) ,
    ("411810", "PARANACITY", "PR", ) ,
    ("411820", "PARANAGUÁ", "PR", ) ,
    ("411830", "PARANAPOEMA", "PR", ) ,
    ("411840", "PARANAVAÍ", "PR", ) ,
    ("411845", "PATO BRAGADO", "PR", ) ,
    ("411850", "PATO BRANCO", "PR", ) ,
    ("411860", "PAULA FREITAS", "PR", ) ,
    ("411870", "PAULO FRONTIN", "PR", ) ,
    ("411880", "PEABIRU", "PR", ) ,
    ("411885", "PEROBAL", "PR", ) ,
    ("411890", "PÉROLA", "PR", ) ,
    ("411900", "PÉROLA D'OESTE", "PR", ) ,
    ("411910", "PIÊN", "PR", ) ,
    ("411915", "PINHAIS", "PR", ) ,
    ("411920", "PINHALÃO", "PR", ) ,
    ("411925", "PINHAL DE SÃO BENTO", "PR", ) ,
    ("411930", "PINHÃO", "PR", ) ,
    ("411940", "PIRAÍ DO SUL", "PR", ) ,
    ("411950", "PIRAQUARA", "PR", ) ,
    ("411960", "PITANGA", "PR", ) ,
    ("411965", "PITANGUEIRAS", "PR", ) ,
    ("411970", "PLANALTINA DO PARANÁ", "PR", ) ,
    ("411980", "PLANALTO", "PR", ) ,
    ("411990", "PONTA GROSSA", "PR", ) ,
    ("411995", "PONTAL DO PARANÁ", "PR", ) ,
    ("412000", "PORECATU", "PR", ) ,
    ("412010", "PORTO AMAZONAS", "PR", ) ,
    ("412015", "PORTO BARREIRO", "PR", ) ,
    ("412020", "PORTO RICO", "PR", ) ,
    ("412030", "PORTO VITÓRIA", "PR", ) ,
    ("412033", "PRADO FERREIRA", "PR", ) ,
    ("412035", "PRANCHITA", "PR", ) ,
    ("412040", "PRESIDENTE CASTELO BRANCO", "PR", ) ,
    ("412050", "PRIMEIRO DE MAIO", "PR", ) ,
    ("412060", "PRUDENTÓPOLIS", "PR", ) ,
    ("412065", "QUARTO CENTENÁRIO", "PR", ) ,
    ("412070", "QUATIGUÁ", "PR", ) ,
    ("412080", "QUATRO BARRAS", "PR", ) ,
    ("412085", "QUATRO PONTES", "PR", ) ,
    ("412090", "QUEDAS DO IGUAÇU", "PR", ) ,
    ("412100", "QUERÊNCIA DO NORTE", "PR", ) ,
    ("412110", "QUINTA DO SOL", "PR", ) ,
    ("412120", "QUITANDINHA", "PR", ) ,
    ("412125", "RAMILÂNDIA", "PR", ) ,
    ("412130", "RANCHO ALEGRE", "PR", ) ,
    ("412135", "RANCHO ALEGRE D'OESTE", "PR", ) ,
    ("412140", "REALEZA", "PR", ) ,
    ("412150", "REBOUÇAS", "PR", ) ,
    ("412160", "RENASCENÇA", "PR", ) ,
    ("412170", "RESERVA", "PR", ) ,
    ("412175", "RESERVA DO IGUAÇU", "PR", ) ,
    ("412180", "RIBEIRÃO CLARO", "PR", ) ,
    ("412190", "RIBEIRÃO DO PINHAL", "PR", ) ,
    ("412200", "RIO AZUL", "PR", ) ,
    ("412210", "RIO BOM", "PR", ) ,
    ("412215", "RIO BONITO DO IGUAÇU", "PR", ) ,
    ("412217", "RIO BRANCO DO IVAÍ", "PR", ) ,
    ("412220", "RIO BRANCO DO SUL", "PR", ) ,
    ("412230", "RIO NEGRO", "PR", ) ,
    ("412240", "ROLÂNDIA", "PR", ) ,
    ("412250", "RONCADOR", "PR", ) ,
    ("412260", "RONDON", "PR", ) ,
    ("412265", "ROSÁRIO DO IVAÍ", "PR", ) ,
    ("412270", "SABÁUDIA", "PR", ) ,
    ("412280", "SALGADO FILHO", "PR", ) ,
    ("412290", "SALTO DO ITARARÉ", "PR", ) ,
    ("412300", "SALTO DO LONTRA", "PR", ) ,
    ("412310", "SANTA AMÉLIA", "PR", ) ,
    ("412320", "SANTA CECÍLIA DO PAVÃO", "PR", ) ,
    ("412330", "SANTA CRUZ DE MONTE CASTELO", "PR", ) ,
    ("412340", "SANTA FÉ", "PR", ) ,
    ("412350", "SANTA HELENA", "PR", ) ,
    ("412360", "SANTA INÊS", "PR", ) ,
    ("412370", "SANTA ISABEL DO IVAÍ", "PR", ) ,
    ("412380", "SANTA IZABEL DO OESTE", "PR", ) ,
    ("412382", "SANTA LÚCIA", "PR", ) ,
    ("412385", "SANTA MARIA DO OESTE", "PR", ) ,
    ("412390", "SANTA MARIANA", "PR", ) ,
    ("412395", "SANTA MÔNICA", "PR", ) ,
    ("412400", "SANTANA DO ITARARÉ", "PR", ) ,
    ("412402", "SANTA TEREZA DO OESTE", "PR", ) ,
    ("412405", "SANTA TEREZINHA DE ITAIPU", "PR", ) ,
    ("412410", "SANTO ANTÔNIO DA PLATINA", "PR", ) ,
    ("412420", "SANTO ANTÔNIO DO CAIUÁ", "PR", ) ,
    ("412430", "SANTO ANTÔNIO DO PARAÍSO", "PR", ) ,
    ("412440", "SANTO ANTÔNIO DO SUDOESTE", "PR", ) ,
    ("412450", "SANTO INÁCIO", "PR", ) ,
    ("412460", "SÃO CARLOS DO IVAÍ", "PR", ) ,
    ("412470", "SÃO JERÔNIMO DA SERRA", "PR", ) ,
    ("412480", "SÃO JOÃO", "PR", ) ,
    ("412490", "SÃO JOÃO DO CAIUÁ", "PR", ) ,
    ("412500", "SÃO JOÃO DO IVAÍ", "PR", ) ,
    ("412510", "SÃO JOÃO DO TRIUNFO", "PR", ) ,
    ("412520", "SÃO JORGE D'OESTE", "PR", ) ,
    ("412530", "SÃO JORGE DO IVAÍ", "PR", ) ,
    ("412535", "SÃO JORGE DO PATROCÍNIO", "PR", ) ,
    ("412540", "SÃO JOSÉ DA BOA VISTA", "PR", ) ,
    ("412545", "SÃO JOSÉ DAS PALMEIRAS", "PR", ) ,
    ("412550", "SÃO JOSÉ DOS PINHAIS", "PR", ) ,
    ("412555", "SÃO MANOEL DO PARANÁ", "PR", ) ,
    ("412560", "SÃO MATEUS DO SUL", "PR", ) ,
    ("412570", "SÃO MIGUEL DO IGUAÇU", "PR", ) ,
    ("412575", "SÃO PEDRO DO IGUAÇU", "PR", ) ,
    ("412580", "SÃO PEDRO DO IVAÍ", "PR", ) ,
    ("412590", "SÃO PEDRO DO PARANÁ", "PR", ) ,
    ("412600", "SÃO SEBASTIÃO DA AMOREIRA", "PR", ) ,
    ("412610", "SÃO TOMÉ", "PR", ) ,
    ("412620", "SAPOPEMA", "PR", ) ,
    ("412625", "SARANDI", "PR", ) ,
    ("412627", "SAUDADE DO IGUAÇU", "PR", ) ,
    ("412630", "SENGÉS", "PR", ) ,
    ("412635", "SERRANÓPOLIS DO IGUAÇU", "PR", ) ,
    ("412640", "SERTANEJA", "PR", ) ,
    ("412650", "SERTANÓPOLIS", "PR", ) ,
    ("412660", "SIQUEIRA CAMPOS", "PR", ) ,
    ("412665", "SULINA", "PR", ) ,
    ("412667", "TAMARANA", "PR", ) ,
    ("412670", "TAMBOARA", "PR", ) ,
    ("412680", "TAPEJARA", "PR", ) ,
    ("412690", "TAPIRA", "PR", ) ,
    ("412700", "TEIXEIRA SOARES", "PR", ) ,
    ("412710", "TELÊMACO BORBA", "PR", ) ,
    ("412720", "TERRA BOA", "PR", ) ,
    ("412730", "TERRA RICA", "PR", ) ,
    ("412740", "TERRA ROXA", "PR", ) ,
    ("412750", "TIBAGI", "PR", ) ,
    ("412760", "TIJUCAS DO SUL", "PR", ) ,
    ("412770", "TOLEDO", "PR", ) ,
    ("412780", "TOMAZINA", "PR", ) ,
    ("412785", "TRÊS BARRAS DO PARANÁ", "PR", ) ,
    ("412788", "TUNAS DO PARANÁ", "PR", ) ,
    ("412790", "TUNEIRAS DO OESTE", "PR", ) ,
    ("412795", "TUPÃSSI", "PR", ) ,
    ("412796", "TURVO", "PR", ) ,
    ("412800", "UBIRATÃ", "PR", ) ,
    ("412810", "UMUARAMA", "PR", ) ,
    ("412820", "UNIÃO DA VITÓRIA", "PR", ) ,
    ("412830", "UNIFLOR", "PR", ) ,
    ("412840", "URAÍ", "PR", ) ,
    ("412850", "WENCESLAU BRAZ", "PR", ) ,
    ("412853", "VENTANIA", "PR", ) ,
    ("412855", "VERA CRUZ DO OESTE", "PR", ) ,
    ("412860", "VERÊ", "PR", ) ,
    ("412862", "ALTO PARAÍSO", "PR", ) ,
    ("412863", "DOUTOR ULYSSES", "PR", ) ,
    ("412865", "VIRMOND", "PR", ) ,
    ("412870", "VITORINO", "PR", ) ,
    ("412880", "XAMBRÊ", "PR", ) ,
    ("420005", "ABDON BATISTA", "SC", ) ,
    ("420010", "ABELARDO LUZ", "SC", ) ,
    ("420020", "AGROLÂNDIA", "SC", ) ,
    ("420030", "AGRONÔMICA", "SC", ) ,
    ("420040", "ÁGUA DOCE", "SC", ) ,
    ("420050", "ÁGUAS DE CHAPECÓ", "SC", ) ,
    ("420055", "ÁGUAS FRIAS", "SC", ) ,
    ("420060", "ÁGUAS MORNAS", "SC", ) ,
    ("420070", "ALFREDO WAGNER", "SC", ) ,
    ("420075", "ALTO BELA VISTA", "SC", ) ,
    ("420080", "ANCHIETA", "SC", ) ,
    ("420090", "ANGELINA", "SC", ) ,
    ("420100", "ANITA GARIBALDI", "SC", ) ,
    ("420110", "ANITÁPOLIS", "SC", ) ,
    ("420120", "ANTÔNIO CARLOS", "SC", ) ,
    ("420125", "APIÚNA", "SC", ) ,
    ("420127", "ARABUTÃ", "SC", ) ,
    ("420130", "ARAQUARI", "SC", ) ,
    ("420140", "ARARANGUÁ", "SC", ) ,
    ("420150", "ARMAZÉM", "SC", ) ,
    ("420160", "ARROIO TRINTA", "SC", ) ,
    ("420165", "ARVOREDO", "SC", ) ,
    ("420170", "ASCURRA", "SC", ) ,
    ("420180", "ATALANTA", "SC", ) ,
    ("420190", "AURORA", "SC", ) ,
    ("420195", "BALNEÁRIO ARROIO DO SILVA", "SC", ) ,
    ("420200", "BALNEÁRIO CAMBORIÚ", "SC", ) ,
    ("420205", "BALNEÁRIO BARRA DO SUL", "SC", ) ,
    ("420207", "BALNEÁRIO GAIVOTA", "SC", ) ,
    ("420208", "BANDEIRANTE", "SC", ) ,
    ("420209", "BARRA BONITA", "SC", ) ,
    ("420210", "BARRA VELHA", "SC", ) ,
    ("420213", "BELA VISTA DO TOLDO", "SC", ) ,
    ("420215", "BELMONTE", "SC", ) ,
    ("420220", "BENEDITO NOVO", "SC", ) ,
    ("420230", "BIGUAÇU", "SC", ) ,
    ("420240", "BLUMENAU", "SC", ) ,
    ("420243", "BOCAINA DO SUL", "SC", ) ,
    ("420245", "BOMBINHAS", "SC", ) ,
    ("420250", "BOM JARDIM DA SERRA", "SC", ) ,
    ("420253", "BOM JESUS", "SC", ) ,
    ("420257", "BOM JESUS DO OESTE", "SC", ) ,
    ("420260", "BOM RETIRO", "SC", ) ,
    ("420270", "BOTUVERÁ", "SC", ) ,
    ("420280", "BRAÇO DO NORTE", "SC", ) ,
    ("420285", "BRAÇO DO TROMBUDO", "SC", ) ,
    ("420287", "BRUNÓPOLIS", "SC", ) ,
    ("420290", "BRUSQUE", "SC", ) ,
    ("420300", "CAÇADOR", "SC", ) ,
    ("420310", "CAIBI", "SC", ) ,
    ("420315", "CALMON", "SC", ) ,
    ("420320", "CAMBORIÚ", "SC", ) ,
    ("420325", "CAPÃO ALTO", "SC", ) ,
    ("420330", "CAMPO ALEGRE", "SC", ) ,
    ("420340", "CAMPO BELO DO SUL", "SC", ) ,
    ("420350", "CAMPO ERÊ", "SC", ) ,
    ("420360", "CAMPOS NOVOS", "SC", ) ,
    ("420370", "CANELINHA", "SC", ) ,
    ("420380", "CANOINHAS", "SC", ) ,
    ("420390", "CAPINZAL", "SC", ) ,
    ("420395", "CAPIVARI DE BAIXO", "SC", ) ,
    ("420400", "CATANDUVAS", "SC", ) ,
    ("420410", "CAXAMBU DO SUL", "SC", ) ,
    ("420415", "CELSO RAMOS", "SC", ) ,
    ("420417", "CERRO NEGRO", "SC", ) ,
    ("420419", "CHAPADÃO DO LAGEADO", "SC", ) ,
    ("420420", "CHAPECÓ", "SC", ) ,
    ("420425", "COCAL DO SUL", "SC", ) ,
    ("420430", "CONCÓRDIA", "SC", ) ,
    ("420435", "CORDILHEIRA ALTA", "SC", ) ,
    ("420440", "CORONEL FREITAS", "SC", ) ,
    ("420445", "CORONEL MARTINS", "SC", ) ,
    ("420450", "CORUPÁ", "SC", ) ,
    ("420455", "CORREIA PINTO", "SC", ) ,
    ("420460", "CRICIÚMA", "SC", ) ,
    ("420470", "CUNHA PORÃ", "SC", ) ,
    ("420475", "CUNHATAÍ", "SC", ) ,
    ("420480", "CURITIBANOS", "SC", ) ,
    ("420490", "DESCANSO", "SC", ) ,
    ("420500", "DIONÍSIO CERQUEIRA", "SC", ) ,
    ("420510", "DONA EMMA", "SC", ) ,
    ("420515", "DOUTOR PEDRINHO", "SC", ) ,
    ("420517", "ENTRE RIOS", "SC", ) ,
    ("420519", "ERMO", "SC", ) ,
    ("420520", "ERVAL VELHO", "SC", ) ,
    ("420530", "FAXINAL DOS GUEDES", "SC", ) ,
    ("420535", "FLOR DO SERTÃO", "SC", ) ,
    ("420540", "FLORIANÓPOLIS", "SC", ) ,
    ("420543", "FORMOSA DO SUL", "SC", ) ,
    ("420545", "FORQUILHINHA", "SC", ) ,
    ("420550", "FRAIBURGO", "SC", ) ,
    ("420555", "FREI ROGÉRIO", "SC", ) ,
    ("420560", "GALVÃO", "SC", ) ,
    ("420570", "GAROPABA", "SC", ) ,
    ("420580", "GARUVA", "SC", ) ,
    ("420590", "GASPAR", "SC", ) ,
    ("420600", "GOVERNADOR CELSO RAMOS", "SC", ) ,
    ("420610", "GRÃO PARÁ", "SC", ) ,
    ("420620", "GRAVATAL", "SC", ) ,
    ("420630", "GUABIRUBA", "SC", ) ,
    ("420640", "GUARACIABA", "SC", ) ,
    ("420650", "GUARAMIRIM", "SC", ) ,
    ("420660", "GUARUJÁ DO SUL", "SC", ) ,
    ("420665", "GUATAMBÚ", "SC", ) ,
    ("420670", "HERVAL D'OESTE", "SC", ) ,
    ("420675", "IBIAM", "SC", ) ,
    ("420680", "IBICARÉ", "SC", ) ,
    ("420690", "IBIRAMA", "SC", ) ,
    ("420700", "IÇARA", "SC", ) ,
    ("420710", "ILHOTA", "SC", ) ,
    ("420720", "IMARUÍ", "SC", ) ,
    ("420730", "IMBITUBA", "SC", ) ,
    ("420740", "IMBUIA", "SC", ) ,
    ("420750", "INDAIAL", "SC", ) ,
    ("420757", "IOMERÊ", "SC", ) ,
    ("420760", "IPIRA", "SC", ) ,
    ("420765", "IPORÃ DO OESTE", "SC", ) ,
    ("420768", "IPUAÇU", "SC", ) ,
    ("420770", "IPUMIRIM", "SC", ) ,
    ("420775", "IRACEMINHA", "SC", ) ,
    ("420780", "IRANI", "SC", ) ,
    ("420785", "IRATI", "SC", ) ,
    ("420790", "IRINEÓPOLIS", "SC", ) ,
    ("420800", "ITÁ", "SC", ) ,
    ("420810", "ITAIÓPOLIS", "SC", ) ,
    ("420820", "ITAJAÍ", "SC", ) ,
    ("420830", "ITAPEMA", "SC", ) ,
    ("420840", "ITAPIRANGA", "SC", ) ,
    ("420845", "ITAPOÁ", "SC", ) ,
    ("420850", "ITUPORANGA", "SC", ) ,
    ("420860", "JABORÁ", "SC", ) ,
    ("420870", "JACINTO MACHADO", "SC", ) ,
    ("420880", "JAGUARUNA", "SC", ) ,
    ("420890", "JARAGUÁ DO SUL", "SC", ) ,
    ("420895", "JARDINÓPOLIS", "SC", ) ,
    ("420900", "JOAÇABA", "SC", ) ,
    ("420910", "JOINVILLE", "SC", ) ,
    ("420915", "JOSÉ BOITEUX", "SC", ) ,
    ("420917", "JUPIÁ", "SC", ) ,
    ("420920", "LACERDÓPOLIS", "SC", ) ,
    ("420930", "LAGES", "SC", ) ,
    ("420940", "LAGUNA", "SC", ) ,
    ("420945", "LAJEADO GRANDE", "SC", ) ,
    ("420950", "LAURENTINO", "SC", ) ,
    ("420960", "LAURO MULLER", "SC", ) ,
    ("420970", "LEBON RÉGIS", "SC", ) ,
    ("420980", "LEOBERTO LEAL", "SC", ) ,
    ("420985", "LINDÓIA DO SUL", "SC", ) ,
    ("420990", "LONTRAS", "SC", ) ,
    ("421000", "LUIZ ALVES", "SC", ) ,
    ("421003", "LUZERNA", "SC", ) ,
    ("421005", "MACIEIRA", "SC", ) ,
    ("421010", "MAFRA", "SC", ) ,
    ("421020", "MAJOR GERCINO", "SC", ) ,
    ("421030", "MAJOR VIEIRA", "SC", ) ,
    ("421040", "MARACAJÁ", "SC", ) ,
    ("421050", "MARAVILHA", "SC", ) ,
    ("421055", "MAREMA", "SC", ) ,
    ("421060", "MASSARANDUBA", "SC", ) ,
    ("421070", "MATOS COSTA", "SC", ) ,
    ("421080", "MELEIRO", "SC", ) ,
    ("421085", "MIRIM DOCE", "SC", ) ,
    ("421090", "MODELO", "SC", ) ,
    ("421100", "MONDAÍ", "SC", ) ,
    ("421105", "MONTE CARLO", "SC", ) ,
    ("421110", "MONTE CASTELO", "SC", ) ,
    ("421120", "MORRO DA FUMAÇA", "SC", ) ,
    ("421125", "MORRO GRANDE", "SC", ) ,
    ("421130", "NAVEGANTES", "SC", ) ,
    ("421140", "NOVA ERECHIM", "SC", ) ,
    ("421145", "NOVA ITABERABA", "SC", ) ,
    ("421150", "NOVA TRENTO", "SC", ) ,
    ("421160", "NOVA VENEZA", "SC", ) ,
    ("421165", "NOVO HORIZONTE", "SC", ) ,
    ("421170", "ORLEANS", "SC", ) ,
    ("421175", "OTACÍLIO COSTA", "SC", ) ,
    ("421180", "OURO", "SC", ) ,
    ("421185", "OURO VERDE", "SC", ) ,
    ("421187", "PAIAL", "SC", ) ,
    ("421189", "PAINEL", "SC", ) ,
    ("421190", "PALHOÇA", "SC", ) ,
    ("421200", "PALMA SOLA", "SC", ) ,
    ("421205", "PALMEIRA", "SC", ) ,
    ("421210", "PALMITOS", "SC", ) ,
    ("421220", "PAPANDUVA", "SC", ) ,
    ("421223", "PARAÍSO", "SC", ) ,
    ("421225", "PASSO DE TORRES", "SC", ) ,
    ("421227", "PASSOS MAIA", "SC", ) ,
    ("421230", "PAULO LOPES", "SC", ) ,
    ("421240", "PEDRAS GRANDES", "SC", ) ,
    ("421250", "PENHA", "SC", ) ,
    ("421260", "PERITIBA", "SC", ) ,
    ("421270", "PETROLÂNDIA", "SC", ) ,
    ("421280", "BALNEÁRIO PIÇARRAS", "SC", ) ,
    ("421290", "PINHALZINHO", "SC", ) ,
    ("421300", "PINHEIRO PRETO", "SC", ) ,
    ("421310", "PIRATUBA", "SC", ) ,
    ("421315", "PLANALTO ALEGRE", "SC", ) ,
    ("421320", "POMERODE", "SC", ) ,
    ("421330", "PONTE ALTA", "SC", ) ,
    ("421335", "PONTE ALTA DO NORTE", "SC", ) ,
    ("421340", "PONTE SERRADA", "SC", ) ,
    ("421350", "PORTO BELO", "SC", ) ,
    ("421360", "PORTO UNIÃO", "SC", ) ,
    ("421370", "POUSO REDONDO", "SC", ) ,
    ("421380", "PRAIA GRANDE", "SC", ) ,
    ("421390", "PRESIDENTE CASTELLO BRANCO", "SC", ) ,
    ("421400", "PRESIDENTE GETÚLIO", "SC", ) ,
    ("421410", "PRESIDENTE NEREU", "SC", ) ,
    ("421415", "PRINCESA", "SC", ) ,
    ("421420", "QUILOMBO", "SC", ) ,
    ("421430", "RANCHO QUEIMADO", "SC", ) ,
    ("421440", "RIO DAS ANTAS", "SC", ) ,
    ("421450", "RIO DO CAMPO", "SC", ) ,
    ("421460", "RIO DO OESTE", "SC", ) ,
    ("421470", "RIO DOS CEDROS", "SC", ) ,
    ("421480", "RIO DO SUL", "SC", ) ,
    ("421490", "RIO FORTUNA", "SC", ) ,
    ("421500", "RIO NEGRINHO", "SC", ) ,
    ("421505", "RIO RUFINO", "SC", ) ,
    ("421507", "RIQUEZA", "SC", ) ,
    ("421510", "RODEIO", "SC", ) ,
    ("421520", "ROMELÂNDIA", "SC", ) ,
    ("421530", "SALETE", "SC", ) ,
    ("421535", "SALTINHO", "SC", ) ,
    ("421540", "SALTO VELOSO", "SC", ) ,
    ("421545", "SANGÃO", "SC", ) ,
    ("421550", "SANTA CECÍLIA", "SC", ) ,
    ("421555", "SANTA HELENA", "SC", ) ,
    ("421560", "SANTA ROSA DE LIMA", "SC", ) ,
    ("421565", "SANTA ROSA DO SUL", "SC", ) ,
    ("421567", "SANTA TEREZINHA", "SC", ) ,
    ("421568", "SANTA TEREZINHA DO PROGRESSO", "SC", ) ,
    ("421569", "SANTIAGO DO SUL", "SC", ) ,
    ("421570", "SANTO AMARO DA IMPERATRIZ", "SC", ) ,
    ("421575", "SÃO BERNARDINO", "SC", ) ,
    ("421580", "SÃO BENTO DO SUL", "SC", ) ,
    ("421590", "SÃO BONIFÁCIO", "SC", ) ,
    ("421600", "SÃO CARLOS", "SC", ) ,
    ("421605", "SÃO CRISTOVÃO DO SUL", "SC", ) ,
    ("421610", "SÃO DOMINGOS", "SC", ) ,
    ("421620", "SÃO FRANCISCO DO SUL", "SC", ) ,
    ("421625", "SÃO JOÃO DO OESTE", "SC", ) ,
    ("421630", "SÃO JOÃO BATISTA", "SC", ) ,
    ("421635", "SÃO JOÃO DO ITAPERIÚ", "SC", ) ,
    ("421640", "SÃO JOÃO DO SUL", "SC", ) ,
    ("421650", "SÃO JOAQUIM", "SC", ) ,
    ("421660", "SÃO JOSÉ", "SC", ) ,
    ("421670", "SÃO JOSÉ DO CEDRO", "SC", ) ,
    ("421680", "SÃO JOSÉ DO CERRITO", "SC", ) ,
    ("421690", "SÃO LOURENÇO DO OESTE", "SC", ) ,
    ("421700", "SÃO LUDGERO", "SC", ) ,
    ("421710", "SÃO MARTINHO", "SC", ) ,
    ("421715", "SÃO MIGUEL DA BOA VISTA", "SC", ) ,
    ("421720", "SÃO MIGUEL DO OESTE", "SC", ) ,
    ("421725", "SÃO PEDRO DE ALCÂNTARA", "SC", ) ,
    ("421730", "SAUDADES", "SC", ) ,
    ("421740", "SCHROEDER", "SC", ) ,
    ("421750", "SEARA", "SC", ) ,
    ("421755", "SERRA ALTA", "SC", ) ,
    ("421760", "SIDERÓPOLIS", "SC", ) ,
    ("421770", "SOMBRIO", "SC", ) ,
    ("421775", "SUL BRASIL", "SC", ) ,
    ("421780", "TAIÓ", "SC", ) ,
    ("421790", "TANGARÁ", "SC", ) ,
    ("421795", "TIGRINHOS", "SC", ) ,
    ("421800", "TIJUCAS", "SC", ) ,
    ("421810", "TIMBÉ DO SUL", "SC", ) ,
    ("421820", "TIMBÓ", "SC", ) ,
    ("421825", "TIMBÓ GRANDE", "SC", ) ,
    ("421830", "TRÊS BARRAS", "SC", ) ,
    ("421835", "TREVISO", "SC", ) ,
    ("421840", "TREZE DE MAIO", "SC", ) ,
    ("421850", "TREZE TÍLIAS", "SC", ) ,
    ("421860", "TROMBUDO CENTRAL", "SC", ) ,
    ("421870", "TUBARÃO", "SC", ) ,
    ("421875", "TUNÁPOLIS", "SC", ) ,
    ("421880", "TURVO", "SC", ) ,
    ("421885", "UNIÃO DO OESTE", "SC", ) ,
    ("421890", "URUBICI", "SC", ) ,
    ("421895", "URUPEMA", "SC", ) ,
    ("421900", "URUSSANGA", "SC", ) ,
    ("421910", "VARGEÃO", "SC", ) ,
    ("421915", "VARGEM", "SC", ) ,
    ("421917", "VARGEM BONITA", "SC", ) ,
    ("421920", "VIDAL RAMOS", "SC", ) ,
    ("421930", "VIDEIRA", "SC", ) ,
    ("421935", "VITOR MEIRELES", "SC", ) ,
    ("421940", "WITMARSUM", "SC", ) ,
    ("421950", "XANXERÊ", "SC", ) ,
    ("421960", "XAVANTINA", "SC", ) ,
    ("421970", "XAXIM", "SC", ) ,
    ("421985", "ZORTÉA", "SC", ) ,
    ("430003", "ACEGUÁ", "RS", ) ,
    ("430005", "ÁGUA SANTA", "RS", ) ,
    ("430010", "AGUDO", "RS", ) ,
    ("430020", "AJURICABA", "RS", ) ,
    ("430030", "ALECRIM", "RS", ) ,
    ("430040", "ALEGRETE", "RS", ) ,
    ("430045", "ALEGRIA", "RS", ) ,
    ("430047", "ALMIRANTE TAMANDARÉ DO SUL", "RS", ) ,
    ("430050", "ALPESTRE", "RS", ) ,
    ("430055", "ALTO ALEGRE", "RS", ) ,
    ("430057", "ALTO FELIZ", "RS", ) ,
    ("430060", "ALVORADA", "RS", ) ,
    ("430063", "AMARAL FERRADOR", "RS", ) ,
    ("430064", "AMETISTA DO SUL", "RS", ) ,
    ("430066", "ANDRÉ DA ROCHA", "RS", ) ,
    ("430070", "ANTA GORDA", "RS", ) ,
    ("430080", "ANTÔNIO PRADO", "RS", ) ,
    ("430085", "ARAMBARÉ", "RS", ) ,
    ("430087", "ARARICÁ", "RS", ) ,
    ("430090", "ARATIBA", "RS", ) ,
    ("430100", "ARROIO DO MEIO", "RS", ) ,
    ("430105", "ARROIO DO SAL", "RS", ) ,
    ("430107", "ARROIO DO PADRE", "RS", ) ,
    ("430110", "ARROIO DOS RATOS", "RS", ) ,
    ("430120", "ARROIO DO TIGRE", "RS", ) ,
    ("430130", "ARROIO GRANDE", "RS", ) ,
    ("430140", "ARVOREZINHA", "RS", ) ,
    ("430150", "AUGUSTO PESTANA", "RS", ) ,
    ("430155", "ÁUREA", "RS", ) ,
    ("430160", "BAGÉ", "RS", ) ,
    ("430163", "BALNEÁRIO PINHAL", "RS", ) ,
    ("430165", "BARÃO", "RS", ) ,
    ("430170", "BARÃO DE COTEGIPE", "RS", ) ,
    ("430175", "BARÃO DO TRIUNFO", "RS", ) ,
    ("430180", "BARRACÃO", "RS", ) ,
    ("430185", "BARRA DO GUARITA", "RS", ) ,
    ("430187", "BARRA DO QUARAÍ", "RS", ) ,
    ("430190", "BARRA DO RIBEIRO", "RS", ) ,
    ("430192", "BARRA DO RIO AZUL", "RS", ) ,
    ("430195", "BARRA FUNDA", "RS", ) ,
    ("430200", "BARROS CASSAL", "RS", ) ,
    ("430205", "BENJAMIN CONSTANT DO SUL", "RS", ) ,
    ("430210", "BENTO GONÇALVES", "RS", ) ,
    ("430215", "BOA VISTA DAS MISSÕES", "RS", ) ,
    ("430220", "BOA VISTA DO BURICÁ", "RS", ) ,
    ("430222", "BOA VISTA DO CADEADO", "RS", ) ,
    ("430223", "BOA VISTA DO INCRA", "RS", ) ,
    ("430225", "BOA VISTA DO SUL", "RS", ) ,
    ("430230", "BOM JESUS", "RS", ) ,
    ("430235", "BOM PRINCÍPIO", "RS", ) ,
    ("430237", "BOM PROGRESSO", "RS", ) ,
    ("430240", "BOM RETIRO DO SUL", "RS", ) ,
    ("430245", "BOQUEIRÃO DO LEÃO", "RS", ) ,
    ("430250", "BOSSOROCA", "RS", ) ,
    ("430258", "BOZANO", "RS", ) ,
    ("430260", "BRAGA", "RS", ) ,
    ("430265", "BROCHIER", "RS", ) ,
    ("430270", "BUTIÁ", "RS", ) ,
    ("430280", "CAÇAPAVA DO SUL", "RS", ) ,
    ("430290", "CACEQUI", "RS", ) ,
    ("430300", "CACHOEIRA DO SUL", "RS", ) ,
    ("430310", "CACHOEIRINHA", "RS", ) ,
    ("430320", "CACIQUE DOBLE", "RS", ) ,
    ("430330", "CAIBATÉ", "RS", ) ,
    ("430340", "CAIÇARA", "RS", ) ,
    ("430350", "CAMAQUÃ", "RS", ) ,
    ("430355", "CAMARGO", "RS", ) ,
    ("430360", "CAMBARÁ DO SUL", "RS", ) ,
    ("430367", "CAMPESTRE DA SERRA", "RS", ) ,
    ("430370", "CAMPINA DAS MISSÕES", "RS", ) ,
    ("430380", "CAMPINAS DO SUL", "RS", ) ,
    ("430390", "CAMPO BOM", "RS", ) ,
    ("430400", "CAMPO NOVO", "RS", ) ,
    ("430410", "CAMPOS BORGES", "RS", ) ,
    ("430420", "CANDELÁRIA", "RS", ) ,
    ("430430", "CÂNDIDO GODÓI", "RS", ) ,
    ("430435", "CANDIOTA", "RS", ) ,
    ("430440", "CANELA", "RS", ) ,
    ("430450", "CANGUÇU", "RS", ) ,
    ("430460", "CANOAS", "RS", ) ,
    ("430461", "CANUDOS DO VALE", "RS", ) ,
    ("430462", "CAPÃO BONITO DO SUL", "RS", ) ,
    ("430463", "CAPÃO DA CANOA", "RS", ) ,
    ("430465", "CAPÃO DO CIPÓ", "RS", ) ,
    ("430466", "CAPÃO DO LEÃO", "RS", ) ,
    ("430467", "CAPIVARI DO SUL", "RS", ) ,
    ("430468", "CAPELA DE SANTANA", "RS", ) ,
    ("430469", "CAPITÃO", "RS", ) ,
    ("430470", "CARAZINHO", "RS", ) ,
    ("430471", "CARAÁ", "RS", ) ,
    ("430480", "CARLOS BARBOSA", "RS", ) ,
    ("430485", "CARLOS GOMES", "RS", ) ,
    ("430490", "CASCA", "RS", ) ,
    ("430495", "CASEIROS", "RS", ) ,
    ("430500", "CATUÍPE", "RS", ) ,
    ("430510", "CAXIAS DO SUL", "RS", ) ,
    ("430511", "CENTENÁRIO", "RS", ) ,
    ("430512", "CERRITO", "RS", ) ,
    ("430513", "CERRO BRANCO", "RS", ) ,
    ("430515", "CERRO GRANDE", "RS", ) ,
    ("430517", "CERRO GRANDE DO SUL", "RS", ) ,
    ("430520", "CERRO LARGO", "RS", ) ,
    ("430530", "CHAPADA", "RS", ) ,
    ("430535", "CHARQUEADAS", "RS", ) ,
    ("430537", "CHARRUA", "RS", ) ,
    ("430540", "CHIAPETTA", "RS", ) ,
    ("430543", "CHUÍ", "RS", ) ,
    ("430544", "CHUVISCA", "RS", ) ,
    ("430545", "CIDREIRA", "RS", ) ,
    ("430550", "CIRÍACO", "RS", ) ,
    ("430558", "COLINAS", "RS", ) ,
    ("430560", "COLORADO", "RS", ) ,
    ("430570", "CONDOR", "RS", ) ,
    ("430580", "CONSTANTINA", "RS", ) ,
    ("430583", "COQUEIRO BAIXO", "RS", ) ,
    ("430585", "COQUEIROS DO SUL", "RS", ) ,
    ("430587", "CORONEL BARROS", "RS", ) ,
    ("430590", "CORONEL BICACO", "RS", ) ,
    ("430593", "CORONEL PILAR", "RS", ) ,
    ("430595", "COTIPORÃ", "RS", ) ,
    ("430597", "COXILHA", "RS", ) ,
    ("430600", "CRISSIUMAL", "RS", ) ,
    ("430605", "CRISTAL", "RS", ) ,
    ("430607", "CRISTAL DO SUL", "RS", ) ,
    ("430610", "CRUZ ALTA", "RS", ) ,
    ("430613", "CRUZALTENSE", "RS", ) ,
    ("430620", "CRUZEIRO DO SUL", "RS", ) ,
    ("430630", "DAVID CANABARRO", "RS", ) ,
    ("430632", "DERRUBADAS", "RS", ) ,
    ("430635", "DEZESSEIS DE NOVEMBRO", "RS", ) ,
    ("430637", "DILERMANDO DE AGUIAR", "RS", ) ,
    ("430640", "DOIS IRMÃOS", "RS", ) ,
    ("430642", "DOIS IRMÃOS DAS MISSÕES", "RS", ) ,
    ("430645", "DOIS LAJEADOS", "RS", ) ,
    ("430650", "DOM FELICIANO", "RS", ) ,
    ("430655", "DOM PEDRO DE ALCÂNTARA", "RS", ) ,
    ("430660", "DOM PEDRITO", "RS", ) ,
    ("430670", "DONA FRANCISCA", "RS", ) ,
    ("430673", "DOUTOR MAURÍCIO CARDOSO", "RS", ) ,
    ("430675", "DOUTOR RICARDO", "RS", ) ,
    ("430676", "ELDORADO DO SUL", "RS", ) ,
    ("430680", "ENCANTADO", "RS", ) ,
    ("430690", "ENCRUZILHADA DO SUL", "RS", ) ,
    ("430692", "ENGENHO VELHO", "RS", ) ,
    ("430693", "ENTRE-IJUÍS", "RS", ) ,
    ("430695", "ENTRE RIOS DO SUL", "RS", ) ,
    ("430697", "EREBANGO", "RS", ) ,
    ("430700", "ERECHIM", "RS", ) ,
    ("430705", "ERNESTINA", "RS", ) ,
    ("430710", "HERVAL", "RS", ) ,
    ("430720", "ERVAL GRANDE", "RS", ) ,
    ("430730", "ERVAL SECO", "RS", ) ,
    ("430740", "ESMERALDA", "RS", ) ,
    ("430745", "ESPERANÇA DO SUL", "RS", ) ,
    ("430750", "ESPUMOSO", "RS", ) ,
    ("430755", "ESTAÇÃO", "RS", ) ,
    ("430760", "ESTÂNCIA VELHA", "RS", ) ,
    ("430770", "ESTEIO", "RS", ) ,
    ("430780", "ESTRELA", "RS", ) ,
    ("430781", "ESTRELA VELHA", "RS", ) ,
    ("430783", "EUGÊNIO DE CASTRO", "RS", ) ,
    ("430786", "FAGUNDES VARELA", "RS", ) ,
    ("430790", "FARROUPILHA", "RS", ) ,
    ("430800", "FAXINAL DO SOTURNO", "RS", ) ,
    ("430805", "FAXINALZINHO", "RS", ) ,
    ("430807", "FAZENDA VILANOVA", "RS", ) ,
    ("430810", "FELIZ", "RS", ) ,
    ("430820", "FLORES DA CUNHA", "RS", ) ,
    ("430825", "FLORIANO PEIXOTO", "RS", ) ,
    ("430830", "FONTOURA XAVIER", "RS", ) ,
    ("430840", "FORMIGUEIRO", "RS", ) ,
    ("430843", "FORQUETINHA", "RS", ) ,
    ("430845", "FORTALEZA DOS VALOS", "RS", ) ,
    ("430850", "FREDERICO WESTPHALEN", "RS", ) ,
    ("430860", "GARIBALDI", "RS", ) ,
    ("430865", "GARRUCHOS", "RS", ) ,
    ("430870", "GAURAMA", "RS", ) ,
    ("430880", "GENERAL CÂMARA", "RS", ) ,
    ("430885", "GENTIL", "RS", ) ,
    ("430890", "GETÚLIO VARGAS", "RS", ) ,
    ("430900", "GIRUÁ", "RS", ) ,
    ("430905", "GLORINHA", "RS", ) ,
    ("430910", "GRAMADO", "RS", ) ,
    ("430912", "GRAMADO DOS LOUREIROS", "RS", ) ,
    ("430915", "GRAMADO XAVIER", "RS", ) ,
    ("430920", "GRAVATAÍ", "RS", ) ,
    ("430925", "GUABIJU", "RS", ) ,
    ("430930", "GUAÍBA", "RS", ) ,
    ("430940", "GUAPORÉ", "RS", ) ,
    ("430950", "GUARANI DAS MISSÕES", "RS", ) ,
    ("430955", "HARMONIA", "RS", ) ,
    ("430957", "HERVEIRAS", "RS", ) ,
    ("430960", "HORIZONTINA", "RS", ) ,
    ("430965", "HULHA NEGRA", "RS", ) ,
    ("430970", "HUMAITÁ", "RS", ) ,
    ("430975", "IBARAMA", "RS", ) ,
    ("430980", "IBIAÇÁ", "RS", ) ,
    ("430990", "IBIRAIARAS", "RS", ) ,
    ("430995", "IBIRAPUITÃ", "RS", ) ,
    ("431000", "IBIRUBÁ", "RS", ) ,
    ("431010", "IGREJINHA", "RS", ) ,
    ("431020", "IJUÍ", "RS", ) ,
    ("431030", "ILÓPOLIS", "RS", ) ,
    ("431033", "IMBÉ", "RS", ) ,
    ("431036", "IMIGRANTE", "RS", ) ,
    ("431040", "INDEPENDÊNCIA", "RS", ) ,
    ("431041", "INHACORÁ", "RS", ) ,
    ("431043", "IPÊ", "RS", ) ,
    ("431046", "IPIRANGA DO SUL", "RS", ) ,
    ("431050", "IRAÍ", "RS", ) ,
    ("431053", "ITAARA", "RS", ) ,
    ("431055", "ITACURUBI", "RS", ) ,
    ("431057", "ITAPUCA", "RS", ) ,
    ("431060", "ITAQUI", "RS", ) ,
    ("431065", "ITATI", "RS", ) ,
    ("431070", "ITATIBA DO SUL", "RS", ) ,
    ("431075", "IVORÁ", "RS", ) ,
    ("431080", "IVOTI", "RS", ) ,
    ("431085", "JABOTICABA", "RS", ) ,
    ("431087", "JACUIZINHO", "RS", ) ,
    ("431090", "JACUTINGA", "RS", ) ,
    ("431100", "JAGUARÃO", "RS", ) ,
    ("431110", "JAGUARI", "RS", ) ,
    ("431112", "JAQUIRANA", "RS", ) ,
    ("431113", "JARI", "RS", ) ,
    ("431115", "JÓIA", "RS", ) ,
    ("431120", "JÚLIO DE CASTILHOS", "RS", ) ,
    ("431123", "LAGOA BONITA DO SUL", "RS", ) ,
    ("431125", "LAGOÃO", "RS", ) ,
    ("431127", "LAGOA DOS TRÊS CANTOS", "RS", ) ,
    ("431130", "LAGOA VERMELHA", "RS", ) ,
    ("431140", "LAJEADO", "RS", ) ,
    ("431142", "LAJEADO DO BUGRE", "RS", ) ,
    ("431150", "LAVRAS DO SUL", "RS", ) ,
    ("431160", "LIBERATO SALZANO", "RS", ) ,
    ("431162", "LINDOLFO COLLOR", "RS", ) ,
    ("431164", "LINHA NOVA", "RS", ) ,
    ("431170", "MACHADINHO", "RS", ) ,
    ("431171", "MAÇAMBARÁ", "RS", ) ,
    ("431173", "MAMPITUBA", "RS", ) ,
    ("431175", "MANOEL VIANA", "RS", ) ,
    ("431177", "MAQUINÉ", "RS", ) ,
    ("431179", "MARATÁ", "RS", ) ,
    ("431180", "MARAU", "RS", ) ,
    ("431190", "MARCELINO RAMOS", "RS", ) ,
    ("431198", "MARIANA PIMENTEL", "RS", ) ,
    ("431200", "MARIANO MORO", "RS", ) ,
    ("431205", "MARQUES DE SOUZA", "RS", ) ,
    ("431210", "MATA", "RS", ) ,
    ("431213", "MATO CASTELHANO", "RS", ) ,
    ("431215", "MATO LEITÃO", "RS", ) ,
    ("431217", "MATO QUEIMADO", "RS", ) ,
    ("431220", "MAXIMILIANO DE ALMEIDA", "RS", ) ,
    ("431225", "MINAS DO LEÃO", "RS", ) ,
    ("431230", "MIRAGUAÍ", "RS", ) ,
    ("431235", "MONTAURI", "RS", ) ,
    ("431237", "MONTE ALEGRE DOS CAMPOS", "RS", ) ,
    ("431238", "MONTE BELO DO SUL", "RS", ) ,
    ("431240", "MONTENEGRO", "RS", ) ,
    ("431242", "MORMAÇO", "RS", ) ,
    ("431244", "MORRINHOS DO SUL", "RS", ) ,
    ("431245", "MORRO REDONDO", "RS", ) ,
    ("431247", "MORRO REUTER", "RS", ) ,
    ("431250", "MOSTARDAS", "RS", ) ,
    ("431260", "MUÇUM", "RS", ) ,
    ("431261", "MUITOS CAPÕES", "RS", ) ,
    ("431262", "MULITERNO", "RS", ) ,
    ("431265", "NÃO-ME-TOQUE", "RS", ) ,
    ("431267", "NICOLAU VERGUEIRO", "RS", ) ,
    ("431270", "NONOAI", "RS", ) ,
    ("431275", "NOVA ALVORADA", "RS", ) ,
    ("431280", "NOVA ARAÇÁ", "RS", ) ,
    ("431290", "NOVA BASSANO", "RS", ) ,
    ("431295", "NOVA BOA VISTA", "RS", ) ,
    ("431300", "NOVA BRÉSCIA", "RS", ) ,
    ("431301", "NOVA CANDELÁRIA", "RS", ) ,
    ("431303", "NOVA ESPERANÇA DO SUL", "RS", ) ,
    ("431306", "NOVA HARTZ", "RS", ) ,
    ("431308", "NOVA PÁDUA", "RS", ) ,
    ("431310", "NOVA PALMA", "RS", ) ,
    ("431320", "NOVA PETRÓPOLIS", "RS", ) ,
    ("431330", "NOVA PRATA", "RS", ) ,
    ("431333", "NOVA RAMADA", "RS", ) ,
    ("431335", "NOVA ROMA DO SUL", "RS", ) ,
    ("431337", "NOVA SANTA RITA", "RS", ) ,
    ("431339", "NOVO CABRAIS", "RS", ) ,
    ("431340", "NOVO HAMBURGO", "RS", ) ,
    ("431342", "NOVO MACHADO", "RS", ) ,
    ("431344", "NOVO TIRADENTES", "RS", ) ,
    ("431346", "NOVO XINGU", "RS", ) ,
    ("431349", "NOVO BARREIRO", "RS", ) ,
    ("431350", "OSÓRIO", "RS", ) ,
    ("431360", "PAIM FILHO", "RS", ) ,
    ("431365", "PALMARES DO SUL", "RS", ) ,
    ("431370", "PALMEIRA DAS MISSÕES", "RS", ) ,
    ("431380", "PALMITINHO", "RS", ) ,
    ("431390", "PANAMBI", "RS", ) ,
    ("431395", "PANTANO GRANDE", "RS", ) ,
    ("431400", "PARAÍ", "RS", ) ,
    ("431402", "PARAÍSO DO SUL", "RS", ) ,
    ("431403", "PARECI NOVO", "RS", ) ,
    ("431405", "PAROBÉ", "RS", ) ,
    ("431406", "PASSA SETE", "RS", ) ,
    ("431407", "PASSO DO SOBRADO", "RS", ) ,
    ("431410", "PASSO FUNDO", "RS", ) ,
    ("431413", "PAULO BENTO", "RS", ) ,
    ("431415", "PAVERAMA", "RS", ) ,
    ("431417", "PEDRAS ALTAS", "RS", ) ,
    ("431420", "PEDRO OSÓRIO", "RS", ) ,
    ("431430", "PEJUÇARA", "RS", ) ,
    ("431440", "PELOTAS", "RS", ) ,
    ("431442", "PICADA CAFÉ", "RS", ) ,
    ("431445", "PINHAL", "RS", ) ,
    ("431446", "PINHAL DA SERRA", "RS", ) ,
    ("431447", "PINHAL GRANDE", "RS", ) ,
    ("431449", "PINHEIRINHO DO VALE", "RS", ) ,
    ("431450", "PINHEIRO MACHADO", "RS", ) ,
    ("431455", "PIRAPÓ", "RS", ) ,
    ("431460", "PIRATINI", "RS", ) ,
    ("431470", "PLANALTO", "RS", ) ,
    ("431475", "POÇO DAS ANTAS", "RS", ) ,
    ("431477", "PONTÃO", "RS", ) ,
    ("431478", "PONTE PRETA", "RS", ) ,
    ("431480", "PORTÃO", "RS", ) ,
    ("431490", "PORTO ALEGRE", "RS", ) ,
    ("431500", "PORTO LUCENA", "RS", ) ,
    ("431505", "PORTO MAUÁ", "RS", ) ,
    ("431507", "PORTO VERA CRUZ", "RS", ) ,
    ("431510", "PORTO XAVIER", "RS", ) ,
    ("431513", "POUSO NOVO", "RS", ) ,
    ("431514", "PRESIDENTE LUCENA", "RS", ) ,
    ("431515", "PROGRESSO", "RS", ) ,
    ("431517", "PROTÁSIO ALVES", "RS", ) ,
    ("431520", "PUTINGA", "RS", ) ,
    ("431530", "QUARAÍ", "RS", ) ,
    ("431531", "QUATRO IRMÃOS", "RS", ) ,
    ("431532", "QUEVEDOS", "RS", ) ,
    ("431535", "QUINZE DE NOVEMBRO", "RS", ) ,
    ("431540", "REDENTORA", "RS", ) ,
    ("431545", "RELVADO", "RS", ) ,
    ("431550", "RESTINGA SECA", "RS", ) ,
    ("431555", "RIO DOS ÍNDIOS", "RS", ) ,
    ("431560", "RIO GRANDE", "RS", ) ,
    ("431570", "RIO PARDO", "RS", ) ,
    ("431575", "RIOZINHO", "RS", ) ,
    ("431580", "ROCA SALES", "RS", ) ,
    ("431590", "RODEIO BONITO", "RS", ) ,
    ("431595", "ROLADOR", "RS", ) ,
    ("431600", "ROLANTE", "RS", ) ,
    ("431610", "RONDA ALTA", "RS", ) ,
    ("431620", "RONDINHA", "RS", ) ,
    ("431630", "ROQUE GONZALES", "RS", ) ,
    ("431640", "ROSÁRIO DO SUL", "RS", ) ,
    ("431642", "SAGRADA FAMÍLIA", "RS", ) ,
    ("431643", "SALDANHA MARINHO", "RS", ) ,
    ("431645", "SALTO DO JACUÍ", "RS", ) ,
    ("431647", "SALVADOR DAS MISSÕES", "RS", ) ,
    ("431650", "SALVADOR DO SUL", "RS", ) ,
    ("431660", "SANANDUVA", "RS", ) ,
    ("431670", "SANTA BÁRBARA DO SUL", "RS", ) ,
    ("431673", "SANTA CECÍLIA DO SUL", "RS", ) ,
    ("431675", "SANTA CLARA DO SUL", "RS", ) ,
    ("431680", "SANTA CRUZ DO SUL", "RS", ) ,
    ("431690", "SANTA MARIA", "RS", ) ,
    ("431695", "SANTA MARIA DO HERVAL", "RS", ) ,
    ("431697", "SANTA MARGARIDA DO SUL", "RS", ) ,
    ("431700", "SANTANA DA BOA VISTA", "RS", ) ,
    ("431710", "SANT'ANA DO LIVRAMENTO", "RS", ) ,
    ("431720", "SANTA ROSA", "RS", ) ,
    ("431725", "SANTA TEREZA", "RS", ) ,
    ("431730", "SANTA VITÓRIA DO PALMAR", "RS", ) ,
    ("431740", "SANTIAGO", "RS", ) ,
    ("431750", "SANTO ÂNGELO", "RS", ) ,
    ("431755", "SANTO ANTÔNIO DO PALMA", "RS", ) ,
    ("431760", "SANTO ANTÔNIO DA PATRULHA", "RS", ) ,
    ("431770", "SANTO ANTÔNIO DAS MISSÕES", "RS", ) ,
    ("431775", "SANTO ANTÔNIO DO PLANALTO", "RS", ) ,
    ("431780", "SANTO AUGUSTO", "RS", ) ,
    ("431790", "SANTO CRISTO", "RS", ) ,
    ("431795", "SANTO EXPEDITO DO SUL", "RS", ) ,
    ("431800", "SÃO BORJA", "RS", ) ,
    ("431805", "SÃO DOMINGOS DO SUL", "RS", ) ,
    ("431810", "SÃO FRANCISCO DE ASSIS", "RS", ) ,
    ("431820", "SÃO FRANCISCO DE PAULA", "RS", ) ,
    ("431830", "SÃO GABRIEL", "RS", ) ,
    ("431840", "SÃO JERÔNIMO", "RS", ) ,
    ("431842", "SÃO JOÃO DA URTIGA", "RS", ) ,
    ("431843", "SÃO JOÃO DO POLÊSINE", "RS", ) ,
    ("431844", "SÃO JORGE", "RS", ) ,
    ("431845", "SÃO JOSÉ DAS MISSÕES", "RS", ) ,
    ("431846", "SÃO JOSÉ DO HERVAL", "RS", ) ,
    ("431848", "SÃO JOSÉ DO HORTÊNCIO", "RS", ) ,
    ("431849", "SÃO JOSÉ DO INHACORÁ", "RS", ) ,
    ("431850", "SÃO JOSÉ DO NORTE", "RS", ) ,
    ("431860", "SÃO JOSÉ DO OURO", "RS", ) ,
    ("431861", "SÃO JOSÉ DO SUL", "RS", ) ,
    ("431862", "SÃO JOSÉ DOS AUSENTES", "RS", ) ,
    ("431870", "SÃO LEOPOLDO", "RS", ) ,
    ("431880", "SÃO LOURENÇO DO SUL", "RS", ) ,
    ("431890", "SÃO LUIZ GONZAGA", "RS", ) ,
    ("431900", "SÃO MARCOS", "RS", ) ,
    ("431910", "SÃO MARTINHO", "RS", ) ,
    ("431912", "SÃO MARTINHO DA SERRA", "RS", ) ,
    ("431915", "SÃO MIGUEL DAS MISSÕES", "RS", ) ,
    ("431920", "SÃO NICOLAU", "RS", ) ,
    ("431930", "SÃO PAULO DAS MISSÕES", "RS", ) ,
    ("431935", "SÃO PEDRO DA SERRA", "RS", ) ,
    ("431936", "SÃO PEDRO DAS MISSÕES", "RS", ) ,
    ("431937", "SÃO PEDRO DO BUTIÁ", "RS", ) ,
    ("431940", "SÃO PEDRO DO SUL", "RS", ) ,
    ("431950", "SÃO SEBASTIÃO DO CAÍ", "RS", ) ,
    ("431960", "SÃO SEPÉ", "RS", ) ,
    ("431970", "SÃO VALENTIM", "RS", ) ,
    ("431971", "SÃO VALENTIM DO SUL", "RS", ) ,
    ("431973", "SÃO VALÉRIO DO SUL", "RS", ) ,
    ("431975", "SÃO VENDELINO", "RS", ) ,
    ("431980", "SÃO VICENTE DO SUL", "RS", ) ,
    ("431990", "SAPIRANGA", "RS", ) ,
    ("432000", "SAPUCAIA DO SUL", "RS", ) ,
    ("432010", "SARANDI", "RS", ) ,
    ("432020", "SEBERI", "RS", ) ,
    ("432023", "SEDE NOVA", "RS", ) ,
    ("432026", "SEGREDO", "RS", ) ,
    ("432030", "SELBACH", "RS", ) ,
    ("432032", "SENADOR SALGADO FILHO", "RS", ) ,
    ("432035", "SENTINELA DO SUL", "RS", ) ,
    ("432040", "SERAFINA CORRÊA", "RS", ) ,
    ("432045", "SÉRIO", "RS", ) ,
    ("432050", "SERTÃO", "RS", ) ,
    ("432055", "SERTÃO SANTANA", "RS", ) ,
    ("432057", "SETE DE SETEMBRO", "RS", ) ,
    ("432060", "SEVERIANO DE ALMEIDA", "RS", ) ,
    ("432065", "SILVEIRA MARTINS", "RS", ) ,
    ("432067", "SINIMBU", "RS", ) ,
    ("432070", "SOBRADINHO", "RS", ) ,
    ("432080", "SOLEDADE", "RS", ) ,
    ("432085", "TABAÍ", "RS", ) ,
    ("432090", "TAPEJARA", "RS", ) ,
    ("432100", "TAPERA", "RS", ) ,
    ("432110", "TAPES", "RS", ) ,
    ("432120", "TAQUARA", "RS", ) ,
    ("432130", "TAQUARI", "RS", ) ,
    ("432132", "TAQUARUÇU DO SUL", "RS", ) ,
    ("432135", "TAVARES", "RS", ) ,
    ("432140", "TENENTE PORTELA", "RS", ) ,
    ("432143", "TERRA DE AREIA", "RS", ) ,
    ("432145", "TEUTÔNIA", "RS", ) ,
    ("432146", "TIO HUGO", "RS", ) ,
    ("432147", "TIRADENTES DO SUL", "RS", ) ,
    ("432149", "TOROPI", "RS", ) ,
    ("432150", "TORRES", "RS", ) ,
    ("432160", "TRAMANDAÍ", "RS", ) ,
    ("432162", "TRAVESSEIRO", "RS", ) ,
    ("432163", "TRÊS ARROIOS", "RS", ) ,
    ("432166", "TRÊS CACHOEIRAS", "RS", ) ,
    ("432170", "TRÊS COROAS", "RS", ) ,
    ("432180", "TRÊS DE MAIO", "RS", ) ,
    ("432183", "TRÊS FORQUILHAS", "RS", ) ,
    ("432185", "TRÊS PALMEIRAS", "RS", ) ,
    ("432190", "TRÊS PASSOS", "RS", ) ,
    ("432195", "TRINDADE DO SUL", "RS", ) ,
    ("432200", "TRIUNFO", "RS", ) ,
    ("432210", "TUCUNDUVA", "RS", ) ,
    ("432215", "TUNAS", "RS", ) ,
    ("432218", "TUPANCI DO SUL", "RS", ) ,
    ("432220", "TUPANCIRETÃ", "RS", ) ,
    ("432225", "TUPANDI", "RS", ) ,
    ("432230", "TUPARENDI", "RS", ) ,
    ("432232", "TURUÇU", "RS", ) ,
    ("432234", "UBIRETAMA", "RS", ) ,
    ("432235", "UNIÃO DA SERRA", "RS", ) ,
    ("432237", "UNISTALDA", "RS", ) ,
    ("432240", "URUGUAIANA", "RS", ) ,
    ("432250", "VACARIA", "RS", ) ,
    ("432252", "VALE VERDE", "RS", ) ,
    ("432253", "VALE DO SOL", "RS", ) ,
    ("432254", "VALE REAL", "RS", ) ,
    ("432255", "VANINI", "RS", ) ,
    ("432260", "VENÂNCIO AIRES", "RS", ) ,
    ("432270", "VERA CRUZ", "RS", ) ,
    ("432280", "VERANÓPOLIS", "RS", ) ,
    ("432285", "VESPASIANO CORREA", "RS", ) ,
    ("432290", "VIADUTOS", "RS", ) ,
    ("432300", "VIAMÃO", "RS", ) ,
    ("432310", "VICENTE DUTRA", "RS", ) ,
    ("432320", "VICTOR GRAEFF", "RS", ) ,
    ("432330", "VILA FLORES", "RS", ) ,
    ("432335", "VILA LÂNGARO", "RS", ) ,
    ("432340", "VILA MARIA", "RS", ) ,
    ("432345", "VILA NOVA DO SUL", "RS", ) ,
    ("432350", "VISTA ALEGRE", "RS", ) ,
    ("432360", "VISTA ALEGRE DO PRATA", "RS", ) ,
    ("432370", "VISTA GAÚCHA", "RS", ) ,
    ("432375", "VITÓRIA DAS MISSÕES", "RS", ) ,
    ("432377", "WESTFALIA", "RS", ) ,
    ("432380", "XANGRI-LÁ", "RS", ) ,
    ("500020", "ÁGUA CLARA", "MS", ) ,
    ("500025", "ALCINÓPOLIS", "MS", ) ,
    ("500060", "AMAMBAI", "MS", ) ,
    ("500070", "ANASTÁCIO", "MS", ) ,
    ("500080", "ANAURILÂNDIA", "MS", ) ,
    ("500085", "ANGÉLICA", "MS", ) ,
    ("500090", "ANTÔNIO JOÃO", "MS", ) ,
    ("500100", "APARECIDA DO TABOADO", "MS", ) ,
    ("500110", "AQUIDAUANA", "MS", ) ,
    ("500124", "ARAL MOREIRA", "MS", ) ,
    ("500150", "BANDEIRANTES", "MS", ) ,
    ("500190", "BATAGUASSU", "MS", ) ,
    ("500200", "BATAYPORÃ", "MS", ) ,
    ("500210", "BELA VISTA", "MS", ) ,
    ("500215", "BODOQUENA", "MS", ) ,
    ("500220", "BONITO", "MS", ) ,
    ("500230", "BRASILÂNDIA", "MS", ) ,
    ("500240", "CAARAPÓ", "MS", ) ,
    ("500260", "CAMAPUÃ", "MS", ) ,
    ("500270", "CAMPO GRANDE", "MS", ) ,
    ("500280", "CARACOL", "MS", ) ,
    ("500290", "CASSILÂNDIA", "MS", ) ,
    ("500295", "CHAPADÃO DO SUL", "MS", ) ,
    ("500310", "CORGUINHO", "MS", ) ,
    ("500315", "CORONEL SAPUCAIA", "MS", ) ,
    ("500320", "CORUMBÁ", "MS", ) ,
    ("500325", "COSTA RICA", "MS", ) ,
    ("500330", "COXIM", "MS", ) ,
    ("500345", "DEODÁPOLIS", "MS", ) ,
    ("500348", "DOIS IRMÃOS DO BURITI", "MS", ) ,
    ("500350", "DOURADINA", "MS", ) ,
    ("500370", "DOURADOS", "MS", ) ,
    ("500375", "ELDORADO", "MS", ) ,
    ("500380", "FÁTIMA DO SUL", "MS", ) ,
    ("500390", "FIGUEIRÃO", "MS", ) ,
    ("500400", "GLÓRIA DE DOURADOS", "MS", ) ,
    ("500410", "GUIA LOPES DA LAGUNA", "MS", ) ,
    ("500430", "IGUATEMI", "MS", ) ,
    ("500440", "INOCÊNCIA", "MS", ) ,
    ("500450", "ITAPORÃ", "MS", ) ,
    ("500460", "ITAQUIRAÍ", "MS", ) ,
    ("500470", "IVINHEMA", "MS", ) ,
    ("500480", "JAPORÃ", "MS", ) ,
    ("500490", "JARAGUARI", "MS", ) ,
    ("500500", "JARDIM", "MS", ) ,
    ("500510", "JATEÍ", "MS", ) ,
    ("500515", "JUTI", "MS", ) ,
    ("500520", "LADÁRIO", "MS", ) ,
    ("500525", "LAGUNA CARAPÃ", "MS", ) ,
    ("500540", "MARACAJU", "MS", ) ,
    ("500560", "MIRANDA", "MS", ) ,
    ("500568", "MUNDO NOVO", "MS", ) ,
    ("500570", "NAVIRAÍ", "MS", ) ,
    ("500580", "NIOAQUE", "MS", ) ,
    ("500600", "NOVA ALVORADA DO SUL", "MS", ) ,
    ("500620", "NOVA ANDRADINA", "MS", ) ,
    ("500625", "NOVO HORIZONTE DO SUL", "MS", ) ,
    ("500630", "PARANAÍBA", "MS", ) ,
    ("500635", "PARANHOS", "MS", ) ,
    ("500640", "PEDRO GOMES", "MS", ) ,
    ("500660", "PONTA PORÃ", "MS", ) ,
    ("500690", "PORTO MURTINHO", "MS", ) ,
    ("500710", "RIBAS DO RIO PARDO", "MS", ) ,
    ("500720", "RIO BRILHANTE", "MS", ) ,
    ("500730", "RIO NEGRO", "MS", ) ,
    ("500740", "RIO VERDE DE MATO GROSSO", "MS", ) ,
    ("500750", "ROCHEDO", "MS", ) ,
    ("500755", "SANTA RITA DO PARDO", "MS", ) ,
    ("500769", "SÃO GABRIEL DO OESTE", "MS", ) ,
    ("500770", "SETE QUEDAS", "MS", ) ,
    ("500780", "SELVÍRIA", "MS", ) ,
    ("500790", "SIDROLÂNDIA", "MS", ) ,
    ("500793", "SONORA", "MS", ) ,
    ("500795", "TACURU", "MS", ) ,
    ("500797", "TAQUARUSSU", "MS", ) ,
    ("500800", "TERENOS", "MS", ) ,
    ("500830", "TRÊS LAGOAS", "MS", ) ,
    ("500840", "VICENTINA", "MS", ) ,
    ("510010", "ACORIZAL", "MT", ) ,
    ("510020", "ÁGUA BOA", "MT", ) ,
    ("510025", "ALTA FLORESTA", "MT", ) ,
    ("510030", "ALTO ARAGUAIA", "MT", ) ,
    ("510035", "ALTO BOA VISTA", "MT", ) ,
    ("510040", "ALTO GARÇAS", "MT", ) ,
    ("510050", "ALTO PARAGUAI", "MT", ) ,
    ("510060", "ALTO TAQUARI", "MT", ) ,
    ("510080", "APIACÁS", "MT", ) ,
    ("510100", "ARAGUAIANA", "MT", ) ,
    ("510120", "ARAGUAINHA", "MT", ) ,
    ("510125", "ARAPUTANGA", "MT", ) ,
    ("510130", "ARENÁPOLIS", "MT", ) ,
    ("510140", "ARIPUANÃ", "MT", ) ,
    ("510160", "BARÃO DE MELGAÇO", "MT", ) ,
    ("510170", "BARRA DO BUGRES", "MT", ) ,
    ("510180", "BARRA DO GARÇAS", "MT", ) ,
    ("510185", "BOM JESUS DO ARAGUAIA", "MT", ) ,
    ("510190", "BRASNORTE", "MT", ) ,
    ("510250", "CÁCERES", "MT", ) ,
    ("510260", "CAMPINÁPOLIS", "MT", ) ,
    ("510263", "CAMPO NOVO DO PARECIS", "MT", ) ,
    ("510267", "CAMPO VERDE", "MT", ) ,
    ("510268", "CAMPOS DE JÚLIO", "MT", ) ,
    ("510269", "CANABRAVA DO NORTE", "MT", ) ,
    ("510270", "CANARANA", "MT", ) ,
    ("510279", "CARLINDA", "MT", ) ,
    ("510285", "CASTANHEIRA", "MT", ) ,
    ("510300", "CHAPADA DOS GUIMARÃES", "MT", ) ,
    ("510305", "CLÁUDIA", "MT", ) ,
    ("510310", "COCALINHO", "MT", ) ,
    ("510320", "COLÍDER", "MT", ) ,
    ("510325", "COLNIZA", "MT", ) ,
    ("510330", "COMODORO", "MT", ) ,
    ("510335", "CONFRESA", "MT", ) ,
    ("510336", "CONQUISTA D'OESTE", "MT", ) ,
    ("510337", "COTRIGUAÇU", "MT", ) ,
    ("510340", "CUIABÁ", "MT", ) ,
    ("510343", "CURVELÂNDIA", "MT", ) ,
    ("510345", "DENISE", "MT", ) ,
    ("510350", "DIAMANTINO", "MT", ) ,
    ("510360", "DOM AQUINO", "MT", ) ,
    ("510370", "FELIZ NATAL", "MT", ) ,
    ("510380", "FIGUEIRÓPOLIS D'OESTE", "MT", ) ,
    ("510385", "GAÚCHA DO NORTE", "MT", ) ,
    ("510390", "GENERAL CARNEIRO", "MT", ) ,
    ("510395", "GLÓRIA D'OESTE", "MT", ) ,
    ("510410", "GUARANTÃ DO NORTE", "MT", ) ,
    ("510420", "GUIRATINGA", "MT", ) ,
    ("510450", "INDIAVAÍ", "MT", ) ,
    ("510452", "IPIRANGA DO NORTE", "MT", ) ,
    ("510454", "ITANHANGÁ", "MT", ) ,
    ("510455", "ITAÚBA", "MT", ) ,
    ("510460", "ITIQUIRA", "MT", ) ,
    ("510480", "JACIARA", "MT", ) ,
    ("510490", "JANGADA", "MT", ) ,
    ("510500", "JAURU", "MT", ) ,
    ("510510", "JUARA", "MT", ) ,
    ("510515", "JUÍNA", "MT", ) ,
    ("510517", "JURUENA", "MT", ) ,
    ("510520", "JUSCIMEIRA", "MT", ) ,
    ("510523", "LAMBARI D'OESTE", "MT", ) ,
    ("510525", "LUCAS DO RIO VERDE", "MT", ) ,
    ("510530", "LUCIARA", "MT", ) ,
    ("510550", "VILA BELA DA SANTÍSSIMA TRINDADE", "MT", ) ,
    ("510558", "MARCELÂNDIA", "MT", ) ,
    ("510560", "MATUPÁ", "MT", ) ,
    ("510562", "MIRASSOL D'OESTE", "MT", ) ,
    ("510590", "NOBRES", "MT", ) ,
    ("510600", "NORTELÂNDIA", "MT", ) ,
    ("510610", "NOSSA SENHORA DO LIVRAMENTO", "MT", ) ,
    ("510615", "NOVA BANDEIRANTES", "MT", ) ,
    ("510617", "NOVA NAZARÉ", "MT", ) ,
    ("510618", "NOVA LACERDA", "MT", ) ,
    ("510619", "NOVA SANTA HELENA", "MT", ) ,
    ("510620", "NOVA BRASILÂNDIA", "MT", ) ,
    ("510621", "NOVA CANAÃ DO NORTE", "MT", ) ,
    ("510622", "NOVA MUTUM", "MT", ) ,
    ("510623", "NOVA OLÍMPIA", "MT", ) ,
    ("510624", "NOVA UBIRATÃ", "MT", ) ,
    ("510625", "NOVA XAVANTINA", "MT", ) ,
    ("510626", "NOVO MUNDO", "MT", ) ,
    ("510627", "NOVO HORIZONTE DO NORTE", "MT", ) ,
    ("510628", "NOVO SÃO JOAQUIM", "MT", ) ,
    ("510629", "PARANAÍTA", "MT", ) ,
    ("510630", "PARANATINGA", "MT", ) ,
    ("510631", "NOVO SANTO ANTÔNIO", "MT", ) ,
    ("510637", "PEDRA PRETA", "MT", ) ,
    ("510642", "PEIXOTO DE AZEVEDO", "MT", ) ,
    ("510645", "PLANALTO DA SERRA", "MT", ) ,
    ("510650", "POCONÉ", "MT", ) ,
    ("510665", "PONTAL DO ARAGUAIA", "MT", ) ,
    ("510670", "PONTE BRANCA", "MT", ) ,
    ("510675", "PONTES E LACERDA", "MT", ) ,
    ("510677", "PORTO ALEGRE DO NORTE", "MT", ) ,
    ("510680", "PORTO DOS GAÚCHOS", "MT", ) ,
    ("510682", "PORTO ESPERIDIÃO", "MT", ) ,
    ("510685", "PORTO ESTRELA", "MT", ) ,
    ("510700", "POXORÉO", "MT", ) ,
    ("510704", "PRIMAVERA DO LESTE", "MT", ) ,
    ("510706", "QUERÊNCIA", "MT", ) ,
    ("510710", "SÃO JOSÉ DOS QUATRO MARCOS", "MT", ) ,
    ("510715", "RESERVA DO CABAÇAL", "MT", ) ,
    ("510718", "RIBEIRÃO CASCALHEIRA", "MT", ) ,
    ("510719", "RIBEIRÃOZINHO", "MT", ) ,
    ("510720", "RIO BRANCO", "MT", ) ,
    ("510724", "SANTA CARMEM", "MT", ) ,
    ("510726", "SANTO AFONSO", "MT", ) ,
    ("510729", "SÃO JOSÉ DO POVO", "MT", ) ,
    ("510730", "SÃO JOSÉ DO RIO CLARO", "MT", ) ,
    ("510735", "SÃO JOSÉ DO XINGU", "MT", ) ,
    ("510740", "SÃO PEDRO DA CIPA", "MT", ) ,
    ("510757", "RONDOLÂNDIA", "MT", ) ,
    ("510760", "RONDONÓPOLIS", "MT", ) ,
    ("510770", "ROSÁRIO OESTE", "MT", ) ,
    ("510774", "SANTA CRUZ DO XINGU", "MT", ) ,
    ("510775", "SALTO DO CÉU", "MT", ) ,
    ("510776", "SANTA RITA DO TRIVELATO", "MT", ) ,
    ("510777", "SANTA TEREZINHA", "MT", ) ,
    ("510779", "SANTO ANTÔNIO DO LESTE", "MT", ) ,
    ("510780", "SANTO ANTÔNIO DO LEVERGER", "MT", ) ,
    ("510785", "SÃO FÉLIX DO ARAGUAIA", "MT", ) ,
    ("510787", "SAPEZAL", "MT", ) ,
    ("510788", "SERRA NOVA DOURADA", "MT", ) ,
    ("510790", "SINOP", "MT", ) ,
    ("510792", "SORRISO", "MT", ) ,
    ("510794", "TABAPORÃ", "MT", ) ,
    ("510795", "TANGARÁ DA SERRA", "MT", ) ,
    ("510800", "TAPURAH", "MT", ) ,
    ("510805", "TERRA NOVA DO NORTE", "MT", ) ,
    ("510810", "TESOURO", "MT", ) ,
    ("510820", "TORIXORÉU", "MT", ) ,
    ("510830", "UNIÃO DO SUL", "MT", ) ,
    ("510835", "VALE DE SÃO DOMINGOS", "MT", ) ,
    ("510840", "VÁRZEA GRANDE", "MT", ) ,
    ("510850", "VERA", "MT", ) ,
    ("510860", "VILA RICA", "MT", ) ,
    ("510880", "NOVA GUARITA", "MT", ) ,
    ("510885", "NOVA MARILÂNDIA", "MT", ) ,
    ("510890", "NOVA MARINGÁ", "MT", ) ,
    ("510895", "NOVA MONTE VERDE", "MT", ) ,
    ("520005", "ABADIA DE GOIÁS", "GO", ) ,
    ("520010", "ABADIÂNIA", "GO", ) ,
    ("520013", "ACREÚNA", "GO", ) ,
    ("520015", "ADELÂNDIA", "GO", ) ,
    ("520017", "ÁGUA FRIA DE GOIÁS", "GO", ) ,
    ("520020", "ÁGUA LIMPA", "GO", ) ,
    ("520025", "ÁGUAS LINDAS DE GOIÁS", "GO", ) ,
    ("520030", "ALEXÂNIA", "GO", ) ,
    ("520050", "ALOÂNDIA", "GO", ) ,
    ("520055", "ALTO HORIZONTE", "GO", ) ,
    ("520060", "ALTO PARAÍSO DE GOIÁS", "GO", ) ,
    ("520080", "ALVORADA DO NORTE", "GO", ) ,
    ("520082", "AMARALINA", "GO", ) ,
    ("520085", "AMERICANO DO BRASIL", "GO", ) ,
    ("520090", "AMORINÓPOLIS", "GO", ) ,
    ("520110", "ANÁPOLIS", "GO", ) ,
    ("520120", "ANHANGUERA", "GO", ) ,
    ("520130", "ANICUNS", "GO", ) ,
    ("520140", "APARECIDA DE GOIÂNIA", "GO", ) ,
    ("520145", "APARECIDA DO RIO DOCE", "GO", ) ,
    ("520150", "APORÉ", "GO", ) ,
    ("520160", "ARAÇU", "GO", ) ,
    ("520170", "ARAGARÇAS", "GO", ) ,
    ("520180", "ARAGOIÂNIA", "GO", ) ,
    ("520215", "ARAGUAPAZ", "GO", ) ,
    ("520235", "ARENÓPOLIS", "GO", ) ,
    ("520250", "ARUANÃ", "GO", ) ,
    ("520260", "AURILÂNDIA", "GO", ) ,
    ("520280", "AVELINÓPOLIS", "GO", ) ,
    ("520310", "BALIZA", "GO", ) ,
    ("520320", "BARRO ALTO", "GO", ) ,
    ("520330", "BELA VISTA DE GOIÁS", "GO", ) ,
    ("520340", "BOM JARDIM DE GOIÁS", "GO", ) ,
    ("520350", "BOM JESUS DE GOIÁS", "GO", ) ,
    ("520355", "BONFINÓPOLIS", "GO", ) ,
    ("520357", "BONÓPOLIS", "GO", ) ,
    ("520360", "BRAZABRANTES", "GO", ) ,
    ("520380", "BRITÂNIA", "GO", ) ,
    ("520390", "BURITI ALEGRE", "GO", ) ,
    ("520393", "BURITI DE GOIÁS", "GO", ) ,
    ("520396", "BURITINÓPOLIS", "GO", ) ,
    ("520400", "CABECEIRAS", "GO", ) ,
    ("520410", "CACHOEIRA ALTA", "GO", ) ,
    ("520420", "CACHOEIRA DE GOIÁS", "GO", ) ,
    ("520425", "CACHOEIRA DOURADA", "GO", ) ,
    ("520430", "CAÇU", "GO", ) ,
    ("520440", "CAIAPÔNIA", "GO", ) ,
    ("520450", "CALDAS NOVAS", "GO", ) ,
    ("520455", "CALDAZINHA", "GO", ) ,
    ("520460", "CAMPESTRE DE GOIÁS", "GO", ) ,
    ("520465", "CAMPINAÇU", "GO", ) ,
    ("520470", "CAMPINORTE", "GO", ) ,
    ("520480", "CAMPO ALEGRE DE GOIÁS", "GO", ) ,
    ("520485", "CAMPO LIMPO DE GOIÁS", "GO", ) ,
    ("520490", "CAMPOS BELOS", "GO", ) ,
    ("520495", "CAMPOS VERDES", "GO", ) ,
    ("520500", "CARMO DO RIO VERDE", "GO", ) ,
    ("520505", "CASTELÂNDIA", "GO", ) ,
    ("520510", "CATALÃO", "GO", ) ,
    ("520520", "CATURAÍ", "GO", ) ,
    ("520530", "CAVALCANTE", "GO", ) ,
    ("520540", "CERES", "GO", ) ,
    ("520545", "CEZARINA", "GO", ) ,
    ("520547", "CHAPADÃO DO CÉU", "GO", ) ,
    ("520549", "CIDADE OCIDENTAL", "GO", ) ,
    ("520551", "COCALZINHO DE GOIÁS", "GO", ) ,
    ("520552", "COLINAS DO SUL", "GO", ) ,
    ("520570", "CÓRREGO DO OURO", "GO", ) ,
    ("520580", "CORUMBÁ DE GOIÁS", "GO", ) ,
    ("520590", "CORUMBAÍBA", "GO", ) ,
    ("520620", "CRISTALINA", "GO", ) ,
    ("520630", "CRISTIANÓPOLIS", "GO", ) ,
    ("520640", "CRIXÁS", "GO", ) ,
    ("520650", "CROMÍNIA", "GO", ) ,
    ("520660", "CUMARI", "GO", ) ,
    ("520670", "DAMIANÓPOLIS", "GO", ) ,
    ("520680", "DAMOLÂNDIA", "GO", ) ,
    ("520690", "DAVINÓPOLIS", "GO", ) ,
    ("520710", "DIORAMA", "GO", ) ,
    ("520725", "DOVERLÂNDIA", "GO", ) ,
    ("520735", "EDEALINA", "GO", ) ,
    ("520740", "EDÉIA", "GO", ) ,
    ("520750", "ESTRELA DO NORTE", "GO", ) ,
    ("520753", "FAINA", "GO", ) ,
    ("520760", "FAZENDA NOVA", "GO", ) ,
    ("520780", "FIRMINÓPOLIS", "GO", ) ,
    ("520790", "FLORES DE GOIÁS", "GO", ) ,
    ("520800", "FORMOSA", "GO", ) ,
    ("520810", "FORMOSO", "GO", ) ,
    ("520815", "GAMELEIRA DE GOIÁS", "GO", ) ,
    ("520830", "DIVINÓPOLIS DE GOIÁS", "GO", ) ,
    ("520840", "GOIANÁPOLIS", "GO", ) ,
    ("520850", "GOIANDIRA", "GO", ) ,
    ("520860", "GOIANÉSIA", "GO", ) ,
    ("520870", "GOIÂNIA", "GO", ) ,
    ("520880", "GOIANIRA", "GO", ) ,
    ("520890", "GOIÁS", "GO", ) ,
    ("520910", "GOIATUBA", "GO", ) ,
    ("520915", "GOUVELÂNDIA", "GO", ) ,
    ("520920", "GUAPÓ", "GO", ) ,
    ("520929", "GUARAÍTA", "GO", ) ,
    ("520940", "GUARANI DE GOIÁS", "GO", ) ,
    ("520945", "GUARINOS", "GO", ) ,
    ("520960", "HEITORAÍ", "GO", ) ,
    ("520970", "HIDROLÂNDIA", "GO", ) ,
    ("520980", "HIDROLINA", "GO", ) ,
    ("520990", "IACIARA", "GO", ) ,
    ("520993", "INACIOLÂNDIA", "GO", ) ,
    ("520995", "INDIARA", "GO", ) ,
    ("521000", "INHUMAS", "GO", ) ,
    ("521010", "IPAMERI", "GO", ) ,
    ("521015", "IPIRANGA DE GOIÁS", "GO", ) ,
    ("521020", "IPORÁ", "GO", ) ,
    ("521030", "ISRAELÂNDIA", "GO", ) ,
    ("521040", "ITABERAÍ", "GO", ) ,
    ("521056", "ITAGUARI", "GO", ) ,
    ("521060", "ITAGUARU", "GO", ) ,
    ("521080", "ITAJÁ", "GO", ) ,
    ("521090", "ITAPACI", "GO", ) ,
    ("521100", "ITAPIRAPUÃ", "GO", ) ,
    ("521120", "ITAPURANGA", "GO", ) ,
    ("521130", "ITARUMÃ", "GO", ) ,
    ("521140", "ITAUÇU", "GO", ) ,
    ("521150", "ITUMBIARA", "GO", ) ,
    ("521160", "IVOLÂNDIA", "GO", ) ,
    ("521170", "JANDAIA", "GO", ) ,
    ("521180", "JARAGUÁ", "GO", ) ,
    ("521190", "JATAÍ", "GO", ) ,
    ("521200", "JAUPACI", "GO", ) ,
    ("521205", "JESÚPOLIS", "GO", ) ,
    ("521210", "JOVIÂNIA", "GO", ) ,
    ("521220", "JUSSARA", "GO", ) ,
    ("521225", "LAGOA SANTA", "GO", ) ,
    ("521230", "LEOPOLDO DE BULHÕES", "GO", ) ,
    ("521250", "LUZIÂNIA", "GO", ) ,
    ("521260", "MAIRIPOTABA", "GO", ) ,
    ("521270", "MAMBAÍ", "GO", ) ,
    ("521280", "MARA ROSA", "GO", ) ,
    ("521290", "MARZAGÃO", "GO", ) ,
    ("521295", "MATRINCHÃ", "GO", ) ,
    ("521300", "MAURILÂNDIA", "GO", ) ,
    ("521305", "MIMOSO DE GOIÁS", "GO", ) ,
    ("521308", "MINAÇU", "GO", ) ,
    ("521310", "MINEIROS", "GO", ) ,
    ("521340", "MOIPORÁ", "GO", ) ,
    ("521350", "MONTE ALEGRE DE GOIÁS", "GO", ) ,
    ("521370", "MONTES CLAROS DE GOIÁS", "GO", ) ,
    ("521375", "MONTIVIDIU", "GO", ) ,
    ("521377", "MONTIVIDIU DO NORTE", "GO", ) ,
    ("521380", "MORRINHOS", "GO", ) ,
    ("521385", "MORRO AGUDO DE GOIÁS", "GO", ) ,
    ("521390", "MOSSÂMEDES", "GO", ) ,
    ("521400", "MOZARLÂNDIA", "GO", ) ,
    ("521405", "MUNDO NOVO", "GO", ) ,
    ("521410", "MUTUNÓPOLIS", "GO", ) ,
    ("521440", "NAZÁRIO", "GO", ) ,
    ("521450", "NERÓPOLIS", "GO", ) ,
    ("521460", "NIQUELÂNDIA", "GO", ) ,
    ("521470", "NOVA AMÉRICA", "GO", ) ,
    ("521480", "NOVA AURORA", "GO", ) ,
    ("521483", "NOVA CRIXÁS", "GO", ) ,
    ("521486", "NOVA GLÓRIA", "GO", ) ,
    ("521487", "NOVA IGUAÇU DE GOIÁS", "GO", ) ,
    ("521490", "NOVA ROMA", "GO", ) ,
    ("521500", "NOVA VENEZA", "GO", ) ,
    ("521520", "NOVO BRASIL", "GO", ) ,
    ("521523", "NOVO GAMA", "GO", ) ,
    ("521525", "NOVO PLANALTO", "GO", ) ,
    ("521530", "ORIZONA", "GO", ) ,
    ("521540", "OURO VERDE DE GOIÁS", "GO", ) ,
    ("521550", "OUVIDOR", "GO", ) ,
    ("521560", "PADRE BERNARDO", "GO", ) ,
    ("521565", "PALESTINA DE GOIÁS", "GO", ) ,
    ("521570", "PALMEIRAS DE GOIÁS", "GO", ) ,
    ("521580", "PALMELO", "GO", ) ,
    ("521590", "PALMINÓPOLIS", "GO", ) ,
    ("521600", "PANAMÁ", "GO", ) ,
    ("521630", "PARANAIGUARA", "GO", ) ,
    ("521640", "PARAÚNA", "GO", ) ,
    ("521645", "PEROLÂNDIA", "GO", ) ,
    ("521680", "PETROLINA DE GOIÁS", "GO", ) ,
    ("521690", "PILAR DE GOIÁS", "GO", ) ,
    ("521710", "PIRACANJUBA", "GO", ) ,
    ("521720", "PIRANHAS", "GO", ) ,
    ("521730", "PIRENÓPOLIS", "GO", ) ,
    ("521740", "PIRES DO RIO", "GO", ) ,
    ("521760", "PLANALTINA", "GO", ) ,
    ("521770", "PONTALINA", "GO", ) ,
    ("521800", "PORANGATU", "GO", ) ,
    ("521805", "PORTEIRÃO", "GO", ) ,
    ("521810", "PORTELÂNDIA", "GO", ) ,
    ("521830", "POSSE", "GO", ) ,
    ("521839", "PROFESSOR JAMIL", "GO", ) ,
    ("521850", "QUIRINÓPOLIS", "GO", ) ,
    ("521860", "RIALMA", "GO", ) ,
    ("521870", "RIANÁPOLIS", "GO", ) ,
    ("521878", "RIO QUENTE", "GO", ) ,
    ("521880", "RIO VERDE", "GO", ) ,
    ("521890", "RUBIATABA", "GO", ) ,
    ("521900", "SANCLERLÂNDIA", "GO", ) ,
    ("521910", "SANTA BÁRBARA DE GOIÁS", "GO", ) ,
    ("521920", "SANTA CRUZ DE GOIÁS", "GO", ) ,
    ("521925", "SANTA FÉ DE GOIÁS", "GO", ) ,
    ("521930", "SANTA HELENA DE GOIÁS", "GO", ) ,
    ("521935", "SANTA ISABEL", "GO", ) ,
    ("521940", "SANTA RITA DO ARAGUAIA", "GO", ) ,
    ("521945", "SANTA RITA DO NOVO DESTINO", "GO", ) ,
    ("521950", "SANTA ROSA DE GOIÁS", "GO", ) ,
    ("521960", "SANTA TEREZA DE GOIÁS", "GO", ) ,
    ("521970", "SANTA TEREZINHA DE GOIÁS", "GO", ) ,
    ("521971", "SANTO ANTÔNIO DA BARRA", "GO", ) ,
    ("521973", "SANTO ANTÔNIO DE GOIÁS", "GO", ) ,
    ("521975", "SANTO ANTÔNIO DO DESCOBERTO", "GO", ) ,
    ("521980", "SÃO DOMINGOS", "GO", ) ,
    ("521990", "SÃO FRANCISCO DE GOIÁS", "GO", ) ,
    ("522000", "SÃO JOÃO D'ALIANÇA", "GO", ) ,
    ("522005", "SÃO JOÃO DA PARAÚNA", "GO", ) ,
    ("522010", "SÃO LUÍS DE MONTES BELOS", "GO", ) ,
    ("522015", "SÃO LUÍZ DO NORTE", "GO", ) ,
    ("522020", "SÃO MIGUEL DO ARAGUAIA", "GO", ) ,
    ("522026", "SÃO MIGUEL DO PASSA QUATRO", "GO", ) ,
    ("522028", "SÃO PATRÍCIO", "GO", ) ,
    ("522040", "SÃO SIMÃO", "GO", ) ,
    ("522045", "SENADOR CANEDO", "GO", ) ,
    ("522050", "SERRANÓPOLIS", "GO", ) ,
    ("522060", "SILVÂNIA", "GO", ) ,
    ("522068", "SIMOLÂNDIA", "GO", ) ,
    ("522070", "SÍTIO D'ABADIA", "GO", ) ,
    ("522100", "TAQUARAL DE GOIÁS", "GO", ) ,
    ("522108", "TERESINA DE GOIÁS", "GO", ) ,
    ("522119", "TEREZÓPOLIS DE GOIÁS", "GO", ) ,
    ("522130", "TRÊS RANCHOS", "GO", ) ,
    ("522140", "TRINDADE", "GO", ) ,
    ("522145", "TROMBAS", "GO", ) ,
    ("522150", "TURVÂNIA", "GO", ) ,
    ("522155", "TURVELÂNDIA", "GO", ) ,
    ("522157", "UIRAPURU", "GO", ) ,
    ("522160", "URUAÇU", "GO", ) ,
    ("522170", "URUANA", "GO", ) ,
    ("522180", "URUTAÍ", "GO", ) ,
    ("522185", "VALPARAÍSO DE GOIÁS", "GO", ) ,
    ("522190", "VARJÃO", "GO", ) ,
    ("522200", "VIANÓPOLIS", "GO", ) ,
    ("522205", "VICENTINÓPOLIS", "GO", ) ,
    ("522220", "VILA BOA", "GO", ) ,
    ("522230", "VILA PROPÍCIO", "GO", ) ,
    ("530010", "BRASÍLIA", "DF", ) ,
]
